2008-09-11 14:17  larsa

	* [r12542] configure, configure.ac: Set version 3.0.0

2008-09-11 14:01  larsa

	* [r12541] AUTHORS, INSTALL, Makefile.am, Makefile.in, NEWS,
	  README.MACOSX, README.WIN32, RELNOTES, docs/ChangeLog.v3.0.0,
	  docs/announcement-3_0_0.txt: Doc updates

2008-09-10 16:06  pederb

	* [r12539] src/actions/SoCallbackAction.cpp: Some documentation
	  about VRML nodes.

2008-09-10 08:01  pederb

	* [r12538] src/actions/SoRayPickAction.cpp: Always attempt to
	  calculate the object2world matrix. Fixes some precision issues.

2008-09-09 16:58  larsa

	* [r12536] build/README: Emphasise experimental status of Xcode
	  project

2008-09-09 16:57  larsa

	* [r12535] build/Xcode/Coin.xcodeproj/project.pbxproj: strip out
	  removed files

2008-09-09 16:29  larsa

	* [r12534] build/msvc6, build/msvc6/coin3.dsp,
	  build/msvc7/coin3.sln, build/msvc7/coin3.vcproj,
	  build/msvc8/coin3.sln, build/msvc8/coin3.vcproj,
	  build/msvc8/coin3_docs.vcproj, build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj, build/msvc9,
	  build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj: Link against debug CRT when
	  building static debug version of Coin

2008-09-09 15:16  larsa

	* [r12533] cfg/gendsp.pl.in: Static Debug LIB CRT fix detected by
	  Gerhard Reitmayr

2008-09-09 14:21  pederb

	* [r12531] src/glue/gl_agl.h: Compile fix.

2008-09-09 14:21  pederb

	* [r12530] src/glue/gl_agl.cpp: Compile fix.

2008-09-09 13:48  pederb

	* [r12528] src/glue/gl_glx.cpp: Compile fix.

2008-09-09 12:31  larsa

	* [r12527] src/glue/gl_wgl.cpp: Compile-fix.

2008-09-09 12:11  pederb

	* [r12526] include/Inventor/C/glue/gl.h, src/glue/dl.cpp,
	  src/glue/gl.cpp, src/glue/gl_agl.cpp, src/glue/gl_agl.h,
	  src/glue/gl_glx.cpp, src/glue/gl_glx.h, src/glue/gl_wgl.cpp,
	  src/glue/gl_wgl.h, src/glue/glp.h: Fix and clean up how we do
	  function lookup for different contexts. The GLX version had an
	  ugly bug as well which might have caused problems on some systems
	  (cc_dl_close() was called on a static/cached libhandle).

2008-09-09 11:45  larsa

	* [r12525] build/misc/install-sdk.bat: Added condition on having
	  built the library before attempting installation.

2008-09-02 14:59  pederb

	* [r12523] src/nodes/SoFile.cpp: Bugfix for search bug introduced
	  2006-11-30 (revision 10432).

2008-09-02 09:26  pederb

	* [r12522] src/nodes/SoMaterial.cpp: Document that only the first
	  value in ambientColor, emissiveColor, specularColor and shininess
	  will be used.

2008-08-30 16:40  larsa

	* [r12520] build/misc/create-directories.bat: typo fix

2008-08-20 23:33  larsa

	* [r12516] build/misc/build-docs.bat: Nationalisation portability
	  fix by Jose Miguel Espadero

2008-08-19 14:35  frodein

	* [r12514] src/misc/SoGLBigImage.cpp: Reverted change from r12346
	  which removed a warning but broke SoGLImage::initSubImages(const
	  SbVec2s &)

2008-08-18 12:21  larsa

	* [r12512] docs/announcement-3_0_0.txt: URL corrections

2008-08-18 01:14  larsa

	* [r12511] docs/announcement-3_0_0.txt: slight reformating

2008-08-18 00:47  larsa

	* [r12509] ChangeLog: Regenerate ChangeLog for 2008

2008-08-18 00:46  larsa

	* [r12508] NEWS, RELNOTES, configure, configure.ac: Set version to
	  3.0.0 RC1

2008-08-18 00:44  larsa

	* [r12507] Makefile.am, Makefile.in: dist files

2008-08-18 00:44  larsa

	* [r12506] NEWS, RELNOTES, docs/RELEASE.txt,
	  docs/announcement-3_0_0.txt: Document updates

2008-08-17 23:45  larsa

	* [r12504] build/misc/install-sdk.bat: Support for msvc9

2008-08-17 23:33  larsa

	* [r12503] build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj: Regenerate the msvc9 build
	  files

2008-08-17 23:31  autosvn

	* [r12502] docs/announcement-2_0_1.txt,
	  docs/announcement-2_0_2.txt, docs/announcement-2_1_0.txt,
	  docs/announcement-2_2_0.txt, docs/announcement-2_2_1.txt,
	  docs/announcement-2_3_0.txt, docs/announcement-2_4_0.txt,
	  docs/announcement-2_4_1.txt, docs/announcement-2_4_2.txt,
	  docs/announcement-2_4_3.txt, docs/announcement-2_4_4.txt,
	  docs/announcement-2_4_5.txt, docs/announcement-2_4_6.txt,
	  docs/announcement-2_5_0.txt, docs/announcement-3_0_0.txt,
	  scripts/svn2cl.sh: Automatic Property adjustment

2008-08-17 23:22  larsa

	* [r12501] COPYING, FAQ, FAQ.legal, INSTALL: Copyright attribution
	  updates

2008-08-17 23:17  larsa

	* [r12500] cfg/gendsp.pl.in: updates

2008-08-17 23:02  larsa

	* [r12499] Makefile.am, Makefile.in: dist files

2008-08-17 22:51  larsa

	* [r12498] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/docs/coin3.doxygen,
	  build/msvc6/include/Inventor/C/basic.h,
	  build/msvc6/src/config-debug.h, build/msvc6/src/config-release.h,
	  build/msvc7/coin3.sln, build/msvc7/coin3.vcproj,
	  build/msvc7/docs/coin3.doxygen,
	  build/msvc7/include/Inventor/C/basic.h,
	  build/msvc7/src/config-debug.h, build/msvc7/src/config-release.h,
	  build/msvc8/coin3.sln, build/msvc8/coin3.vcproj,
	  build/msvc8/coin3_docs.vcproj, build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen,
	  build/msvc8/include/Inventor/C/basic.h,
	  build/msvc8/src/config-debug.h, build/msvc8/src/config-release.h,
	  build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj,
	  build/msvc9/docs/coin3.doxygen,
	  build/msvc9/include/Inventor/C/basic.h,
	  build/msvc9/src/config-debug.h, build/msvc9/src/config-release.h:
	  Update to release-ready msvc-build files.

2008-08-17 22:46  larsa

	* [r12497] cfg/config.guess, cfg/config.sub: updated from gnu.org

2008-08-17 22:41  larsa

	* [r12496] src/SbBasicP.h: Disable assert until certain
	  cast-function usage issues has been ironed out.

2008-08-17 22:30  larsa

	* [r12495] src/misc/SoEventManager.cpp: Compile fix

2008-08-17 21:51  larsa

	* [r12494] src/navigation/Makefile.am, src/navigation/Makefile.in:
	  Compile fix.

2008-08-17 20:59  larsa

	* [r12493] configure, configure.ac, include/Inventor/Makefile.am,
	  include/Inventor/Makefile.in, include/Inventor/SoEventManager.h,
	  include/Inventor/navigation, include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/Makefile.in, src/misc/SoDB.cpp,
	  src/misc/SoEventManager.cpp, src/misc/SoSceneManager.cpp,
	  src/navigation/SoCenterMode.cpp, src/navigation/SoEvent.cpp,
	  src/navigation/SoEvent.h, src/navigation/SoIdleMode.cpp,
	  src/navigation/SoNavigation.cpp,
	  src/navigation/SoNavigationControl.cpp,
	  src/navigation/SoNavigationMode.cpp,
	  src/navigation/SoNavigationState.cpp,
	  src/navigation/SoNavigationSystem.cpp,
	  src/navigation/SoOrthoCenterMode.cpp,
	  src/navigation/SoPanMode.cpp, src/navigation/SoPickMode.cpp,
	  src/navigation/SoPitchMode.cpp, src/navigation/SoRollMode.cpp,
	  src/navigation/SoRotateMode.cpp, src/navigation/SoYawMode.cpp,
	  src/navigation/SoZoomMode.cpp,
	  src/navigation/all-navigation-cpp.cpp, src/nodes/Makefile.am,
	  src/nodes/Makefile.in, src/nodes/SoViewerNavigationMode.cpp,
	  src/nodes/all-nodes-cpp.cpp: Obsolete the dead-end
	  SoNavigationSystem system. Remove SoViewerNavigationMode node.

2008-08-17 20:35  larsa

	* [r12492] src/draggers/SoTabBoxDragger.cpp,
	  src/draggers/SoTrackballDragger.cpp,
	  src/draggers/SoTransformerDragger.cpp: Tidy up #defines

2008-08-17 19:38  larsa

	* [r12490] RELNOTES: Additional item on SoForeignFileKit

2008-08-17 19:37  larsa

	* [r12489] Makefile.am, Makefile.in, configure, configure.ac,
	  include/Inventor/MPEG, include/Inventor/Makefile.am,
	  include/Inventor/Makefile.in,
	  include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	  include/Inventor/VRMLnodes/SoVRMLSound.h,
	  include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	  include/Inventor/annex/HardCopy/Makefile.am,
	  include/Inventor/annex/HardCopy/Makefile.in,
	  include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	  include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/nodes/SoAnnoText3.h,
	  include/Inventor/nodes/SoAnnoText3Property.h,
	  include/Inventor/nodes/SoDrawStyle.h,
	  include/Inventor/nodes/SoNodes.h,
	  include/Inventor/nodes/SoPattern.h,
	  include/Inventor/nodes/SoShapeHints.h,
	  include/Inventor/nodes/SoTexture2.h,
	  include/Inventor/nodes/SoTexture3.h, src/Makefile.am,
	  src/Makefile.in, src/hardcopy/CGMVectorOutput.cpp,
	  src/hardcopy/GDIVectorOutput.cpp,
	  src/hardcopy/HPGLVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	  src/hardcopy/Makefile.am, src/hardcopy/Makefile.in,
	  src/hardcopy/VectorizeCGMAction.cpp,
	  src/hardcopy/VectorizeGDIAction.cpp,
	  src/hardcopy/VectorizeHPGLAction.cpp,
	  src/hardcopy/all-hardcopy-cpp.cpp, src/mpeg,
	  src/nodes/Makefile.am, src/nodes/Makefile.in,
	  src/nodes/SoAnnoText3.cpp, src/nodes/SoAnnoText3Property.cpp,
	  src/nodes/SoExtSelection.cpp, src/nodes/SoNode.cpp,
	  src/nodes/SoPattern.cpp, src/nodes/all-nodes-cpp.cpp: Heed
	  COIN_BETA_VERSION-guarded advice.

2008-08-17 19:36  larsa

	* [r12488] docs/announcement-2_0_0.txt,
	  docs/announcement-2_0_1.txt, docs/announcement-2_0_2.txt,
	  docs/announcement-2_1_0.txt, docs/announcement-2_2_0.txt,
	  docs/announcement-2_2_1.txt, docs/announcement-2_3_0.txt,
	  docs/announcement-2_4_0.txt, docs/announcement-2_4_1.txt,
	  docs/announcement-2_4_2.txt, docs/announcement-2_4_3.txt,
	  docs/announcement-2_4_4.txt, docs/announcement-2_4_5.txt,
	  docs/announcement-2_4_6.txt, docs/announcement-2_5_0.txt,
	  docs/announcement-3_0_0.txt: Copied from Coin-2 branch, plus
	  3.0.0 announcement.

2008-08-17 17:55  larsa

	* [r12487] templates: Old obsoleted files

2008-08-17 17:54  larsa

	* [r12486] include/Inventor/SbTypeInfo.h,
	  src/actions/SoGLRenderAction.cpp,
	  src/actions/SoRayPickAction.cpp, src/base/SbName.cpp,
	  src/base/SbVec2b.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	  src/base/SbVec2i32.cpp, src/base/SbVec2s.cpp,
	  src/base/SbVec2ub.cpp, src/base/SbVec2ui32.cpp,
	  src/base/SbVec2us.cpp, src/base/SbVec3b.cpp,
	  src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	  src/base/SbVec3i32.cpp, src/base/SbVec3s.cpp,
	  src/base/SbVec3ub.cpp, src/base/SbVec3ui32.cpp,
	  src/base/SbVec3us.cpp, src/base/SbVec4b.cpp,
	  src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	  src/base/SbVec4i32.cpp, src/base/SbVec4s.cpp,
	  src/base/SbVec4ub.cpp, src/base/SbVec4ui32.cpp,
	  src/base/SbViewVolume.cpp, src/caches/SoPrimitiveVertexCache.cpp,
	  src/elements/GL/SoGLDepthBufferElement.cpp,
	  src/elements/GL/SoGLDisplayList.cpp,
	  src/elements/SoDepthBufferElement.cpp,
	  src/elements/SoTextureUnitElement.cpp,
	  src/engines/SoHeightMapToNormalMap.cpp,
	  src/engines/SoTexture2Convert.cpp, src/events/SoButtonEvent.cpp,
	  src/events/SoKeyboardEvent.cpp,
	  src/events/SoMouseButtonEvent.cpp,
	  src/events/SoSpaceballButtonEvent.cpp,
	  src/foreignfiles/SoForeignFileKit.cpp,
	  src/foreignfiles/SoSTLFileKit.cpp, src/misc/SoGLImage.cpp,
	  src/misc/SoPrimitiveVertex.cpp, src/nodes/SoDepthBuffer.cpp,
	  src/nodes/SoPickStyle.cpp, src/nodes/SoTexture.cpp,
	  src/nodes/SoTexture2.cpp, src/nodes/SoTexture3.cpp,
	  src/nodes/SoVertexAttribute.cpp,
	  src/nodes/SoVertexAttributeBinding.cpp: Doxygen updates

2008-08-17 17:14  larsa

	* [r12485] src/fields/SoFieldContainer.cpp,
	  src/fields/SoMFDouble.cpp, src/fields/SoMFVec2b.cpp,
	  src/fields/SoMFVec2d.cpp, src/fields/SoMFVec2i32.cpp,
	  src/fields/SoMFVec2s.cpp, src/fields/SoMFVec3b.cpp,
	  src/fields/SoMFVec3i32.cpp, src/fields/SoMFVec3s.cpp,
	  src/fields/SoMFVec4b.cpp, src/fields/SoMFVec4d.cpp,
	  src/fields/SoMFVec4i32.cpp, src/fields/SoMFVec4s.cpp,
	  src/fields/SoMFVec4ub.cpp, src/fields/SoMFVec4ui32.cpp,
	  src/fields/SoMFVec4us.cpp, src/fields/SoSFBox2d.cpp,
	  src/fields/SoSFBox2f.cpp, src/fields/SoSFBox2i32.cpp,
	  src/fields/SoSFBox2s.cpp, src/fields/SoSFBox3d.cpp,
	  src/fields/SoSFBox3f.cpp, src/fields/SoSFBox3i32.cpp,
	  src/fields/SoSFBox3s.cpp, src/fields/SoSFVec2b.cpp,
	  src/fields/SoSFVec2d.cpp, src/fields/SoSFVec2f.cpp,
	  src/fields/SoSFVec2i32.cpp, src/fields/SoSFVec2s.cpp,
	  src/fields/SoSFVec3b.cpp, src/fields/SoSFVec4b.cpp,
	  src/fields/SoSFVec4d.cpp, src/fields/SoSFVec4i32.cpp,
	  src/fields/SoSFVec4s.cpp, src/fields/SoSFVec4ub.cpp,
	  src/fields/SoSFVec4ui32.cpp, src/fields/SoSFVec4us.cpp: Doxygen
	  updates

2008-08-17 16:30  larsa

	* [r12484] src/glue/dl.cpp: Mac OS X runtime loading of dynamic
	  libraries fixes.

2008-08-17 14:56  larsa

	* [r12483] include/Inventor/misc/SoChildList.h,
	  src/elements/SoVertexAttributeBindingElement.cpp,
	  src/misc/SoChildList.cpp: Nits: whitespace, include-style,
	  variable locality.

2008-08-17 14:55  larsa

	* [r12482] src/misc/SoDB.cpp: Re-enable cleanup/init unit test.

2008-08-17 14:54  larsa

	* [r12481] src/nodes/SoVertexAttribute.cpp: Remove assert based on
	  invalid user-input value - warning is sufficient.

2008-08-17 14:51  larsa

	* [r12480] scripts/svn2cl.sh, scripts/svn2cl.xsl: ChangeLog
	  generation script.

2008-08-15 14:33  larsa

	* [r12478] src/SbBasicP.h: remove unused variable

2008-08-15 13:48  larsa

	* [r12477]
	  include/Inventor/collision/SoIntersectionDetectionAction.h,
	  src/collision/SoIntersectionDetectionAction.cpp: function pointer
	  storage rewrite

2008-08-15 13:09  bfg

	* [r12476] src/collision/SoIntersectionDetectionAction.cpp:
	  Workaround for those pescy function to object casts.

2008-08-15 09:25  bfg

	* [r12475] include/Inventor/nodekits/SoBaseKit.h,
	  src/draggers/SoDragger.cpp: Incorrect use of parenthesis, and
	  cast.

2008-08-14 13:47  bfg

	* [r12473] include/Inventor/details/SoSubDetail.h,
	  include/Inventor/nodekits/SoBaseKit.h,
	  include/Inventor/nodekits/SoSubKit.h,
	  include/Inventor/nodes/SoSubNode.h,
	  src/draggers/SoCenterballDragger.cpp,
	  src/draggers/SoDirectionalLightDragger.cpp,
	  src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	  src/draggers/SoHandleBoxDragger.cpp,
	  src/draggers/SoJackDragger.cpp,
	  src/draggers/SoPointLightDragger.cpp,
	  src/draggers/SoRotateCylindricalDragger.cpp,
	  src/draggers/SoRotateDiscDragger.cpp,
	  src/draggers/SoRotateSphericalDragger.cpp,
	  src/draggers/SoScale1Dragger.cpp,
	  src/draggers/SoScale2Dragger.cpp,
	  src/draggers/SoScale2UniformDragger.cpp,
	  src/draggers/SoScaleUniformDragger.cpp,
	  src/draggers/SoSpotLightDragger.cpp,
	  src/draggers/SoTabBoxDragger.cpp,
	  src/draggers/SoTabPlaneDragger.cpp,
	  src/draggers/SoTrackballDragger.cpp,
	  src/draggers/SoTransformBoxDragger.cpp,
	  src/draggers/SoTransformerDragger.cpp,
	  src/draggers/SoTranslate1Dragger.cpp,
	  src/draggers/SoTranslate2Dragger.cpp, src/nodekits/SoSubKitP.h,
	  src/nodes/SoSubNodeP.h: Compilation fixes.
	  -Fixed compiler warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -draggers compiles without warnings on gcc 4.3

2008-08-14 12:16  larsa

	* [r12472] configure, configure.ac: Disable warnings about
	  'unsecure' clib functions in use for MSVC8 and 9.

2008-08-14 12:15  bfg

	* [r12471] src/collision/SbTri3f.cpp,
	  src/collision/SoIntersectionDetectionAction.cpp: Compilation
	  fixes.
	  -Fixed compiler warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -collision compiles without warnings on gcc 4.3

2008-08-14 12:12  bfg

	* [r12470] src/SbBasicP.h: How did that ever compile?

2008-08-14 12:09  bfg

	* [r12469] src/SbBasicP.h, src/actions/SoCallbackAction.cpp: More
	  explicit direction of non-standard C++ casts.

2008-08-14 11:36  bfg

	* [r12468] src/caches/SoBoundingBoxCache.cpp,
	  src/caches/SoCache.cpp, src/caches/SoConvexDataCache.cpp,
	  src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp,
	  src/caches/SoGlyphCache.cpp, src/caches/SoNormalCache.cpp,
	  src/caches/SoPrimitiveVertexCache.cpp: Compilation fixes.
	  -Fixed compiler warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -caches compiles without warnings on gcc 4.3

2008-08-14 11:14  bfg

	* [r12467] src/SbBasicP.h: Duck and dive different compilers for
	  non-standard compliant C++ stuff.

2008-08-14 11:01  bfg

	* [r12466] src/SbBasicP.h, src/actions/SoCallbackAction.cpp,
	  src/base/SbDict.cpp: Compile fix for GCC 3.4, will be a
	  regression on other compilers.

2008-08-14 10:59  bfg

	* [r12465] src/SbBasicP.h: Improved header quality, and supports
	  more variants.

2008-08-14 09:24  larsa

	* [r12464] src/misc/CoinResources.cpp: Compile fix

2008-08-13 21:31  larsa

	* [r12462] src/elements/Makefile.am, src/elements/Makefile.in,
	  src/xml/expat/Makefile.am, src/xml/expat/Makefile.in: Dist fixes

2008-08-13 20:54  larsa

	* [r12461] Makefile.am, Makefile.in, src/elements/GL/Makefile.am,
	  src/elements/GL/Makefile.in, src/foreignfiles/Makefile.am,
	  src/foreignfiles/Makefile.in: dist fixes

2008-08-13 20:45  larsa

	* [r12460] src/elements/GL/SoGLEmissiveColorElement.cpp: Remove
	  unused file.

2008-08-13 19:37  larsa

	* [r12459] RELNOTES: Preliminary list of changes for Coin 3.0.

2008-08-13 19:16  larsa

	* [r12458] src/misc/SoSceneManager.cpp: Clear camera-setting
	  automatically when clearing scenegraph.

2008-08-13 19:15  larsa

	* [r12457] src/glue/dl.cpp: Restructure how Coin loads dynamic
	  libraries (Mac OS X).
	  - Used CoreFoundation classes for path extraction.
	  - Changed search sequence priority:
	  (1:Inventor.framework, 2:$0.app, 3:default, 4:OpenAL trick)
	  - Strip away the OS X specific paths for non-Mac builds.

2008-08-13 19:02  larsa

	* [r12456] src/misc/CoinResources.cpp, src/tidbitsp.h: Centralize
	  the Coin framework identifier string

2008-08-13 13:28  larsa

	* [r12455] src/misc/CoinResources.cpp: Handle loading/searching for
	  resources from within the Inventor framework structure.

2008-08-13 13:25  larsa

	* [r12454] data/draggerDefaults/Makefile.am,
	  data/draggerDefaults/Makefile.in,
	  data/scxml/navigation/Makefile.am,
	  data/scxml/navigation/Makefile.in,
	  data/shaders/lights/Makefile.am, data/shaders/lights/Makefile.in,
	  data/shaders/vsm/Makefile.am, data/shaders/vsm/Makefile.in:
	  Install resources to correct location in framework.

2008-08-13 12:55  larsa

	* [r12453] configure, src/config.h.in, src/discard.h.in: bootstrap

2008-08-13 12:55  larsa

	* [r12452] configure.ac: Avoid macosx-related variable fallthrough.
	  Add config.h define to indicate framework builds.

2008-08-13 10:20  bfg

	* [r12451] src/SbBasicP.h: Windows compile fix.

2008-08-12 13:41  larsa

	* [r12449] data/draggerDefaults/Makefile.am,
	  data/draggerDefaults/Makefile.in,
	  data/scxml/navigation/Makefile.am,
	  data/scxml/navigation/Makefile.in,
	  data/shaders/lights/Makefile.am, data/shaders/lights/Makefile.in,
	  data/shaders/vsm/Makefile.am, data/shaders/vsm/Makefile.in:
	  install under Contents/Resources/ for Mac OS X framework installs

2008-08-12 13:03  larsa

	* [r12448] aclocal.m4, configure, src/config.h.in,
	  src/discard.h.in: bootstrap

2008-08-12 13:02  larsa

	* [r12447] configure.ac: Set up Mac OS X conditionals based on
	  wanted deployment target, not build platform. Various other minor
	  tweaks.

2008-08-12 11:34  bfg

	* [r12446] src/bundles/SoMaterialBundle.cpp,
	  src/bundles/SoNormalBundle.cpp,
	  src/bundles/SoTextureCoordinateBundle.cpp,
	  src/bundles/SoVertexAttributeBundle.cpp: Compilation fixes.
	  -Fixed several hundred compile warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -base bundles compiles without warnings on gcc 3.4

2008-08-09 03:19  tamer

	* [r12444] src/misc/SoBaseP.cpp: debug messages only in debug
	  builds.

2008-08-08 14:08  larsa

	* [r12442] configure, configure.ac: use compiler version *after*
	  detecting it

2008-08-08 13:34  larsa

	* [r12441] include/Inventor/SoEventManager.h,
	  include/Inventor/SoRenderManager.h,
	  include/Inventor/SoSceneManager.h: whitespace

2008-08-08 13:22  bfg

	* [r12440] src/SbBasicP.h, src/base/SbDPMatrix.cpp,
	  src/base/SbMatrix.cpp: More entertainment for MSVC6.

2008-08-08 13:05  larsa

	* [r12439] include/Inventor/misc/SoBase.h: MSVC6 compile fix

2008-08-08 13:02  bfg

	* [r12438] src/misc/SbHash.h: Make sure this function is not used
	  internally, as it is not portable.

2008-08-08 12:46  larsa

	* [r12437] configure, configure.ac: Disable Visual C++ 8/9
	  deprecated warninngs for now.

2008-08-08 12:36  larsa

	* [r12436] build/misc/create-directories.bat: update / slight
	  restructuring

2008-08-08 11:37  bfg

	* [r12435] src/base/SbDPMatrix.cpp: Compile humoring for MSVC6.

2008-08-07 23:31  autosvn

	* [r12433] build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj,
	  build/msvc9/data/draggerDefaults/centerballDragger.h,
	  build/msvc9/data/draggerDefaults/directionalLightDragger.h,
	  build/msvc9/data/draggerDefaults/dragPointDragger.h,
	  build/msvc9/data/draggerDefaults/handleBoxDragger.h,
	  build/msvc9/data/draggerDefaults/jackDragger.h,
	  build/msvc9/data/draggerDefaults/pointLightDragger.h,
	  build/msvc9/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/msvc9/data/draggerDefaults/rotateDiscDragger.h,
	  build/msvc9/data/draggerDefaults/rotateSphericalDragger.h,
	  build/msvc9/data/draggerDefaults/scale1Dragger.h,
	  build/msvc9/data/draggerDefaults/scale2Dragger.h,
	  build/msvc9/data/draggerDefaults/scale2UniformDragger.h,
	  build/msvc9/data/draggerDefaults/scaleUniformDragger.h,
	  build/msvc9/data/draggerDefaults/spotLightDragger.h,
	  build/msvc9/data/draggerDefaults/tabBoxDragger.h,
	  build/msvc9/data/draggerDefaults/tabPlaneDragger.h,
	  build/msvc9/data/draggerDefaults/trackballDragger.h,
	  build/msvc9/data/draggerDefaults/transformBoxDragger.h,
	  build/msvc9/data/draggerDefaults/transformerDragger.h,
	  build/msvc9/data/draggerDefaults/translate1Dragger.h,
	  build/msvc9/data/draggerDefaults/translate2Dragger.h,
	  build/msvc9/data/shaders/lights/DirSpotLight.h,
	  build/msvc9/data/shaders/lights/DirectionalLight.h,
	  build/msvc9/data/shaders/lights/PointLight.h,
	  build/msvc9/data/shaders/lights/SpotLight.h,
	  build/msvc9/data/shaders/vsm/VsmLookup.h,
	  build/msvc9/include/Inventor/C/basic.h,
	  build/msvc9/include/Inventor/system/gl-headers.h,
	  build/msvc9/include/Inventor/system/inttypes.h,
	  build/msvc9/src/config-debug.h, build/msvc9/src/config-release.h,
	  build/msvc9/src/config.h, build/msvc9/src/setup.h: Automatic
	  Property adjustment

2008-08-07 16:00  bfg

	* [r12432] src/SbBasicP.h: Better way of doing casting, thx to
	  larsa.
	  
	  Unfortunately MSVC6 is not happy about it.

2008-08-07 15:57  larsa

	* [r12431] src/base/SbTesselator.cpp: VC6 compile fix

2008-08-07 14:49  larsa

	* [r12430] build/msvc6/coin3.dsp, build/msvc7/coin3.sln,
	  build/msvc7/coin3.vcproj, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj: VC++ flex-file-related build
	  fixes

2008-08-07 13:57  larsa

	* [r12429] build/msvc9, build/msvc9/data,
	  build/msvc9/data/draggerDefaults, build/msvc9/data/shaders,
	  build/msvc9/data/shaders/lights, build/msvc9/data/shaders/vsm,
	  build/msvc9/docs, build/msvc9/include,
	  build/msvc9/include/Inventor, build/msvc9/include/Inventor/C,
	  build/msvc9/include/Inventor/system, build/msvc9/src: ignore
	  properties

2008-08-07 13:48  larsa

	* [r12428] src/3ds/SoStream.h: Another Visual C++ 2008 Express
	  build fix

2008-08-07 13:33  larsa

	* [r12427] build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj,
	  include/boost/config/compiler/visualc.hpp: Visual C++ 2008
	  Express build fixes

2008-08-07 13:06  larsa

	* [r12426] configure, src/foreignfiles/Makefile.in: bootstrap

2008-08-07 13:05  larsa

	* [r12425] configure.ac, src/foreignfiles/Makefile.am: move
	  detection of YY_NO_UNISTD_H to global configure-time so it
	  propagates to downstream build systems

2008-08-07 12:51  larsa

	* [r12424] build/msvc9/coin3.sln, build/msvc9/coin3.vcproj,
	  build/msvc9/coin3_docs.vcproj, build/msvc9/coin3_install.vcproj,
	  build/msvc9/coin3_uninstall.vcproj, build/msvc9/data,
	  build/msvc9/data/draggerDefaults,
	  build/msvc9/data/draggerDefaults/centerballDragger.h,
	  build/msvc9/data/draggerDefaults/directionalLightDragger.h,
	  build/msvc9/data/draggerDefaults/dragPointDragger.h,
	  build/msvc9/data/draggerDefaults/handleBoxDragger.h,
	  build/msvc9/data/draggerDefaults/jackDragger.h,
	  build/msvc9/data/draggerDefaults/pointLightDragger.h,
	  build/msvc9/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/msvc9/data/draggerDefaults/rotateDiscDragger.h,
	  build/msvc9/data/draggerDefaults/rotateSphericalDragger.h,
	  build/msvc9/data/draggerDefaults/scale1Dragger.h,
	  build/msvc9/data/draggerDefaults/scale2Dragger.h,
	  build/msvc9/data/draggerDefaults/scale2UniformDragger.h,
	  build/msvc9/data/draggerDefaults/scaleUniformDragger.h,
	  build/msvc9/data/draggerDefaults/spotLightDragger.h,
	  build/msvc9/data/draggerDefaults/tabBoxDragger.h,
	  build/msvc9/data/draggerDefaults/tabPlaneDragger.h,
	  build/msvc9/data/draggerDefaults/trackballDragger.h,
	  build/msvc9/data/draggerDefaults/transformBoxDragger.h,
	  build/msvc9/data/draggerDefaults/transformerDragger.h,
	  build/msvc9/data/draggerDefaults/translate1Dragger.h,
	  build/msvc9/data/draggerDefaults/translate2Dragger.h,
	  build/msvc9/data/shaders, build/msvc9/data/shaders/lights,
	  build/msvc9/data/shaders/lights/DirSpotLight.h,
	  build/msvc9/data/shaders/lights/DirectionalLight.h,
	  build/msvc9/data/shaders/lights/PointLight.h,
	  build/msvc9/data/shaders/lights/SpotLight.h,
	  build/msvc9/data/shaders/vsm,
	  build/msvc9/data/shaders/vsm/VsmLookup.h, build/msvc9/docs,
	  build/msvc9/docs/coin3.doxygen, build/msvc9/include,
	  build/msvc9/include/Inventor, build/msvc9/include/Inventor/C,
	  build/msvc9/include/Inventor/C/basic.h,
	  build/msvc9/include/Inventor/system,
	  build/msvc9/include/Inventor/system/gl-headers.h,
	  build/msvc9/include/Inventor/system/inttypes.h, build/msvc9/src,
	  build/msvc9/src/config-debug.h, build/msvc9/src/config-release.h,
	  build/msvc9/src/config.h, build/msvc9/src/setup.h: MSVC9 build
	  files.

2008-08-07 11:50  larsa

	* [r12423] build/README, build/msvc9: New directory for MSVC9
	  project files.

2008-08-07 09:30  larsa

	* [r12422] src/nodes/SoDepthBuffer.cpp: use correct
	  constructor-macro

2008-08-07 09:25  larsa

	* [r12421] include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp,
	  src/misc/SoBaseP.cpp, src/misc/SoBaseP.h: Stow away private
	  static methods in the pimpl to clean up header.
	  Make refcount mutable to avoid several const_casts.

2008-08-06 21:30  larsa

	* [r12419] src/misc/SoSceneManager.cpp: Crash-fix (inconsistent
	  node-ref()'ing)

2008-08-06 16:46  bfg

	* [r12418] src/base/SbBSPTree.cpp, src/base/SbBox2d.cpp,
	  src/base/SbBox2f.cpp, src/base/SbBox2i32.cpp,
	  src/base/SbBox2s.cpp, src/base/SbBox3d.cpp, src/base/SbBox3f.cpp,
	  src/base/SbBox3i32.cpp, src/base/SbBox3s.cpp,
	  src/base/SbClip.cpp, src/base/SbColor.cpp,
	  src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	  src/base/SbDPLine.cpp, src/base/SbDPMatrix.cpp,
	  src/base/SbDPPlane.cpp, src/base/SbDPRotation.cpp,
	  src/base/SbDPViewVolume.cpp, src/base/SbDict.cpp,
	  src/base/SbGLUTessellator.cpp, src/base/SbHeap.cpp,
	  src/base/SbImage.cpp, src/base/SbLine.cpp, src/base/SbMatrix.cpp,
	  src/base/SbName.cpp, src/base/SbOctTree.cpp,
	  src/base/SbPlane.cpp, src/base/SbRotation.cpp,
	  src/base/SbSphere.cpp, src/base/SbString.cpp,
	  src/base/SbTesselator.cpp, src/base/SbTime.cpp,
	  src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	  src/base/SbVec2i32.cpp, src/base/SbVec2s.cpp,
	  src/base/SbVec3d.cpp, src/base/SbVec3f.cpp, src/base/SbVec3s.cpp,
	  src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	  src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	  src/base/SbXfBox3d.cpp, src/base/SbXfBox3f.cpp,
	  src/base/dict.cpp, src/base/dict.h, src/base/hash.cpp,
	  src/base/heap.cpp, src/base/list.cpp, src/base/memalloc.cpp,
	  src/base/namemap.cpp, src/base/rbptree.cpp, src/base/string.cpp,
	  src/base/time.cpp, src/threads/threadsutilp.h: Compilation fixes.
	  -Fixed several hundred compile warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -base module compiles without warnings on gcc 3.4

2008-08-06 15:23  larsa

	* [r12417] include/Inventor/SbTesselator.h: Add implicit copy-code
	  guards

2008-08-06 15:20  larsa

	* [r12416] src/base/SbTesselator.cpp: remove unnecessary typedef

2008-08-06 14:23  larsa

	* [r12415] include/Inventor/SbTesselator.h,
	  src/base/SbTesselator.cpp: tidy up public header

2008-08-06 12:02  larsa

	* [r12414] Info.plist.in: Order keys alphabetically, use TABs.

2008-08-05 21:57  tamer

	* [r12412] src/misc/SoBaseP.cpp: add missing header include for
	  CC_MUTEX macros.

2008-08-05 17:08  larsa

	* [r12411] src/misc/SoBase.cpp: Tidy up some const_casts.

2008-08-05 17:06  larsa

	* [r12410] src/misc/SoBase.cpp, src/misc/SoBaseP.cpp,
	  src/misc/SoBaseP.h: Let name settings for SoBase objects be
	  preserved through executing the destructors.
	  Don't use this-> on static calls - be classname::-explicit
	  instead.

2008-08-05 14:26  bfg

	* [r12409] src/misc/SbHash.h: Only disregard function if compiler
	  is MSVC6.

2008-08-05 12:10  larsa

	* [r12408] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/data/draggerDefaults/transformerDragger.h,
	  build/msvc6/docs/coin3.doxygen, build/msvc7/coin3.sln,
	  build/msvc7/coin3.vcproj,
	  build/msvc7/data/draggerDefaults/transformerDragger.h,
	  build/msvc7/docs/coin3.doxygen, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/data/draggerDefaults/transformerDragger.h,
	  build/msvc8/docs/coin3.doxygen: sync

2008-08-05 11:25  larsa

	* [r12407] include/Inventor/SoRenderManager.h: VC6.0 compile fix

2008-08-05 11:18  larsa

	* [r12406] src/misc/SoGLImage.cpp: VC6.0 compile fix

2008-08-05 11:06  larsa

	* [r12405] src/misc/SbHash.h: VC6.0 compile fix

2008-08-05 10:50  bfg

	* [r12404] src/misc/SbHash.h: Windows compile fix.

2008-08-05 10:44  bfg

	* [r12403] include/Inventor/actions/SoSubAction.h,
	  include/Inventor/elements/SoOverrideElement.h,
	  include/Inventor/lists/SbStringList.h,
	  include/Inventor/lists/SoDetailList.h,
	  include/Inventor/lists/SoFieldList.h,
	  include/Inventor/lists/SoPickedPointList.h,
	  include/Inventor/threads/SbStorage.h, src/SbBasicP.h,
	  src/actions/SoAction.cpp, src/actions/SoAudioRenderAction.cpp,
	  src/actions/SoBoxHighlightRenderAction.cpp,
	  src/actions/SoCallbackAction.cpp,
	  src/actions/SoGLRenderAction.cpp,
	  src/actions/SoGetBoundingBoxAction.cpp,
	  src/actions/SoGetMatrixAction.cpp,
	  src/actions/SoHandleEventAction.cpp,
	  src/actions/SoLineHighlightRenderAction.cpp,
	  src/actions/SoRayPickAction.cpp,
	  src/actions/SoReorganizeAction.cpp,
	  src/actions/SoToVRML2Action.cpp, src/actions/SoToVRMLAction.cpp,
	  src/actions/SoWriteAction.cpp, src/coindefs.h, src/misc/SbHash.h:
	  Compilation fixes.
	  -Reworked COIN_UNUSED macro to make it easier to use.
	  -Reworked coin_cast
	  -Introduced reclassify_cast as a marker for the SoPath to
	  SoFullPath
	  reinterpret casts.
	  -Fixed several hundred compile warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -actions module compiles without warnings on gcc 3.4

2008-08-05 10:32  bfg

	* [r12402] src/base/SbString.cpp, src/fields/SoField.cpp,
	  src/io/SoOutput.cpp, src/misc/SbHash.h, src/misc/SoBase.cpp,
	  src/misc/SoDebug.cpp, src/sensors/SoSensor.cpp: Reworked API of
	  SbHash.
	  
	  Still not ready for primetime.

2008-08-01 20:56  tamer

	* [r12400] src/foreignfiles/Makefile.in: bootstrap

2008-08-01 20:56  tamer

	* [r12399] src/foreignfiles/Makefile.am: disable the inclusion of
	  unistd.h on msvc builds.

2008-08-01 19:36  tamer

	* [r12398] configure: bootstrap

2008-08-01 19:36  tamer

	* [r12397] configure.ac: do not expand ac_substed variables such as
	  exec_prefix as otherwise
	  prefix overrides such as "make prefix=/foo install" break.

2008-08-01 19:33  tamer

	* [r12396] include/SoDebug.h, src/base/SbBox2i32.cpp,
	  src/base/SbVec2i32.cpp, src/fonts/win32.cpp, src/fonts/win32.h,
	  src/foreignfiles/Makefile.am,
	  src/foreignfiles/SoForeignFileKit.cpp,
	  src/foreignfiles/SoSTLFileKit.cpp, src/foreignfiles/steel.cpp,
	  src/foreignfiles/steel.l, src/geo/SbGeoAngle.cpp,
	  src/geo/SbGeoAngle.h, src/geo/SbGeoEllipsoid.cpp,
	  src/geo/SbGeoEllipsoid.h, src/geo/SbGeoProjection.cpp,
	  src/geo/SbGeoProjection.h, src/geo/SbPolarStereographic.cpp,
	  src/geo/SbPolarStereographic.h, src/geo/SbUTMProjection.cpp,
	  src/geo/SbUTMProjection.h, src/glue/win32api.cpp,
	  src/glue/win32api.h, src/misc/CoinStaticObjectInDLL.cpp,
	  src/misc/CoinStaticObjectInDLL.h, src/misc/SoDBP.cpp,
	  src/misc/SoDBP.h, src/misc/SoDebug.cpp,
	  src/profiler/SoNodeProfiling.h, src/xml/all-xml-cpp.cpp,
	  src/xml/attribute.cpp, src/xml/document.cpp, src/xml/element.cpp,
	  src/xml/entity.cpp, src/xml/expat/amigaconfig.h,
	  src/xml/expat/ascii.h, src/xml/expat/asciitab.h,
	  src/xml/expat/expat.h, src/xml/expat/expat_external.h,
	  src/xml/expat/iasciitab.h, src/xml/expat/internal.h,
	  src/xml/expat/latin1tab.h, src/xml/expat/macconfig.h,
	  src/xml/expat/nametab.h, src/xml/expat/utf8tab.h,
	  src/xml/expat/winconfig.h, src/xml/expat/xmlrole.h,
	  src/xml/expat/xmltok.h, src/xml/expat/xmltok_impl.h,
	  src/xml/path.cpp, src/xml/types.cpp, src/xml/utils.cpp,
	  src/xml/utils.h: remove erroneously checked in svn:executable
	  property.

2008-08-01 18:59  larsa

	* [r12395] Info.plist.in: Update copyright strings. Add
	  CFBundleName so OS X users won't encounter the 'missing
	  CFBundleName' problem.

2008-07-31 17:19  kintel

	* [r12393] src/hardcopy/VectorizePSAction.cpp,
	  src/misc/SoGLDriverDatabase.cpp, src/nodes/SoCamera.cpp,
	  src/nodes/SoSceneTexture2.cpp,
	  src/nodes/SoSceneTextureCubeMap.cpp,
	  src/profiler/SbProfilingData.cpp, src/shapenodes/SoText2.cpp,
	  src/shapenodes/SoText3.cpp, src/vrml97/JS_VRMLClasses.cpp: Killed
	  some more warnings

2008-07-31 16:20  bfg

	* [r12392] include/Inventor/SbColor.h, include/Inventor/SbString.h,
	  include/Inventor/SoInput.h, include/Inventor/SoType.h,
	  include/Inventor/fields/SoSubField.h,
	  include/Inventor/lists/SbIntList.h,
	  include/Inventor/lists/SoAuditorList.h, src/3ds/3dsLoader.cpp,
	  src/3ds/SoStream.cpp, src/3ds/SoStream.h, src/SbBasicP.h,
	  src/coindefs.h, src/tidbitsp.h: Added COIN_UNUSED macro for
	  marking unused function parameters.
	  
	  -Fixed several compile warnings.
	  -Using C++ style casts.
	  -Using new style C++ includes.
	  -3ds module compiles without warnings on gcc 3.4

2008-07-31 01:25  larsa

	* [r12391] src/3ds/SoStream.cpp: obvious fix

2008-07-31 01:09  larsa

	* [r12390] src/misc/SoJavaScriptEngine.cpp: Configure-option
	  --disable-vrml97 fix.

2008-07-31 01:05  larsa

	* [r12389] src/vrml97/Inline.cpp: put back some cpp-directives on
	  the move

2008-07-31 00:56  larsa

	* [r12388] src/actions/SoAction.cpp,
	  src/actions/SoToVRML2Action.cpp, src/actions/all-actions-cpp.cpp:
	  The proper --disable-vrml97 build fix.

2008-07-30 19:38  bfg

	* [r12386] src/actions/SoReorganizeAction.cpp,
	  src/actions/SoToVRML2Action.cpp: Compile fixes.

2008-07-30 13:59  kintel

	* [r12385] src/navigation/SoScXMLSpinUtils.cpp: Added leak FIXME

2008-07-30 13:35  larsa

	* [r12384] src/actions/SoAction.cpp,
	  src/actions/SoReorganizeAction.cpp,
	  src/actions/SoToVRML2Action.cpp, src/actions/all-actions-cpp.cpp:
	  Fixes for --disable-vrml97 configure-option

2008-07-30 13:33  larsa

	* [r12383] configure, configure.ac: make it possible to disable
	  javascript-api

2008-07-30 10:28  kintel

	* [r12382] src/misc/SoEventManager.cpp,
	  src/misc/SoRenderManager.cpp: deconfused camera unref'ing

2008-07-30 10:27  kintel

	* [r12381] src/glue/dl.cpp: Added quickfix waiting to resolve the
	  real issue

2008-07-30 10:26  kintel

	* [r12380] src/elements/GL/SoGLDisplayList.cpp: cosmetic

2008-07-29 16:53  kintel

	* [r12378] src/misc/SoEventManager.cpp: bugfix: Since the
	  setscenegraph methods use the current camera, it's unnecessary
	  for them to also set the current camera

2008-07-29 16:52  kintel

	* [r12377] src/misc/SoRenderManager.cpp: Comment on sloppy coding.
	  Morten, please come back and bring your whip and rope.

2008-07-29 16:40  kintel

	* [r12376] src/scxml/SoScXMLStateMachine.cpp: bugfix: Allow for
	  NULL scenegraphs (which is the default init value)

2008-07-29 15:29  pederb

	* [r12375] src/3ds/SoStream.cpp, src/3ds/SoStream.h: Revert the
	  static_cast patch. I got too many compiler errors.

2008-07-29 15:23  larsa

	* [r12374] src/3ds/all-3ds-cpp.cpp: use 3DS conditional testing

2008-07-29 14:55  larsa

	* [r12373] src/foreignfiles/steel.cpp, src/foreignfiles/steel.l:
	  update filename option, regenerate with flex 2.5.35

2008-07-29 13:16  larsa

	* [r12372] src/io/all-io-cpp.cpp: #include-name capitalization fix,
	  thanks to Jukka Akkanen

2008-07-29 09:06  bfg

	* [r12371] src/3ds/SoStream.cpp, src/3ds/SoStream.h: Replacing C
	  style casts with C++ style casts.

2008-07-29 08:49  pederb

	* [r12370] data/draggerDefaults/transformerDragger.iv: Fix for
	  SoTransformerManip picking problem. Reported by Arne Brys.

2008-07-28 18:13  larsa

	* [r12368] src/actions/SoBoxHighlightRenderAction.cpp,
	  src/actions/SoLineHighlightRenderAction.cpp: C++-style casts,
	  unify code, const a conditional

2008-07-28 17:27  tamer

	* [r12367] src/foreignfiles/steel.cpp: QUICKFIX for windows always
	  trigger dependency build problems.

2008-07-28 15:10  kintel

	* [r12366] docs/coin.doxygen.in: missing doc

2008-07-28 15:10  kintel

	* [r12365] src/nodes/SoViewerNavigationMode.cpp: outdated doc

2008-07-25 15:18  larsa

	* [r12363] src/elements/GL/SoGLLazyElement.cpp: syntax nitpick

2008-07-25 12:15  kintel

	* [r12362] src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	  src/nodes/SoExtSelection.cpp, src/nodes/SoVertexAttribute.cpp,
	  src/vrml97/Background.cpp, src/vrml97/Extrusion.cpp,
	  src/vrml97/PointLight.cpp, src/vrml97/Sound.cpp,
	  src/vrml97/Text.cpp: Killed some warnings

2008-07-25 12:15  kintel

	* [r12361] src/shadows/SoShadowGroup.cpp: Bugfix: string was not
	  appended to message

2008-07-25 11:13  bfg

	* [r12360] include/Inventor/fields/SoSubField.h: Connect setPointer
	  with userData flag.

2008-07-25 03:38  larsa

	* [r12359] include/Inventor/scxml/Makefile.am,
	  include/Inventor/scxml/Makefile.in,
	  include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLTransition.h, src/scxml/Makefile.am,
	  src/scxml/Makefile.in, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLAnchor.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLDocument.h,
	  src/scxml/ScXMLFallbackInvoke.h, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLFinal.h, src/scxml/ScXMLHistory.cpp,
	  src/scxml/ScXMLHistory.h, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInitial.h, src/scxml/ScXMLOnEntry.cpp,
	  src/scxml/ScXMLOnEntry.h, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLOnExit.h, src/scxml/ScXMLState.cpp,
	  src/scxml/ScXMLState.h, src/scxml/ScXMLStateMachine.cpp,
	  src/scxml/ScXMLTransition.cpp, src/scxml/ScXMLTransition.h,
	  src/scxml/SoScXMLDebugInfoInvoke.h,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.h: because of SCXML
	  standard draft status and recent changes, the parts not needed
	  publicly at this time are made internal, so we can update the
	  implementation to reflect the current draft without breaking
	  compatibility

2008-07-24 20:06  larsa

	* [r12357] src/shadows/SoShadowSpotLight.cpp: fix version tagging

2008-07-24 13:57  kintel

	* [r12356] src/scxml/ScXML.cpp: Updated URL to old SCXML draft

2008-07-23 14:42  larsa

	* [r12354] include/Inventor/SoEventManager.h,
	  src/misc/SoEventManager.cpp: added viewport setting getter

2008-07-23 13:40  larsa

	* [r12353] include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateMachine.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  include/Inventor/scxml/SoScXMLStateMachine.h,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLCommonP.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLHistory.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLStateMachine.cpp,
	  src/scxml/ScXMLTransition.cpp, src/scxml/SoScXMLStateMachine.cpp:
	  misc minor cleanups

2008-07-22 23:32  autosvn

	* [r12351] src/3ds/all-3ds-cpp.cpp: Automatic Property adjustment

2008-07-22 20:24  larsa

	* [r12350] build/msvc7/data/shaders/lights/DirSpotLight.h,
	  build/msvc7/data/shaders/lights/DirectionalLight.h,
	  build/msvc7/data/shaders/lights/PointLight.h,
	  build/msvc7/data/shaders/lights/SpotLight.h,
	  build/msvc7/docs/coin3.doxygen,
	  build/msvc8/data/shaders/lights/DirSpotLight.h,
	  build/msvc8/data/shaders/lights/DirectionalLight.h,
	  build/msvc8/data/shaders/lights/PointLight.h,
	  build/msvc8/data/shaders/lights/SpotLight.h,
	  build/msvc8/docs/coin3.doxygen: partial update for msvc7 and
	  msvc8

2008-07-22 20:23  larsa

	* [r12349] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/data/shaders/lights/DirSpotLight.h,
	  build/msvc6/data/shaders/lights/DirectionalLight.h,
	  build/msvc6/data/shaders/lights/PointLight.h,
	  build/msvc6/data/shaders/lights/SpotLight.h,
	  build/msvc6/docs/coin3.doxygen: sync/update build files for msvc6

2008-07-22 18:02  kintel

	* [r12348] src/glue/GLUWrapper.cpp: idx should move, not die

2008-07-22 11:06  bfg

	* [r12347] src/foreignfiles/steel.cpp: QUICKFIX for windows build
	  problems.
	  
	  Proper fix should happen in the source file.

2008-07-22 11:06  kintel

	* [r12346] src/actions/SoToVRML2Action.cpp,
	  src/elements/GL/SoGLLazyElement.cpp,
	  src/elements/GL/SoGLTextureImageElement.cpp,
	  src/fields/SoField.cpp, src/fonts/glyph2d.cpp,
	  src/glue/GLUWrapper.cpp, src/hardcopy/VectorizeActionP.cpp,
	  src/io/SoInput_Reader.cpp, src/misc/SoBase.cpp,
	  src/misc/SoGLBigImage.cpp, src/misc/SoGLCubeMapImage.cpp,
	  src/misc/SoGLImage.cpp, src/misc/SoProto.cpp,
	  src/vrml97/PointSet.cpp: killed some warnings

2008-07-22 11:04  kintel

	* [r12345] build/Xcode/Coin.xcodeproj/project.pbxproj: sync

2008-07-22 11:04  kintel

	* [r12344] include/Inventor/nodes/SoShaderParameter.h: Removed
	  unused method

2008-07-22 04:17  larsa

	* [r12343] src/Makefile.am, src/Makefile.in: workaround for issue
	  with libtool subdir libraries and lost debug symbols on OS X

2008-07-22 04:12  larsa

	* [r12342] src/elements/GL/SoGLLazyElement.cpp,
	  src/elements/GL/SoGLLineWidthElement.cpp,
	  src/elements/GL/SoGLMultiTextureImageElement.cpp,
	  src/elements/GL/SoGLPointSizeElement.cpp,
	  src/elements/GL/SoGLTextureCoordinateElement.cpp,
	  src/elements/GL/SoGLVBOElement.cpp,
	  src/elements/SoCacheHintElement.cpp,
	  src/elements/SoModelMatrixElement.cpp,
	  src/elements/SoOverrideElement.cpp: #define bookkeeping

2008-07-22 04:10  larsa

	* [r12341] src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLState.cpp:
	  #define bookkeeping

2008-07-22 04:09  larsa

	* [r12340] src/shapenodes/SoAsciiText.cpp,
	  src/shapenodes/SoCone.cpp, src/shapenodes/SoCylinder.cpp,
	  src/shapenodes/SoFaceSet.cpp,
	  src/shapenodes/SoIndexedFaceSet.cpp,
	  src/shapenodes/SoIndexedNurbsCurve.cpp,
	  src/shapenodes/SoIndexedNurbsSurface.cpp,
	  src/shapenodes/SoNurbsCurve.cpp,
	  src/shapenodes/SoNurbsSurface.cpp, src/shapenodes/SoSphere.cpp,
	  src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp,
	  src/shapenodes/SoVertexShape.cpp: #define bookkeeping

2008-07-22 04:06  larsa

	* [r12339] src/nodes/SoBaseColor.cpp, src/nodes/SoBumpMap.cpp,
	  src/nodes/SoExtSelection.cpp, src/nodes/SoLOD.cpp,
	  src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLocateHighlight.cpp,
	  src/nodes/SoMaterial.cpp, src/nodes/SoSceneTexture2.cpp,
	  src/nodes/SoSceneTextureCubeMap.cpp, src/nodes/SoSeparator.cpp,
	  src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	  src/nodes/SoTextureCoordinateCube.cpp,
	  src/nodes/SoTextureCoordinateCylinder.cpp,
	  src/nodes/SoTextureCoordinatePlane.cpp,
	  src/nodes/SoTextureCoordinateSphere.cpp,
	  src/nodes/SoTextureCubeMap.cpp, src/nodes/SoUnknownNode.cpp,
	  src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp: #define
	  bookkeeping

2008-07-22 04:00  larsa

	* [r12338] src/misc/SoBase.cpp, src/misc/SoGLCubeMapImage.cpp,
	  src/misc/SoJavaScriptEngine.cpp, src/misc/SoProtoInstance.cpp,
	  src/misc/SoRenderManagerP.cpp, src/misc/SoState.cpp: #define
	  bookkeeping

2008-07-22 03:58  larsa

	* [r12337] src/draggers/SoHandleBoxDragger.cpp,
	  src/draggers/SoTabPlaneDragger.cpp,
	  src/draggers/SoTranslate2Dragger.cpp,
	  src/engines/SoCalculator.cpp, src/engines/SoConvertAll.cpp,
	  src/engines/SoNodeEngine.cpp, src/errors/SoDebugError.cpp,
	  src/errors/debugerror.cpp, src/events/SoKeyboardEvent.cpp,
	  src/fields/SoSFImage.cpp, src/fonts/fontlib_wrapper.cpp,
	  src/fonts/glyph2d.cpp, src/fonts/glyph3d.cpp,
	  src/fonts/win32.cpp, src/geo/SoGeoCoordinate.cpp,
	  src/hardcopy/VectorOutput.cpp,
	  src/hardcopy/VectorizePSAction.cpp, src/io/SoInput.cpp,
	  src/lists/SoActionMethodList.cpp,
	  src/lists/SoEnabledElementsList.cpp, src/manips/commoncode.cpp,
	  src/mpeg/SoMPEGRenderer.cpp,
	  src/navigation/SoNavigationSystem.cpp,
	  src/nodekits/SoBaseKit.cpp, src/nodekits/SoInteractionKit.cpp,
	  src/nodekits/SoSeparatorKit.cpp,
	  src/profiler/SbProfilingData.cpp,
	  src/profiler/SoNodeVisualize.cpp, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilerTopEngine.cpp,
	  src/profiler/SoProfilingReportGenerator.cpp,
	  src/profiler/SoScrollingGraphKit.cpp,
	  src/sensors/SoSensorManager.cpp, src/shaders/SoShaderObject.cpp,
	  src/shaders/SoShaderParameter.cpp,
	  src/shaders/SoShaderProgram.cpp, src/shadows/SoShadowGroup.cpp:
	  #define bookkeeping

2008-07-22 02:00  larsa

	* [r12336] src/bundles/SoNormalBundle.cpp,
	  src/bundles/SoTextureCoordinateBundle.cpp,
	  src/bundles/SoVertexAttributeBundle.cpp,
	  src/caches/SoNormalCache.cpp, src/collision/SbTri3f.cpp,
	  src/collision/SoIntersectionDetectionAction.cpp: define
	  bookkeeping

2008-07-22 01:53  larsa

	* [r12335] src/base/SbDPMatrix.cpp, src/base/SbMatrix.cpp,
	  src/base/SbTesselator.cpp, src/base/SbTime.cpp,
	  src/base/list.cpp, src/base/namemap.cpp: define bookkeeping
	  cleanup

2008-07-22 01:39  larsa

	* [r12334] src/foreignfiles/Makefile.am,
	  src/foreignfiles/Makefile.in,
	  src/foreignfiles/all-foreignfiles-c.c, src/foreignfiles/steel.c,
	  src/foreignfiles/steel.cpp, src/foreignfiles/steel.l: eliminate
	  all-foreignfiles-c.c

2008-07-22 01:37  larsa

	* [r12333] src/3ds/Makefile.am, src/3ds/Makefile.in: build fix

2008-07-22 01:33  larsa

	* [r12332] src/3ds/all-3ds-cpp.cpp, src/base/all-base-cpp.cpp,
	  src/bundles/all-bundles-cpp.cpp,
	  src/elements/GL/all-glelements-cpp.cpp,
	  src/elements/all-elements-cpp.cpp, src/fonts/all-fonts-cpp.cpp,
	  src/foreignfiles/all-foreignfiles-cpp.cpp,
	  src/hardcopy/all-hardcopy-cpp.cpp, src/misc/all-misc-cpp.cpp,
	  src/navigation/all-navigation-cpp.cpp,
	  src/nodes/all-nodes-cpp.cpp, src/profiler/all-profiler-cpp.cpp,
	  src/shadows/all-shadows-cpp.cpp, src/threads/all-threads-cpp.cpp,
	  src/vrml97/all-vrml97-cpp.cpp, src/xml/all-xml-cpp.cpp,
	  src/xml/expat/all-expat-c.c: enable-compact build fixes

2008-07-22 01:31  larsa

	* [r12331] src/xml/expat/Makefile.am, src/xml/expat/Makefile.in:
	  build fix

2008-07-21 23:31  autosvn

	* [r12329] include/Inventor/bundles/SoVertexAttributeBundle.h,
	  include/Inventor/elements/SoGLVertexAttributeElement.h,
	  include/Inventor/elements/SoVertexAttributeBindingElement.h,
	  include/Inventor/elements/SoVertexAttributeElement.h,
	  include/Inventor/nodes/SoVertexAttributeBinding.h,
	  src/bundles/SoVertexAttributeBundle.cpp,
	  src/elements/GL/SoGLVertexAttributeElement.cpp,
	  src/elements/SoVertexAttributeBindingElement.cpp,
	  src/elements/SoVertexAttributeData.h,
	  src/elements/SoVertexAttributeElement.cpp,
	  src/nodes/SoVertexAttributeBinding.cpp: Automatic Property
	  adjustment

2008-07-21 22:12  larsa

	* [r12328] include/Inventor/annex/FXViz/nodes/SoShadowSpotLight.h:
	  include-guard fix

2008-07-21 21:29  larsa

	* [r12327] include/Inventor/fields/SoMFColorRGBA.h: include-guard
	  fix

2008-07-21 21:28  larsa

	* [r12326] src/actions/SoAction.cpp,
	  src/actions/SoBoxHighlightRenderAction.cpp,
	  src/actions/SoCallbackAction.cpp,
	  src/actions/SoLineHighlightRenderAction.cpp,
	  src/actions/SoReorganizeAction.cpp,
	  src/actions/SoToVRML2Action.cpp, src/actions/SoToVRMLAction.cpp:
	  fix #define bookkeeping

2008-07-21 20:29  larsa

	* [r12325] include/Inventor/nodes/SoCallback.h: whitespace

2008-07-21 20:28  larsa

	* [r12324] include/Inventor/nodes/SoTextureCoordinate2.h:
	  whitespace

2008-07-21 20:22  larsa

	* [r12323] src/shapenodes/soshape_bumprender.cpp: prealloc total
	  array size

2008-07-21 20:19  larsa

	* [r12322] src/nodes/SoVertexAttribute.cpp: nop the
	  development/debug messages

2008-07-21 19:28  larsa

	* [r12321] docs/coin.doxygen.in,
	  include/Inventor/bundles/Makefile.am,
	  include/Inventor/bundles/Makefile.in,
	  include/Inventor/bundles/SoVertexAttributeBundle.h,
	  include/Inventor/elements/Makefile.am,
	  include/Inventor/elements/Makefile.in,
	  include/Inventor/elements/SoElements.h,
	  include/Inventor/elements/SoGLVertexAttributeElement.h,
	  include/Inventor/elements/SoVertexAttributeBindingElement.h,
	  include/Inventor/elements/SoVertexAttributeElement.h,
	  include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/nodes/SoNodes.h,
	  include/Inventor/nodes/SoVertexAttribute.h,
	  include/Inventor/nodes/SoVertexAttributeBinding.h,
	  src/bundles/Makefile.am, src/bundles/Makefile.in,
	  src/bundles/SoVertexAttributeBundle.cpp, src/doc/modules.dox,
	  src/elements/GL/Makefile.am, src/elements/GL/Makefile.in,
	  src/elements/GL/SoGLVertexAttributeElement.cpp,
	  src/elements/Makefile.am, src/elements/Makefile.in,
	  src/elements/SoElement.cpp,
	  src/elements/SoVertexAttributeBindingElement.cpp,
	  src/elements/SoVertexAttributeData.h,
	  src/elements/SoVertexAttributeElement.cpp, src/misc/SoGL.cpp,
	  src/misc/SoGL.h, src/nodes/Makefile.am, src/nodes/Makefile.in,
	  src/nodes/SoNode.cpp, src/nodes/SoVertexAttribute.cpp,
	  src/nodes/SoVertexAttributeBinding.cpp,
	  src/shaders/SoGLSLShaderProgram.cpp,
	  src/shaders/SoGLSLShaderProgram.h,
	  src/shaders/SoGLShaderProgram.cpp,
	  src/shaders/SoGLShaderProgram.h, src/shaders/SoShaderObject.cpp,
	  src/shaders/SoShaderProgram.cpp, src/shapenodes/SoFaceSet.cpp,
	  src/shapenodes/SoIndexedFaceSet.cpp, src/shapenodes/SoShape.cpp,
	  src/vrml97/Extrusion.cpp, src/vrml97/IndexedFaceSet.cpp: initial
	  generic vertex attribute support

2008-07-16 15:22  bfg

	* [r12319] src/misc/SoRenderManager.cpp: Deleting pimpl after
	  deleting all references in it.

2008-07-16 08:52  pederb

	* [r12318] src/elements/GL/SoGLLazyElement.cpp,
	  src/elements/SoLazyElement.cpp: Proper fixes for Coin-48.

2008-07-15 13:01  pederb

	* [r12316] src/elements/GL/SoGLLazyElement.cpp: Bugfix. Avoid that
	  separate blending is used without requested.

2008-07-15 12:11  bfg

	* [r12315] src/misc/SoRenderManager.cpp: Plug memory leak.

2008-07-15 07:52  bfg

	* [r12314] src/misc/SoEventManager.cpp: Plug memory leak.

2008-07-14 16:37  larsa

	* [r12312] src/caches/SoPrimitiveVertexCache.cpp: Bugfix (I
	  presume)

2008-07-14 14:38  bfg

	* [r12311] src/fonts/fontlib_wrapper.cpp: Cleanup properly after
	  us.

2008-07-11 14:06  bfg

	* [r12309] src/fonts/fontlib_wrapper.cpp, src/fonts/glyph2d.cpp,
	  src/fonts/glyph3d.cpp, src/misc/SoContextHandler.cpp,
	  src/threads/mutex.cpp, src/threads/thread.cpp, src/tidbits.cpp,
	  src/tidbitsp.h: - Reworked the coin_setenv to use callthrough in
	  POSIX settings.
	  - Changed the coin_atexit_func to use enum coin_atexit_priorities
	  in
	  function signature.
	  - Introduced all currently used ATEXIT priorities to the
	  coin_atexit_priorities.
	  
	  NB: At least two of the newly introduced priorities should be
	  considered
	  for removal.

2008-07-11 12:41  pederb

	* [r12308] src/nodes/SoTexture2.cpp: Reset node to its initial
	  state if the user sets the filename field to an empty string. Bug
	  reported by Kim Rosenbohm.

2008-07-11 09:15  pederb

	* [r12307] include/Inventor/SoRenderManager.h,
	  src/misc/SoRenderManager.cpp, src/misc/SoRenderManagerP.cpp:
	  Support for setting transparency type for Superimposition scene
	  graphs.

2008-07-11 08:15  bfg

	* [r12306] src/threads/mutex.cpp: Using descriptive variable names.

2008-07-10 13:37  pederb

	* [r12304] include/Inventor/nodes/SoShape.h,
	  src/shapenodes/SoShape.cpp: Clean up primitive vertex cache mess
	  in SoShape.

2008-07-10 13:23  larsa

	* [r12303] include/Inventor/caches/SoBoundingBoxCache.h,
	  include/Inventor/caches/SoConvexDataCache.h,
	  include/Inventor/caches/SoGLRenderCache.h,
	  include/Inventor/caches/SoNormalCache.h,
	  include/Inventor/caches/SoPrimitiveVertexCache.h,
	  include/Inventor/caches/SoTextureCoordinateCache.h,
	  src/caches/SoGlyphCache.h, src/caches/SoShaderProgramCache.h:
	  SoCache-derived class-destructors are virtual. State it
	  explicitly.

2008-07-10 13:19  larsa

	* [r12302] include/Inventor/caches/SoPrimitiveVertexCache.h,
	  src/caches/SoPrimitiveVertexCache.cpp: tidy up some
	  SoPrimitiveVertexCache internals

2008-07-10 13:02  larsa

	* [r12301] docs/coin.doxygen.in,
	  include/Inventor/caches/Makefile.am,
	  include/Inventor/caches/Makefile.in,
	  include/Inventor/caches/SoPrimitiveVertexCache.h,
	  src/actions/SoReorganizeAction.cpp, src/caches/Makefile.am,
	  src/caches/Makefile.in, src/caches/SoPrimitiveVertexCache.cpp,
	  src/caches/SoPrimitiveVertexCache.h, src/shapenodes/SoShape.cpp,
	  src/shapenodes/soshape_bumprender.cpp: Make
	  SoPrimitiveVertexCache public.

2008-07-09 13:29  pederb

	* [r12299] include/Inventor/fields/SoMField.h,
	  include/Inventor/fields/SoSField.h,
	  include/Inventor/fields/SoSubField.h, src/fields/SoMField.cpp,
	  src/fields/SoSField.cpp, src/fields/SoSubFieldP.h: Fix for
	  recently introduced build problem. Reported by Mathis Csisinko.

2008-07-09 10:18  pederb

	* [r12298] src/glue/gl_glx.cpp: Try to avoid using
	  XOpenDisplay/XCloseDisplay to get the context display.

2008-07-08 16:32  pederb

	* [r12296] src/misc/SoBase.cpp, src/nodekits/SoInteractionKit.cpp,
	  src/tidbitsp.h: Fixes for COIN_DEBUG_TRACK_SOBASE_INSTANCES and
	  draggerDefaults.

2008-07-08 16:03  pederb

	* [r12295] src/navigation/SoNavigationSystem.cpp: Fix memory leak.

2008-07-08 15:52  pederb

	* [r12294] src/draggers/SoTransformerDragger.cpp,
	  src/vrml97/Inline.cpp: Fix some memory leaks.

2008-07-08 15:42  pederb

	* [r12293] src/misc/SoDB.cpp, src/misc/SoDBP.cpp, src/misc/SoDBP.h:
	  Fix global mutex memory/resource leak.

2008-07-08 15:14  pederb

	* [r12292] src/misc/CoinResources.cpp, src/misc/CoinResources.h,
	  src/misc/SoDB.cpp: Plug some memory leaks in CoinResources.

2008-07-08 15:02  pederb

	* [r12291] src/scxml/ScXML.cpp, src/scxml/ScXMLP.h: Plug some
	  memory leaks.

2008-07-08 14:50  pederb

	* [r12290] include/Inventor/navigation/SoSubMode.h,
	  src/misc/SoDBP.cpp, src/navigation/SoNavigationMode.cpp,
	  src/nodekits/SoNodeKit.cpp, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLP.h: Some init/cleanup fixes. It's now possible to
	  init/cleanup multiple times without asserting/crashing.

2008-07-08 11:42  kintel

	* [r12289] src/actions/SoReorganizeAction.cpp: kill warning

2008-07-08 10:55  pederb

	* [r12288] include/Inventor/C/tidbits.h,
	  include/Inventor/actions/SoSubAction.h,
	  include/Inventor/elements/SoSubElement.h,
	  include/Inventor/engines/SoSubEngine.h,
	  include/Inventor/fields/SoSubField.h,
	  include/Inventor/nodekits/SoSubKit.h,
	  include/Inventor/nodes/SoSubNode.h, src/actions/SoSubActionP.h,
	  src/engines/SoSubEngineP.h, src/misc/SoType.cpp,
	  src/nodekits/SoSubKitP.h, src/nodes/SoSubNodeP.h,
	  src/tidbits.cpp, src/tidbitsp.h: Reimplemented how static data is
	  cleaned up in Coin. External nodes/actions/nodekits should now
	  also be cleaned up properly.

2008-06-30 09:07  frodein

	* [r12286] src/misc/SoGLImage.cpp: fixed deadlock

2008-06-27 14:13  pederb

	* [r12284] src/shapenodes/SoShape.cpp: Fix divide by zero bug.
	  Patch by Bastiaan Veelo.

2008-06-26 13:09  larsa

	* [r12282] data/shaders/lights/DirSpotLight.glsl,
	  data/shaders/lights/DirectionalLight.glsl,
	  data/shaders/lights/PointLight.glsl,
	  data/shaders/lights/SpotLight.glsl: whitespace fixes

2008-06-26 10:35  pederb

	* [r12281] src/actions/SoToVRML2Action.cpp: More robust handling of
	  separator pushing/popping. Added support for SoLabel.

2008-06-26 09:03  larsa

	* [r12280] src/shaders/SoShader.cpp: doc nit

2008-06-26 08:56  larsa

	* [r12279] build/Xcode/Coin.xcodeproj: update svn:ignore property
	  to hide user-files

2008-06-25 23:31  autosvn

	* [r12277] include/Inventor/engines/SoHeightMapToNormalMap.h,
	  include/Inventor/engines/SoTexture2Convert.h,
	  src/engines/SoHeightMapToNormalMap.cpp,
	  src/engines/SoTexture2Convert.cpp: Automatic Property adjustment

2008-06-25 13:35  pederb

	* [r12276] include/Inventor/SoRenderManager.h,
	  src/misc/SoRenderManager.cpp, src/misc/SoRenderManagerP.cpp: Add
	  support for background scene graphs.

2008-06-25 11:50  larsa

	* [r12275] build, build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/docs/coin3.doxygen, build/msvc6/src,
	  build/msvc7/coin3.sln, build/msvc7/coin3.vcproj,
	  build/msvc7/docs/coin3.doxygen, build/msvc7/src,
	  build/msvc8/coin3.sln, build/msvc8/coin3.vcproj,
	  build/msvc8/coin3_docs.vcproj, build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen, build/msvc8/src: updated Visual
	  Studio files

2008-06-25 11:13  larsa

	* [r12274] src/engines/SoEngine.cpp: doc nit

2008-06-25 11:00  larsa

	* [r12273] include/Inventor/engines/Makefile.in,
	  src/engines/Makefile.in: bootstrap

2008-06-25 10:59  larsa

	* [r12272] docs/coin.doxygen.in: generate doc for new engines

2008-06-25 10:58  larsa

	* [r12271] include/Inventor/engines/Makefile.am,
	  include/Inventor/engines/SoEngines.h,
	  include/Inventor/engines/SoHeightMapToNormalMap.h,
	  include/Inventor/engines/SoTexture2Convert.h,
	  src/engines/Makefile.am, src/engines/SoEngine.cpp,
	  src/engines/SoHeightMapToNormalMap.cpp,
	  src/engines/SoTexture2Convert.cpp,
	  src/engines/all-engines-cpp.cpp, src/nodes/SoBumpMap.cpp:
	  Refactor height map to normal map computation code.

2008-06-24 12:56  larsa

	* [r12269] src/vrml97/Parent.cpp: use singleton to avoid node
	  creation at library initialization

2008-06-24 06:08  bfg

	* [r12268] Makefile.am: Cleanup whitespace poisoning.

2008-06-24 06:06  bfg

	* [r12267] src/Makefile.am, src/Makefile.in, src/SbBasic.h,
	  src/SbBasicP.h: Rename to correct name.

2008-06-23 17:40  bfg

	* [r12265] cfg/errors.txt, src/Makefile.am, src/Makefile.in,
	  src/SbBasic.h: Introducing coin_safe_cast and coin_assert_cast
	  operators.
	  Make available for internal use first.

2008-06-23 12:39  larsa

	* [r12264] src/misc/SoEventManager.cpp: leak fix (the set camera is
	  ref'ed)

2008-06-20 14:28  pederb

	* [r12262] src/shaders/SoShaderObject.cpp: Make the node more
	  robust for user errors.

2008-06-19 22:55  bfg

	* [r12260] src/misc/SoEventManager.cpp: Make eventmanager API
	  consistent.

2008-06-19 14:30  larsa

	* [r12259] src/vrml97/Parent.cpp: set identifier (for
	  COIN_DEBUG_TRACK_SOBASE_INSTANCES)

2008-06-19 08:48  pederb

	* [r12258] src/io/SoInput_Reader.cpp: Fix for gzip and bzip import.
	  Reported by Bastian Schmitz.

2008-06-17 16:00  frodo

	* [r12256] src/caches/SoCache.cpp: small doc fix

2008-06-17 15:31  kintel

	* [r12255] src/io/gzmemio.cpp: removed declarations without
	  implementation

2008-06-17 15:31  kintel

	* [r12254] src/xml/expat/xmlparse.c: Added FIXME for missing
	  XML_FINISHED handler

2008-06-17 15:21  kintel

	* [r12253] src/3ds/3dsLoader.cpp: removed superfluous ';'

2008-06-17 08:57  bfg

	* [r12252] src/profiler/SbProfilingData.cpp, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLStateMachine.cpp,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.cpp: Compile fix
	  
	  GCC 4.3 is extremely picky about standard conformance, include
	  the
	  correct includes.

2008-06-13 11:10  pederb

	* [r12250] src/elements/GL/SoGLModelMatrixElement.cpp:
	  SoTranformSeparator bugfix. Tracked down by BFG.

2008-06-11 16:04  larsa

	* [r12248] src/scxml/ScXML.cpp: doc note

2008-06-11 15:23  kintel

	* [r12247] src/xml/document.cpp: Removed unused code

2008-06-11 14:31  bfg

	* [r12246] src/navigation/SoNavigationSystem.cpp: Plug another
	  memory leak.

2008-06-11 14:11  bfg

	* [r12245] src/navigation/SoNavigationSystem.cpp: Plug another
	  memory leak.

2008-06-11 13:49  bfg

	* [r12244] src/xml/document.cpp: Plug memory leak.

2008-06-11 13:34  kintel

	* [r12243] src/misc/SoGLDriverDatabase.cpp: coding style fixes

2008-06-10 16:42  kintel

	* [r12241] aclocal.m4, cfg/coin.m4, configure: bootstrap

2008-06-10 16:41  kintel

	* [r12240] configure.ac: bugfix: don't init and then overwrite
	  COIN_EXTRA_* variables

2008-06-10 10:19  larsa

	* [r12239] build/misc/create-directories.bat: additional
	  directory-creation

2008-06-09 13:59  larsa

	* [r12237] data/scxml/navigation/examiner.xml,
	  src/navigation/examiner-xml.cpp: set up zoom by mouse wheel

2008-06-09 13:56  larsa

	* [r12236] src/navigation/SoScXMLZoomUtils.cpp: :

2008-06-06 12:58  kintel

	* [r12234] include/Inventor/engines/SoSubEngine.h: Call
	  SoType::removeType from SO_ENGINE_EXIT_CLASS()

2008-06-05 16:09  kintel

	* [r12230] testsuite/Makefile.in: sync

2008-06-05 16:08  kintel

	* [r12229] include/Inventor/SbString.h, src/base/SbString.cpp:
	  added + operator

2008-06-05 16:08  kintel

	* [r12228] include/Inventor/C/base/string.h, src/base/string.cpp:
	  const fix

2008-06-05 13:57  kintel

	* [r12227] testsuite/Makefile.in: sync

2008-06-05 13:57  kintel

	* [r12226] include/Inventor/nodes/SoSubNode.h: call removeType()
	  from SO_NODE_EXIT_CLASS()

2008-06-05 13:56  kintel

	* [r12225] include/Inventor/SoType.h, src/misc/SoType.cpp: Added
	  removeType() + unit test

2008-06-05 13:55  kintel

	* [r12224] src/misc/SoDB.cpp: Disabled test since it crashes the
	  test driver. Can this be done in a better way?

2008-06-05 13:54  kintel

	* [r12223] src/xml/document.cpp: removed debug output from test
	  case

2008-06-05 13:36  kintel

	* [r12222] src/misc/SbHash.h: kill annoying warning

2008-06-05 10:51  kintel

	* [r12221] testsuite/Makefile.in, testsuite/makemakefile.sh:
	  Updated makefile generator with recent fixes

2008-06-04 17:40  kintel

	* [r12219] src/misc/SoDB.cpp: Added test to expose multiple
	  init()/cleanup() bug

2008-06-04 17:39  kintel

	* [r12218] testsuite/Makefile.in: Really fixed the Mac framework
	  issue, reduced excessive rebuilding by not making everything
	  depend on the makefile timestamp

2008-06-04 17:28  kintel

	* [r12217] testsuite/Makefile.in: mac framework bugfix

2008-06-04 16:17  kintel

	* [r12216] src/scxml/ScXML.cpp: init assert without a cleanup
	  system is harmful, falling back to default Coin behavior, ref.
	  SoNode::initClasses()

2008-06-04 12:18  kintel

	* [r12215] include/Inventor/SbTime.h, src/base/SbTime.cpp: Added
	  static sleep()

2008-06-02 07:37  larsa

	* [r12213] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/docs/coin3.doxygen, build/msvc7/coin3.sln,
	  build/msvc7/coin3.vcproj, build/msvc7/docs/coin3.doxygen,
	  build/msvc8/coin3.sln, build/msvc8/coin3.vcproj,
	  build/msvc8/coin3_docs.vcproj, build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen: updated Visual Studio build files

2008-05-30 08:21  pederb

	* [r12211] include/Inventor/C/glue/gl.h,
	  include/Inventor/elements/SoGLLazyElement.h,
	  include/Inventor/elements/SoLazyElement.h,
	  src/elements/GL/SoGLLazyElement.cpp,
	  src/elements/SoLazyElement.cpp, src/glue/gl.cpp, src/glue/glp.h:
	  Add support for OpenGL separate blend function.

2008-05-30 07:59  pederb

	* [r12210] include/Inventor/nodekits/SoSubKit.h: Add
	  SO_KIT_ADD_EMPTY_MFIELD.

2008-05-30 07:59  pederb

	* [r12209] include/Inventor/nodes/SoSubNode.h: Add
	  SO_NODE_ADD_EMPTY_MFIELD.

2008-05-29 08:02  pederb

	* [r12207] include/Inventor/SoRenderManager.h: Bugfix. Bitmask for
	  AUTOREDRAW was set to 0.

2008-05-26 15:57  pederb

	* [r12205] src/draggers/SoDragger.cpp: Disable projection epsilon
	  by default.

2008-05-26 15:51  pederb

	* [r12204] include/Inventor/draggers/SoDragger.h,
	  include/Inventor/draggers/SoTranslate1Dragger.h,
	  include/Inventor/draggers/SoTranslate2Dragger.h,
	  src/draggers/SoDragger.cpp, src/draggers/SoTranslate1Dragger.cpp,
	  src/draggers/SoTranslate2Dragger.cpp: Improved translation
	  draggers by supporting the new SbProjector::tryProject()
	  interface and by adding min/max fields.

2008-05-26 15:49  pederb

	* [r12203] include/Inventor/projectors/SbLineProjector.h,
	  include/Inventor/projectors/SbPlaneProjector.h,
	  src/projectors/SbLineProjector.cpp,
	  src/projectors/SbPlaneProjector.cpp: Implement tryProject().

2008-05-26 15:48  pederb

	* [r12202] include/Inventor/projectors/SbProjector.h,
	  src/projectors/SbProjector.cpp: Add SbProjector::tryProject()
	  interface.

2008-05-26 14:23  pederb

	* [r12201] include/Inventor/nodes/SoTextureCoordinatePlane.h,
	  src/nodes/SoTextureCoordinatePlane.cpp: Stop using SbPimplPtr.
	  It's not working properly.

2008-05-26 09:44  pederb

	* [r12200] include/Inventor/nodes/SoTextureCoordinatePlane.h,
	  src/nodes/SoTextureCoordinatePlane.cpp: Add support for 3D
	  textures.

2008-05-16 23:48  larsa

	* [r12198] src/profiler/SoProfilingReportGenerator.cpp: bugfix for
	  cases with 0 entries

2008-05-16 23:32  larsa

	* [r12196] src/glue/gl_wgl.cpp: the correct compile fix

2008-05-16 19:46  larsa

	* [r12195] src/misc/SoEventManager.cpp: typo fix

2008-05-16 19:45  larsa

	* [r12194] src/misc/SoOffscreenRenderer.cpp: disable debug message

2008-05-16 18:20  larsa

	* [r12193] src/glue/gl_wgl.cpp: compile fix

2008-05-16 11:00  larsa

	* [r12192] src/profiler/SoNodeVisualize.cpp,
	  src/profiler/SoProfilingReportGenerator.cpp: msvc6 compile fixes

2008-05-16 10:20  larsa

	* [r12191] src/glue/dl.cpp, src/glue/gl_wgl.cpp: tag a couple of C
	  style casts specifically for preservation in case we decide to do
	  a C++-style cast razzia in the future

2008-05-15 09:05  kintel

	* [r12188] build/Xcode/Coin.xcodeproj/project.pbxproj: Made paths
	  relative

2008-05-14 14:20  frodo

	* [r12186] src/nodes/SoSpotLight.cpp: clamp the cutoff angle to
	  avoid gl errors

2008-05-14 13:40  pederb

	* [r12185] src/misc/SoOffscreenRenderer.cpp: Do lazy readPixels()
	  when possible.

2008-05-14 12:50  larsa

	* [r12184] src/misc/SoDB.cpp: note on static storage not cleaned up

2008-05-13 08:59  pederb

	* [r12179] src/vrml97/Background.cpp: Bugfix. Front and back
	  textures were swapped. Reported by Kjartan Stefannson.

2008-05-06 16:52  tamer

	* [r12046] include/Inventor/C/XML/Makefile.am,
	  include/Inventor/SbBox2i32.h, include/Inventor/SbTypeInfo.h,
	  include/Inventor/SbVec2i32.h, include/Inventor/XML/Makefile.am,
	  include/Inventor/annex/ForeignFiles/SoForeignFileKit.h,
	  include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	  include/Inventor/nodes/SoTexture.h: remove executable prop from
	  text files.

2008-05-06 14:49  tamer

	* [r12043] aclocal.m4, cfg/coin.m4, cfg/errors.txt, configure,
	  include/Inventor/nodes/Makefile.in: bootstrap

2008-05-06 14:48  tamer

	* [r12042] include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/SoNodes.h: remove SoVertexAttribute.h
	  references.

2008-05-06 07:49  pederb

	* [r12040] src/actions/SoRayPickAction.cpp: Precision fix.

2008-05-04 21:03  kintel

	* [r12038] build/Xcode/Coin.xcodeproj/project.pbxproj: sync

2008-05-04 11:44  kintel

	* [r12037] src/shaders/SoShaderObject.cpp: Output warning when
	  shader file is not found

2008-05-03 13:38  larsa

	* [r12035] src/actions/SoAction.cpp,
	  src/actions/SoGetBoundingBoxAction.cpp,
	  src/base/SbTesselator.cpp, src/base/string.cpp,
	  src/caches/SoGlyphCache.cpp,
	  src/collision/SoIntersectionDetectionAction.cpp,
	  src/fields/MFNodeEnginePath.tpl, src/fields/SoFieldContainer.cpp,
	  src/fields/SoMFEngine.cpp, src/fields/SoMFNode.cpp,
	  src/fields/SoMFPath.cpp, src/fields/SoSFImage3.cpp,
	  src/fonts/fontspec.cpp, src/fonts/win32.cpp,
	  src/geo/SbGeoAngle.cpp, src/glue/cg.h, src/glue/gl.cpp,
	  src/glue/gl_glx.cpp, src/glue/normalization_cubemap.cpp,
	  src/misc/SoCompactPathList.cpp, src/misc/SoCompactPathList.h,
	  src/misc/SoGL.cpp, src/misc/SoGLImage.cpp,
	  src/misc/SoOffscreenRenderer.cpp, src/misc/SoPick.cpp,
	  src/misc/SoRenderManagerP.cpp, src/misc/SoVBO.cpp,
	  src/misc/SoVBO.h, src/navigation/SoNavigationSystem.cpp,
	  src/navigation/SoZoomMode.cpp, src/nodes/SoBumpMap.cpp,
	  src/nodes/SoLOD.cpp, src/nodes/SoMaterial.cpp,
	  src/nodes/SoSceneTexture2.cpp, src/nodes/SoSeparator.cpp,
	  src/nodes/SoSurroundScale.cpp, src/profiler/SbProfilingData.cpp,
	  src/profiler/SoNodeProfiling.h,
	  src/projectors/SbSphereSheetProjector.cpp,
	  src/shaders/SoGLARBShaderParameter.cpp,
	  src/shaders/SoGLCgShaderParameter.cpp,
	  src/shaders/SoShaderParameter.cpp, src/shadows/SoShadowGroup.cpp,
	  src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoLineSet.cpp,
	  src/shapenodes/SoQuadMesh.cpp, src/shapenodes/SoText3.cpp,
	  src/shapenodes/SoTriangleStripSet.cpp,
	  src/threads/condvar_pthread.icc, src/threads/condvar_win32.icc,
	  src/threads/mutex_win32mutex.icc, src/threads/thread_win32.icc,
	  src/vrml97/Appearance.cpp, src/vrml97/Billboard.cpp,
	  src/vrml97/Collision.cpp, src/vrml97/Group.cpp,
	  src/vrml97/LOD.cpp, src/vrml97/Shape.cpp, src/xml/utils.cpp:
	  whitespace fixes

2008-05-03 13:22  larsa

	* [r12034] include/Inventor/annex/Profiler/SbProfilingData.h,
	  include/Inventor/elements/SoGLLazyElement.h,
	  include/Inventor/elements/SoGLShaderProgramElement.h,
	  include/Inventor/elements/SoLazyElement.h,
	  include/Inventor/navigation/SoNavigationSystem.h,
	  include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/nodes/SoNodes.h,
	  include/Inventor/nodes/SoSceneTexture2.h,
	  include/Inventor/system/gl.h: whitespace fixes

2008-05-03 13:19  larsa

	* [r12033] include/Inventor/annex/Profiler/SoProfiler.h: remove
	  isActive() signature

2008-05-02 21:20  larsa

	* [r12031] src/profiler/SoProfiler.cpp: doc typos

2008-05-02 20:53  larsa

	* [r12030] include/Inventor/scxml/Makefile.am,
	  include/Inventor/scxml/Makefile.in,
	  include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateBase.h,
	  include/Inventor/scxml/ScXMLStateMachine.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  include/Inventor/scxml/SoScXMLStateMachine.h,
	  src/navigation/SoScXMLSpinUtils.h, src/scxml/Makefile.am,
	  src/scxml/Makefile.in, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLCommonP.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLHistory.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLStateBase.cpp,
	  src/scxml/ScXMLStateMachine.cpp, src/scxml/ScXMLTransition.cpp,
	  src/scxml/all-scxml-cpp.cpp: Pimplify classes.
	  Move STL-use to pimpl-objects and out of public headers.
	  Slight tweak of the inheritance graph (eliminated
	  ScXMLStateBase).

2008-05-02 15:51  larsa

	* [r12029] docs/coin.doxygen.in: change doxygen settings

2008-04-30 11:17  pederb

	* [r12027] src/misc/SoEventManager.cpp: Bugfix. Don't clear old
	  navigation system if there is none in the scene graph.

2008-04-29 15:24  kintel

	* [r12025] src/shaders/SoShaderObject.cpp: Support the normal GLSL
	  .vert and .frag suffices

2008-04-24 11:12  pederb

	* [r12023] src/caches/SoGLCacheList.cpp: Auto cache tuning.

2008-04-24 09:26  pederb

	* [r12022] src/caches/SoGLCacheList.cpp: Be more aggressive when
	  doing auto caching.

2008-04-24 06:29  kintel

	* [r12021] src/misc/SoGL.cpp: clarification: don't redefine macro

2008-04-23 23:31  autosvn

	* [r12019] src/doc/macros.dox: Automatic Property adjustment

2008-04-23 15:16  larsa

	* [r12018] build/msvc6/coin3.dsp, build/msvc6/docs/coin3.doxygen,
	  build/msvc7/coin3.sln, build/msvc7/coin3.vcproj,
	  build/msvc7/docs/coin3.doxygen, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj: msvc updates

2008-04-23 15:13  larsa

	* [r12017] src/glue/dl.cpp: typo fix and tweaks

2008-04-23 14:46  larsa

	* [r12016] docs/coin.doxygen.in, src/doc/Makefile.am,
	  src/doc/Makefile.in, src/doc/environment.dox, src/doc/macros.dox,
	  src/doc/modules.dox, src/xml/document.cpp: my suggested way of
	  documenting macros

2008-04-23 14:44  larsa

	* [r12015] docs/doxygen/footer.html, docs/doxygen/header.html:
	  doxygen page-generation tweaks

2008-04-23 08:21  pederb

	* [r12014] src/shadows/all-shadows-cpp.cpp: Add SoShadowSpotLight
	  in compact build.

2008-04-23 07:48  pederb

	* [r12013] include/Inventor/annex/FXViz/nodes/SoShadowGroup.h,
	  src/shadows/SoShadowGroup.cpp: Add
	  enableSubgraphSearchOnNotify().

2008-04-22 23:31  autosvn

	* [r12011] include/Inventor/annex/FXViz/nodes/SoShadowSpotLight.h,
	  src/shadows/SoShadowSpotLight.cpp: Automatic Property adjustment

2008-04-22 19:20  larsa

	* [r12010] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen: msvc8 update

2008-04-22 16:13  pederb

	* [r12009] include/Inventor/elements/SoGLShaderProgramElement.h,
	  src/shaders/SoGLShaderProgramElement.cpp: Hopefully proper
	  handling of shader programs in caches.

2008-04-22 15:56  larsa

	* [r12008] src/actions/SoAction.cpp, src/doc/environment.dox,
	  src/doc/modules.dox, src/misc/SoDB.cpp, src/nodes/SoMaterial.cpp,
	  src/nodes/SoSeparator.cpp, src/profiler/SbProfilingData.cpp,
	  src/profiler/SoNodeProfiling.h, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilingReportGenerator.cpp: doc-updates, removed
	  redundant SoProfiler::isActive() method

2008-04-22 14:26  pederb

	* [r12007] src/shadows/SoShadowGroup.cpp: Support for
	  SoShadowSpotLight::nearDistance and farDistance.

2008-04-22 13:54  pederb

	* [r12006] include/Inventor/elements/SoGLShaderProgramElement.h,
	  src/shaders/SoGLShaderProgramElement.cpp,
	  src/shaders/SoShaderProgram.cpp, src/shadows/SoShadowStyle.cpp:
	  Fix caching problems with SoGLShaderProgramElement.

2008-04-22 13:53  pederb

	* [r12005] src/shadows/SoShadowGroup.cpp: Doc. fix.

2008-04-22 10:06  larsa

	* [r12004] docs/coin.doxygen.in: remove obsolete options, add
	  profiler-related files for dxygen generation

2008-04-22 10:05  larsa

	* [r12003] docs/doxygen/stylesheet.css: an improved stylesheet for
	  Doxygen 1.5.* (the default)

2008-04-22 09:49  pederb

	* [r12002] docs/coin.doxygen.in,
	  include/Inventor/annex/FXViz/nodes/Makefile.am,
	  include/Inventor/annex/FXViz/nodes/Makefile.in,
	  include/Inventor/annex/FXViz/nodes/SoShadowSpotLight.h,
	  src/shadows/Makefile.am, src/shadows/Makefile.in,
	  src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowSpotLight.cpp:
	  Add SoShadowSpotLight node.

2008-04-21 15:13  pederb

	* [r12000] include/Inventor/SbBox3d.h, src/base/SbBox3d.cpp: Add
	  SbBox3d::getSize().

2008-04-21 15:13  pederb

	* [r11999] include/Inventor/SbBox3f.h, src/base/SbBox3f.cpp: Add
	  SbBox3f::getSize().

2008-04-21 11:19  pederb

	* [r11998] src/tidbits.cpp: Do anti aliasing around the center of
	  the pixels.

2008-04-18 03:42  larsa

	* [r11996] aclocal.m4, configure, configure.ac: disable
	  maintainer-check for now (Solaris sed problem)

2008-04-16 13:57  pederb

	* [r11994] configure, configure.ac: Remove test for CoreFoundation.

2008-04-16 02:41  larsa

	* [r11993] src/collision/SoIntersectionDetectionAction.cpp,
	  src/doc/modules.dox, src/hardcopy/HardCopy.cpp: doxygen updates

2008-04-15 15:29  kintel

	* [r11991] src/nodes/SoCallback.cpp: doc clarification

2008-04-15 04:26  larsa

	* [r11990] src/doc/modules.dox: doc additions

2008-04-14 23:31  autosvn

	* [r11988] src/doc/Makefile.in, src/doc/books.dox,
	  src/doc/environment.dox, src/doc/main.dox, src/doc/modules.dox:
	  Automatic Property adjustment

2008-04-14 10:31  pederb

	* [r11987] src/shapenodes/SoShape.cpp: Another ATi bug workaround.

2008-04-14 04:34  larsa

	* [r11986] Makefile.in, configure, configure.ac,
	  docs/coin.doxygen.in, docs/doxygen/footer.html, src/Makefile.am,
	  src/Makefile.in, src/doc, src/doc/Makefile.am,
	  src/doc/Makefile.in, src/doc/books.dox, src/doc/environment.dox,
	  src/doc/main.dox, src/doc/modules.dox, src/misc/SoDB.cpp: doxygen
	  updates

2008-04-11 15:59  larsa

	* [r11984] src/glue/dl.cpp, src/glue/gl_wgl.cpp: must use old-style
	  C cast

2008-04-11 15:31  larsa

	* [r11983] src/bundles/SoBundle.cpp, src/caches/SoCache.cpp,
	  src/collision/SoIntersectionDetectionAction.cpp,
	  src/elements/SoElement.cpp, src/hardcopy/HardCopy.cpp,
	  src/misc/SoDB.cpp, src/misc/SoType.cpp: doxygen tweaks. pull more
	  ducumentation over to the 'Modules' view of the Coin
	  documentation

2008-04-11 09:31  pederb

	* [r11982] src/xml/path.cpp: Fix for new/delete mismatch.

2008-04-11 00:55  larsa

	* [r11981] src/bundles/SoBundle.cpp, src/caches/SoCache.cpp,
	  src/elements/SoElement.cpp, src/misc/SoDB.cpp: doxygen tweaks

2008-04-11 00:27  larsa

	* [r11980] src/bundles/SoBundle.cpp, src/caches/SoCache.cpp,
	  src/elements/SoElement.cpp, src/hardcopy/HardCopy.cpp,
	  src/lists/SoNodeList.cpp, src/misc/SoDB.cpp: doxygen tweaks

2008-04-11 00:14  larsa

	* [r11979] src/nodes/SoFrustumCamera.cpp,
	  src/nodes/SoSceneTextureCubeMap.cpp, src/nodes/SoTexture.cpp,
	  src/nodes/SoVertexAttribute.cpp: doc tweaks

2008-04-11 00:14  larsa

	* [r11978] src/nodes/Makefile.am, src/nodes/Makefile.in,
	  src/nodes/SoBumpMappingProperty.cpp, src/nodes/all-nodes-cpp.cpp:
	  removal of a stub file

2008-04-10 23:55  larsa

	* [r11977] src/glue/dl.cpp: MinGW-fixes by Ed Smith-Rowland.

2008-04-10 23:54  larsa

	* [r11976] THANKS, src/fonts/win32.cpp, src/glue/gl_wgl.cpp:
	  MinGW-fixes by Ed Smith-Rowland.

2008-04-09 00:59  frodo

	* [r11974] include/Inventor/SoRenderManager.h: removed the
	  setBackgroundColor(SbColor) method

2008-04-09 00:43  frodo

	* [r11973] src/misc/SoSceneManager.cpp, src/misc/SoSceneManagerP.h:
	  keep the old API for setting and getting background color

2008-04-09 00:42  frodo

	* [r11972] include/Inventor/SoSceneManager.h: keep the old API for
	  setting and getting background color

2008-04-07 17:14  larsa

	* [r11970] docs/ChangeLog.2003, docs/ChangeLog.2004,
	  docs/ChangeLog.2005, docs/ChangeLog.2006, docs/ChangeLog.2007:
	  further ChangeLog-splitting

2008-04-07 17:12  larsa

	* [r11969] src/nodes/SoSeparator.cpp: remove the last
	  HAVE_SCENE_PROFILING-traces

2008-04-05 17:38  larsa

	* [r11967] src/nodes/SoDepthBuffer.cpp: doc fixes

2008-04-05 15:49  larsa

	* [r11966] src/scxml/ScXML.cpp: doc updates

2008-04-05 15:18  larsa

	* [r11965] src/misc/SoEventManager.cpp: ignore statamachines that
	  are not active

2008-04-05 12:21  larsa

	* [r11964] FAQ: typo fix

2008-04-05 12:20  larsa

	* [r11963] data/scxml/navigation/examiner.xml,
	  src/navigation/examiner-xml.cpp: fix the seek-point-miss mode-bug

2008-04-04 23:31  autosvn

	* [r11961] docs/releases.dox: Automatic Property adjustment

2008-04-04 15:10  larsa

	* [r11960] README.WIN32: some updates to old info

2008-04-04 15:01  larsa

	* [r11959] Makefile.am: update of make dist setup

2008-04-04 14:58  larsa

	* [r11958] docs/coin.doxygen.in, docs/releases.dox: release info
	  doc

2008-04-04 14:51  larsa

	* [r11957] FAQ: update

2008-04-04 14:24  larsa

	* [r11956] AUTHORS: some updates

2008-04-04 14:23  larsa

	* [r11955] Makefile.am: tweak

2008-04-04 14:19  larsa

	* [r11954] README.AIX, README.IRIX, README.SUN, README.UNIX: fold
	  three files into one

2008-04-04 13:54  larsa

	* [r11953] README: rewrite

2008-04-04 12:12  frodo

	* [r11952] Makefile.am, Makefile.in, cfg/doxy4win.pl: added some
	  files missing from dist target

2008-04-04 10:54  larsa

	* [r11951] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/data, build/msvc6/docs/coin3.doxygen,
	  build/msvc6/include/Inventor, build/msvc6/src,
	  build/msvc6/src/setup.h, build/msvc7/coin3.sln,
	  build/msvc7/coin3.vcproj, build/msvc7/data,
	  build/msvc7/docs/coin3.doxygen, build/msvc7/include/Inventor,
	  build/msvc7/src, build/msvc7/src/setup.h, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj, build/msvc8/data,
	  build/msvc8/include/Inventor, build/msvc8/src,
	  build/msvc8/src/setup.h: sync Visual Studio build files

2008-04-04 10:51  larsa

	* [r11950] BUGS.txt, HACKING, README.VRML97, RELEASE.txt,
	  docs/BUGS.txt, docs/HACKING, docs/README.VRML97,
	  docs/RELEASE.txt: change location for some files

2008-04-04 10:50  larsa

	* [r11949] include/Inventor/C/base/templates.make,
	  include/Inventor/templates.make, src/base/templates.make,
	  templates.make: remove some cruft

2008-04-04 09:29  pederb

	* [r11948] include/Inventor/C/glue/gl.h, src/glue/gl.cpp: Remove
	  erroneously named function. Fix for multitexture test. Don't
	  allow multitexturing if glClientActiveTexture can't be found.

2008-04-03 19:02  frodo

	* [r11946] include/Inventor/SoRenderManager.h,
	  include/Inventor/SoSceneManager.h, src/misc/SoRenderManager.cpp,
	  src/misc/SoRenderManagerP.h, src/misc/SoSceneManager.cpp:
	  overloaded setBackgroundColor to accept a 4D color

2008-04-03 18:20  frodo

	* [r11945] include/Inventor/scxml/Makefile.am,
	  include/Inventor/scxml/Makefile.in, include/Makefile.am,
	  include/Makefile.in, src/navigation/Makefile.am,
	  src/navigation/Makefile.in: couple of fixes for the dist target

2008-04-03 17:39  larsa

	* [r11944] src/actions/SoAction.cpp, src/actions/SoActionP.h,
	  src/actions/SoGLRenderAction.cpp, src/misc/SoDB.cpp,
	  src/profiler/SoNodeProfiling.h, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerOverlayKit.cpp,
	  src/profiler/SoProfilerP.h, src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilerTopEngine.cpp,
	  src/profiler/SoProfilerTopKit.cpp,
	  src/profiler/SoProfilerVisualizeKit.cpp,
	  src/profiler/SoScrollingGraphKit.cpp,
	  src/profiler/all-profiler-cpp.cpp: remove profiling-parts
	  conditionals

2008-04-03 17:31  larsa

	* [r11943] Makefile.in, bin/Makefile.in, configure,
	  data/Makefile.in, data/draggerDefaults/Makefile.in,
	  data/scxml/Makefile.in, data/scxml/navigation/Makefile.in,
	  data/shaders/Makefile.in, data/shaders/lights/Makefile.in,
	  data/shaders/vsm/Makefile.in, html/Makefile.in,
	  include/Inventor/C/Makefile.in,
	  include/Inventor/C/XML/Makefile.in,
	  include/Inventor/C/base/Makefile.in,
	  include/Inventor/C/errors/Makefile.in,
	  include/Inventor/C/glue/Makefile.in,
	  include/Inventor/C/threads/Makefile.in,
	  include/Inventor/MPEG/Makefile.in, include/Inventor/Makefile.in,
	  include/Inventor/VRMLnodes/Makefile.in,
	  include/Inventor/XML/Makefile.in,
	  include/Inventor/actions/Makefile.in,
	  include/Inventor/annex/FXViz/Makefile.in,
	  include/Inventor/annex/FXViz/elements/Makefile.in,
	  include/Inventor/annex/FXViz/nodes/Makefile.in,
	  include/Inventor/annex/ForeignFiles/Makefile.in,
	  include/Inventor/annex/HardCopy/Makefile.in,
	  include/Inventor/annex/Makefile.in,
	  include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/elements/Makefile.in,
	  include/Inventor/annex/Profiler/engines/Makefile.in,
	  include/Inventor/annex/Profiler/nodekits/Makefile.in,
	  include/Inventor/annex/Profiler/nodes/Makefile.in,
	  include/Inventor/annex/Profiler/utils/Makefile.in,
	  include/Inventor/bundles/Makefile.in,
	  include/Inventor/caches/Makefile.in,
	  include/Inventor/collision/Makefile.in,
	  include/Inventor/details/Makefile.in,
	  include/Inventor/draggers/Makefile.in,
	  include/Inventor/elements/Makefile.in,
	  include/Inventor/engines/Makefile.in,
	  include/Inventor/errors/Makefile.in,
	  include/Inventor/events/Makefile.in,
	  include/Inventor/fields/Makefile.in,
	  include/Inventor/lists/Makefile.in,
	  include/Inventor/lock/Makefile.in,
	  include/Inventor/manips/Makefile.in,
	  include/Inventor/misc/Makefile.in,
	  include/Inventor/navigation/Makefile.in,
	  include/Inventor/nodekits/Makefile.in,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/projectors/Makefile.in,
	  include/Inventor/scxml/Makefile.in,
	  include/Inventor/sensors/Makefile.in,
	  include/Inventor/system/Makefile.in,
	  include/Inventor/threads/Makefile.in,
	  include/Inventor/tools/Makefile.in, include/Makefile.in,
	  man/Makefile.in, man/man1/Makefile.in, man/man3/Makefile.in,
	  src/3ds/Makefile.in, src/Makefile.in, src/actions/Makefile.in,
	  src/base/Makefile.in, src/bundles/Makefile.in,
	  src/caches/Makefile.in, src/collision/Makefile.in,
	  src/details/Makefile.in, src/discard.h.in,
	  src/draggers/Makefile.in, src/elements/GL/Makefile.in,
	  src/elements/Makefile.in, src/engines/Makefile.in,
	  src/errors/Makefile.in, src/events/Makefile.in,
	  src/extensions/Makefile.in, src/fields/Makefile.in,
	  src/fonts/Makefile.in, src/foreignfiles/Makefile.in,
	  src/geo/Makefile.in, src/glue/Makefile.in,
	  src/hardcopy/Makefile.in, src/io/Makefile.in,
	  src/lists/Makefile.in, src/manips/Makefile.in,
	  src/misc/Makefile.in, src/mpeg/Makefile.in,
	  src/navigation/Makefile.in, src/nodekits/Makefile.in,
	  src/nodes/Makefile.in, src/profiler/Makefile.in,
	  src/projectors/Makefile.in, src/scxml/Makefile.in,
	  src/sensors/Makefile.in, src/setup.h.in, src/shaders/Makefile.in,
	  src/shadows/Makefile.in, src/shapenodes/Makefile.in,
	  src/threads/Makefile.in, src/upgraders/Makefile.in,
	  src/vrml97/Makefile.in, src/xml/Makefile.in,
	  src/xml/expat/Makefile.in: bootstrap

2008-04-03 17:29  larsa

	* [r11942] configure.ac: remove scene profiling disablement option

2008-04-03 17:19  larsa

	* [r11941] src/profiler/SoNodeVisualize.cpp,
	  src/profiler/inventormaps.icc: reduce texture data volume

2008-04-03 15:20  kintel

	* [r11940] src/nodes/SoDepthBuffer.cpp: doc clarification

2008-04-03 15:16  pederb

	* [r11939] src/actions/SoToVRML2Action.cpp: COIN-13. Fixed
	  transform handling reported by Guy Barrand.

2008-04-03 12:38  pederb

	* [r11938] include/Inventor/actions/SoGLRenderAction.h,
	  src/actions/SoGLRenderAction.cpp, src/misc/SoRenderManager.cpp,
	  src/nodes/SoDepthBuffer.cpp: Support for
	  NONSOLID_SEPARATE_BACKFACE_PASS transparency mode. Improved
	  support for the depth buffer element.

2008-04-03 10:26  larsa

	* [r11937] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen: sync for msvc8

2008-04-02 23:32  autosvn

	* [r11935] include/Inventor/annex/Profiler/utils/Makefile.in,
	  include/Inventor/annex/Profiler/utils/SoProfilingReportGenerator.h,
	  src/profiler/SoProfilingReportGenerator.cpp: Automatic Property
	  adjustment

2008-04-02 18:08  larsa

	* [r11934] src/actions/SoAction.cpp: dumping to console if wanted

2008-04-02 18:07  larsa

	* [r11933] src/actions/SoGLRenderAction.cpp: tweaks

2008-04-02 18:06  larsa

	* [r11932] include/Inventor/annex/Profiler/SoProfiler.h,
	  src/profiler/SoProfiler.cpp, src/profiler/SoProfilerP.h: suport
	  for profiling output to the console

2008-04-02 18:04  larsa

	* [r11931]
	  include/Inventor/annex/Profiler/utils/SoProfilingReportGenerator.h,
	  src/profiler/SoProfilingReportGenerator.cpp: provide some
	  defaults for the lazilyi inclined

2008-04-02 11:11  larsa

	* [r11930] src/navigation/Makefile.am, src/navigation/Makefile.in:
	  build rule update

2008-04-02 11:09  larsa

	* [r11929]
	  include/Inventor/annex/Profiler/utils/SoProfilingReportGenerator.h,
	  src/profiler/SoProfilingReportGenerator.cpp: add header line
	  creation

2008-04-02 10:16  larsa

	* [r11928] src/profiler/SbProfilingData.cpp: comment about
	  unsupported data

2008-04-02 10:14  larsa

	* [r11927] configure, configure.ac,
	  include/Inventor/annex/Profiler/Makefile.am,
	  include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/utils,
	  include/Inventor/annex/Profiler/utils/Makefile.am,
	  include/Inventor/annex/Profiler/utils/Makefile.in,
	  include/Inventor/annex/Profiler/utils/SoProfilingReportGenerator.h,
	  src/profiler/Makefile.am, src/profiler/Makefile.in,
	  src/profiler/SoProfilingReportGenerator.cpp: profiling report
	  generator

2008-04-02 09:42  larsa

	* [r11926] src/fields/SoFieldContainer.cpp: field size calculation
	  bugfix

2008-04-01 17:22  larsa

	* [r11924] include/Inventor/annex/Profiler/SbProfilingData.h,
	  src/profiler/SbProfilingData.cpp: additions and bugfixes

2008-04-01 14:42  frodo

	* [r11923] src/events/SoKeyboardEvent.cpp: bugfix

2008-04-01 14:32  larsa

	* [r11922] data/Makefile.am, data/scxml/navigation/examiner.xml,
	  src/navigation/examiner-xml.cpp: restructuring

2008-04-01 14:16  pederb

	* [r11921] src/navigation/SoScXMLViewUtils.cpp: Warn if camera or
	  scene graph isn't found.

2008-04-01 12:24  larsa

	* [r11920] data/scxml/xml2cpp.pl, src/navigation/examiner-xml.cpp:
	  break on linebreaks to get smaller diffs in the future

2008-04-01 12:00  larsa

	* [r11919] src/navigation/SoScXMLNavigationInvoke.cpp,
	  src/navigation/SoScXMLPanUtils.cpp,
	  src/navigation/SoScXMLRotateUtils.cpp,
	  src/navigation/SoScXMLSpinUtils.cpp: missing includes for release
	  builds

2008-04-01 11:37  larsa

	* [r11918] data/scxml/navigation/examiner.xml,
	  src/navigation/examiner-xml.cpp: fix incorrect event-name

2008-04-01 09:43  larsa

	* [r11917] data/scxml/navigation/examiner.xml: event for reseting
	  navigation state when opening popup menus

2008-03-31 16:30  kintel

	* [r11915] docs/coin.doxygen.in: Removed duplicate entry

2008-03-31 16:16  kintel

	* [r11914] docs/coin.doxygen.in: Added missing SoDepthBuffer docs

2008-03-31 14:23  kintel

	* [r11913] build/Xcode/Coin.xcodeproj/project.pbxproj: sync

2008-03-31 12:58  larsa

	* [r11912] build/msvc8/coin3.sln, build/msvc8/coin3.vcproj,
	  build/msvc8/coin3_docs.vcproj, build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/docs/coin3.doxygen: sync

2008-03-31 12:32  pederb

	* [r11911] src/engines/SoTimeCounter.cpp: Handle frequence == 0.0.
	  Bug reported by kintel.

2008-03-30 19:09  frodo

	* [r11909] src/misc/SoEventManager.cpp: plug memory leak

2008-03-29 19:27  larsa

	* [r11907] data/scxml/navigation/examiner.xml,
	  src/navigation/examiner-xml.cpp: disable Q key

2008-03-29 19:27  larsa

	* [r11906] include/Inventor/scxml/ScXMLTransition.h,
	  src/scxml/ScXMLStateMachine.cpp, src/scxml/ScXMLTransition.cpp:
	  transition predicate tweaks

2008-03-29 19:24  larsa

	* [r11905] include/Inventor/navigation/SoCenterMode.h,
	  include/Inventor/navigation/SoIdleMode.h,
	  include/Inventor/navigation/SoNavigation.h,
	  include/Inventor/navigation/SoNavigationControl.h,
	  include/Inventor/navigation/SoNavigationMode.h,
	  include/Inventor/navigation/SoNavigationState.h,
	  include/Inventor/navigation/SoNavigationSystem.h,
	  include/Inventor/navigation/SoOrthoCenterMode.h,
	  include/Inventor/navigation/SoPanMode.h,
	  include/Inventor/navigation/SoPickMode.h,
	  include/Inventor/navigation/SoPitchMode.h,
	  include/Inventor/navigation/SoRollMode.h,
	  include/Inventor/navigation/SoRotateMode.h,
	  include/Inventor/navigation/SoSubMode.h,
	  include/Inventor/navigation/SoYawMode.h,
	  include/Inventor/navigation/SoZoomMode.h: Instate warning in
	  header of the deprecated-to-be navigation system

2008-03-29 19:00  larsa

	* [r11904] TODO-2.3: remove file

2008-03-29 18:06  larsa

	* [r11903] src/scxml/ScXMLStateMachine.cpp: implement
	  self-referencing transitions properly

2008-03-29 18:05  larsa

	* [r11902] src/scxml/ScXML.cpp: doc tweaks

2008-03-29 17:07  larsa

	* [r11901] src/scxml/ScXML.cpp, src/scxml/ScXMLObject.cpp: doc
	  tweaks

2008-03-29 15:49  larsa

	* [r11900] src/misc/SoDB.cpp: new doxygen defgroup

2008-03-29 15:49  larsa

	* [r11899] src/scxml/ScXMLTransition.cpp: typo fix

2008-03-29 15:47  larsa

	* [r11898] docs/coin.doxygen.in, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLDocument.cpp,
	  src/scxml/ScXMLEvent.cpp, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLHistory.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLStateBase.cpp,
	  src/scxml/ScXMLStateMachine.cpp, src/scxml/SoScXMLEvent.cpp,
	  src/scxml/SoScXMLStateMachine.cpp: some basic initial
	  documentation entries

2008-03-29 15:46  larsa

	* [r11897] include/Inventor/scxml/ScXMLTransition.h,
	  src/scxml/ScXMLTransition.cpp: add condition-evaluation API entry

2008-03-29 14:13  larsa

	* [r11896] include/Inventor/navigation/Makefile.am,
	  include/Inventor/navigation/Makefile.in,
	  include/Inventor/navigation/SoNavigationVehicle.h,
	  src/navigation/Makefile.am, src/navigation/Makefile.in,
	  src/navigation/SoNavigationVehicle.cpp,
	  src/navigation/all-navigation-cpp.cpp: SoNavigationVehicle was
	  never used so remove it

2008-03-28 14:47  larsa

	* [r11894] src/misc/CoinResources.cpp: OIV_HOME is not for us

2008-03-28 12:54  larsa

	* [r11893] include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLEvent.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateBase.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  include/Inventor/scxml/SoScXMLEvent.h, src/scxml/ScXMLAnchor.cpp,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLFallbackInvoke.h,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLTransition.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.h,
	  src/scxml/SoScXMLScheduleRedrawInvoke.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.h: prepare for future
	  pimpl-usage, disallow copy construction

2008-03-28 11:13  larsa

	* [r11892] src/misc/SoDB.cpp: complete comment

2008-03-28 10:15  larsa

	* [r11891] include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateBase.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  src/navigation/SoScXMLNavigationInvoke.cpp,
	  src/navigation/SoScXMLNavigationInvoke.h,
	  src/navigation/SoScXMLPanUtils.cpp,
	  src/navigation/SoScXMLPanUtils.h,
	  src/navigation/SoScXMLRotateUtils.cpp,
	  src/navigation/SoScXMLRotateUtils.h,
	  src/navigation/SoScXMLSeekUtils.cpp,
	  src/navigation/SoScXMLSeekUtils.h,
	  src/navigation/SoScXMLSpinUtils.cpp,
	  src/navigation/SoScXMLSpinUtils.h,
	  src/navigation/SoScXMLViewUtils.cpp,
	  src/navigation/SoScXMLViewUtils.h,
	  src/navigation/SoScXMLZoomUtils.cpp,
	  src/navigation/SoScXMLZoomUtils.h, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLCommonP.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLFallbackInvoke.cpp,
	  src/scxml/ScXMLFallbackInvoke.h, src/scxml/ScXMLHistory.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLStateBase.cpp,
	  src/scxml/ScXMLTransition.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.h,
	  src/scxml/SoScXMLScheduleRedrawInvoke.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.cpp,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.h: deconsting some
	  overly const methods, arguments, and members

2008-03-28 00:31  autosvn

	* [r11889] data/scxml/Makefile.in,
	  data/scxml/navigation/Makefile.in, src/misc/CoinResources.cpp,
	  src/misc/CoinResources.h, src/navigation/SoScXMLViewUtils.cpp,
	  src/navigation/SoScXMLViewUtils.h,
	  src/navigation/examiner-xml.cpp: Automatic Property adjustment

2008-03-27 18:46  larsa

	* [r11888] data/scxml/navigation/examiner.xml,
	  src/navigation/Makefile.am, src/navigation/Makefile.in,
	  src/navigation/examiner-xml.cpp: uniform form on the state names,
	  added makefile update-rule

2008-03-27 18:18  larsa

	* [r11887] src/scxml/ScXMLState.cpp: strcasecmp fix

2008-03-27 17:54  larsa

	* [r11886] src/nodes/SoNode.cpp: initclas SoDepthBuffer

2008-03-27 17:41  larsa

	* [r11885] include/Inventor/scxml/ScXMLStateMachine.h,
	  src/scxml/ScXMLStateMachine.cpp: add state change callback
	  support

2008-03-27 17:40  larsa

	* [r11884] src/scxml/ScXML.cpp: give initial name to loaded state
	  machine

2008-03-27 17:39  larsa

	* [r11883] include/Inventor/scxml/ScXMLState.h,
	  src/scxml/ScXMLState.cpp: SCXML state 'task' attribute parsing

2008-03-27 16:41  frodo

	* [r11882] src/misc/SoVBO.cpp: take the vbo_vertex_count_min into
	  consideration when deciding if vbo rendering should be used

2008-03-27 15:18  kintel

	* [r11881] build/Xcode/Coin.xcodeproj/project.pbxproj: sync

2008-03-27 14:52  larsa

	* [r11880] src/misc/SoEventManager.cpp: msvc6 compile fix

2008-03-27 14:50  larsa

	* [r11879] include/Inventor/SoEventManager.h: disallow copying
	  (VC++ build fix)

2008-03-27 14:29  larsa

	* [r11878] configure, configure.ac: new directories

2008-03-27 14:02  larsa

	* [r11877] data/scxml/navigation/examiner.xml: view-all
	  functionality

2008-03-27 14:01  larsa

	* [r11876] src/navigation/Makefile.am, src/navigation/Makefile.in,
	  src/navigation/SoScXMLNavigation.cpp,
	  src/navigation/SoScXMLViewUtils.cpp,
	  src/navigation/SoScXMLViewUtils.h,
	  src/navigation/all-navigation-cpp.cpp,
	  src/navigation/examiner-xml.cpp: view-all functionality

2008-03-27 13:38  larsa

	* [r11875] include/Inventor/SoEventManager.h,
	  src/misc/SoEventManager.cpp: support for SCXML state machines

2008-03-27 13:24  larsa

	* [r11874] src/navigation/SoScXMLNavigation.cpp,
	  src/navigation/examiner-xml.cpp: build-in the examiner.xml file,
	  register it as a resource

2008-03-27 13:23  larsa

	* [r11873] src/scxml/ScXML.cpp: attributes reading bugfixes

2008-03-27 13:22  larsa

	* [r11872] data/Makefile.am, data/Makefile.in,
	  data/scxml/Makefile.am, data/scxml/Makefile.in,
	  data/scxml/navigation/Makefile.am,
	  data/scxml/navigation/Makefile.in: install examiner navigation
	  system configuration file

2008-03-27 13:21  larsa

	* [r11871] src/misc/CoinResources.cpp, src/misc/CoinResources.h,
	  src/misc/Makefile.am, src/misc/Makefile.in,
	  src/misc/all-misc-cpp.cpp: new resource regstry for internal Coin
	  resources

2008-03-27 13:14  frodo

	* [r11870] src/glue/gl.cpp, src/glue/glp.h: bugfix, wrong signature
	  on a couple of gl functions

2008-03-27 13:09  larsa

	* [r11869] include/Inventor/C/XML/element.h, src/xml/element.cpp:
	  additional function to find out the number of attributes, since
	  we don't NULL-terminate list

2008-03-27 13:04  larsa

	* [r11868] src/misc/SoGLDriverDatabase.cpp: bugfixes for SbName not
	  being strings before you call getString()

2008-03-27 12:56  frodo

	* [r11867] src/shaders/SoGLSLShaderObject.cpp,
	  src/shaders/SoGLSLShaderObject.h,
	  src/shaders/SoGLSLShaderProgram.cpp: improved error checking a
	  little

2008-03-27 00:31  autosvn

	* [r11865] src/navigation/SoScXMLNavigation.cpp,
	  src/navigation/SoScXMLNavigation.h,
	  src/navigation/SoScXMLNavigationInvoke.cpp,
	  src/navigation/SoScXMLNavigationInvoke.h,
	  src/navigation/SoScXMLPanUtils.cpp,
	  src/navigation/SoScXMLPanUtils.h,
	  src/navigation/SoScXMLRotateUtils.cpp,
	  src/navigation/SoScXMLRotateUtils.h,
	  src/navigation/SoScXMLSeekUtils.cpp,
	  src/navigation/SoScXMLSeekUtils.h,
	  src/navigation/SoScXMLSpinUtils.cpp,
	  src/navigation/SoScXMLSpinUtils.h,
	  src/navigation/SoScXMLZoomUtils.cpp,
	  src/navigation/SoScXMLZoomUtils.h: Automatic Property adjustment

2008-03-26 16:25  pederb

	* [r11864] include/Inventor/SbImage.h, src/base/SbImage.cpp: API
	  for callback based image loading.

2008-03-26 15:44  pederb

	* [r11863] src/elements/GL/SoGLMultiTextureImageElement.cpp,
	  src/elements/GL/SoGLTextureImageElement.cpp,
	  src/elements/SoBumpMapElement.cpp,
	  src/elements/SoMultiTextureImageElement.cpp,
	  src/elements/SoTextureCombineElement.cpp,
	  src/elements/SoTextureImageElement.cpp: Fix getConstElement() vs
	  state->getConstElement() usage. Could fix a couple of potential
	  caching problems.

2008-03-26 15:12  larsa

	* [r11862] src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLCommonP.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLHistory.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLState.cpp, src/scxml/ScXMLStateBase.cpp,
	  src/scxml/ScXMLStateMachine.cpp, src/scxml/ScXMLTransition.cpp:
	  msvc6 compile fixes

2008-03-26 15:04  larsa

	* [r11861] src/scxml/ScXMLInitial.cpp: casing fix

2008-03-26 14:37  larsa

	* [r11860] src/navigation/SoScXMLRotateUtils.cpp: msvc6 compile fix

2008-03-26 14:36  larsa

	* [r11859] src/misc/SoRenderManager.cpp: msvc6 does not support
	  koenig lookup

2008-03-26 14:35  larsa

	* [r11858] src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLEvent.cpp,
	  src/scxml/ScXMLFinal.cpp, src/scxml/ScXMLHistory.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLStateBase.cpp: missing
	  assert.h includes

2008-03-26 14:30  larsa

	* [r11857] src/misc/SoGLDriverDatabase.cpp: set value at place of
	  definition, not declaration (msvc6 complaints)

2008-03-26 14:21  kintel

	* [r11856] build/Xcode/Coin.xcodeproj/project.pbxproj: Create
	  Resources symlink for config-status --includedir

2008-03-26 14:01  larsa

	* [r11855] src/navigation/SoScXMLPanUtils.cpp,
	  src/navigation/SoScXMLSeekUtils.cpp,
	  src/navigation/SoScXMLSpinUtils.cpp,
	  src/navigation/SoScXMLZoomUtils.cpp: missing assert includes

2008-03-26 13:59  larsa

	* [r11854] src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLTransition.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.cpp: missing assert includes

2008-03-26 11:27  larsa

	* [r11853] data/scxml, data/scxml/navigation,
	  data/scxml/navigation/examiner.xml, data/scxml/xml2cpp.pl: SCXML
	  data files

2008-03-26 11:18  larsa

	* [r11852] include/Inventor/Makefile.am,
	  include/Inventor/Makefile.in: install public scxml headers

2008-03-26 11:17  larsa

	* [r11851] configure, configure.ac, src/Makefile.am,
	  src/Makefile.in: build scxml

2008-03-26 11:16  larsa

	* [r11850] src/misc/SoDB.cpp: initialize SCXML subsystem

2008-03-26 11:13  larsa

	* [r11849] src/scxml/ScXMLStateMachine.cpp: don't complain over
	  root <scxml> element having no id

2008-03-26 11:11  larsa

	* [r11848] src/navigation/extra.cpp: scrap

2008-03-26 11:11  larsa

	* [r11847] src/navigation/Makefile.am, src/navigation/Makefile.in:
	  updated build files

2008-03-26 11:10  larsa

	* [r11846] src/navigation/SoScXMLNavigation.cpp,
	  src/navigation/SoScXMLNavigation.h,
	  src/navigation/SoScXMLNavigationInvoke.cpp,
	  src/navigation/SoScXMLNavigationInvoke.h,
	  src/navigation/SoScXMLPanUtils.cpp,
	  src/navigation/SoScXMLPanUtils.h,
	  src/navigation/SoScXMLRotateUtils.cpp,
	  src/navigation/SoScXMLRotateUtils.h,
	  src/navigation/SoScXMLSeekUtils.cpp,
	  src/navigation/SoScXMLSeekUtils.h,
	  src/navigation/SoScXMLSpinUtils.cpp,
	  src/navigation/SoScXMLSpinUtils.h,
	  src/navigation/SoScXMLZoomUtils.cpp,
	  src/navigation/SoScXMLZoomUtils.h,
	  src/navigation/all-navigation-cpp.cpp: ScXML modules for
	  navigation

2008-03-26 00:31  autosvn

	* [r11844] include/Inventor/scxml/Makefile.in,
	  include/Inventor/scxml/ScXML.h,
	  include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLEvent.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateBase.h,
	  include/Inventor/scxml/ScXMLStateMachine.h,
	  include/Inventor/scxml/ScXMLSubObject.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  include/Inventor/scxml/SoScXMLEvent.h,
	  include/Inventor/scxml/SoScXMLStateMachine.h,
	  src/scxml/Makefile.in, src/scxml/ScXML.cpp,
	  src/scxml/ScXMLAnchor.cpp, src/scxml/ScXMLCommonP.h,
	  src/scxml/ScXMLDocument.cpp, src/scxml/ScXMLEvent.cpp,
	  src/scxml/ScXMLFallbackInvoke.cpp,
	  src/scxml/ScXMLFallbackInvoke.h, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLHistory.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLP.h, src/scxml/ScXMLState.cpp,
	  src/scxml/ScXMLStateBase.cpp, src/scxml/ScXMLStateMachine.cpp,
	  src/scxml/ScXMLTransition.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.h, src/scxml/SoScXMLEvent.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.cpp,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.h,
	  src/scxml/SoScXMLStateMachine.cpp, src/scxml/all-scxml-cpp.cpp:
	  Automatic Property adjustment

2008-03-25 18:50  larsa

	* [r11843] src/scxml/SoScXMLScheduleRedrawInvoke.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h: remove empty functions

2008-03-25 18:49  larsa

	* [r11842] src/scxml/ScXML.cpp: classtype verification bugfix

2008-03-25 18:47  larsa

	* [r11841] include/Inventor/SoRenderManager.h,
	  src/misc/SoRenderManager.cpp, src/misc/SoRenderManagerP.h: added
	  pre-render and post-render callbacks

2008-03-25 18:07  oyshole

	* [r11840] include/Inventor/misc/SoGLDriverDatabase.h,
	  src/misc/SoGLDriverDatabase.cpp: Added function to query feature
	  comments in public API.

2008-03-25 17:06  oyshole

	* [r11839] src/misc/SoGLDriverDatabase.cpp: Added basic version
	  check

2008-03-25 15:58  pederb

	* [r11838] src/misc/SoGLDriverDatabase.cpp: Coding style fixes.

2008-03-25 15:25  oyshole

	* [r11837] src/misc/SoGLDriverDatabase.cpp: Major refactoring due
	  to code size, implemented missing API functions and bug fixes.
	  Added some error checking. Documentation update.

2008-03-25 14:18  kintel

	* [r11836] build/Xcode/Coin.xcodeproj/project.pbxproj: Correct
	  version, install path and Qt symlink

2008-03-25 12:49  larsa

	* [r11835] include/Inventor/scxml/ScXMLAnchor.h,
	  include/Inventor/scxml/ScXMLOnEntry.h,
	  include/Inventor/scxml/ScXMLOnExit.h: initially omitted files in
	  the SCXML framework

2008-03-25 12:47  larsa

	* [r11834] src/vrml97/Script.cpp: minor hash+mutex avoidance nit

2008-03-25 12:45  larsa

	* [r11833] include/Inventor/scxml,
	  include/Inventor/scxml/Makefile.am,
	  include/Inventor/scxml/Makefile.in,
	  include/Inventor/scxml/ScXML.h,
	  include/Inventor/scxml/ScXMLDocument.h,
	  include/Inventor/scxml/ScXMLEvent.h,
	  include/Inventor/scxml/ScXMLFinal.h,
	  include/Inventor/scxml/ScXMLHistory.h,
	  include/Inventor/scxml/ScXMLInitial.h,
	  include/Inventor/scxml/ScXMLInvoke.h,
	  include/Inventor/scxml/ScXMLObject.h,
	  include/Inventor/scxml/ScXMLState.h,
	  include/Inventor/scxml/ScXMLStateBase.h,
	  include/Inventor/scxml/ScXMLStateMachine.h,
	  include/Inventor/scxml/ScXMLSubObject.h,
	  include/Inventor/scxml/ScXMLTransition.h,
	  include/Inventor/scxml/SoScXMLEvent.h,
	  include/Inventor/scxml/SoScXMLStateMachine.h, src/scxml,
	  src/scxml/Makefile.am, src/scxml/Makefile.in,
	  src/scxml/ScXML.cpp, src/scxml/ScXMLAnchor.cpp,
	  src/scxml/ScXMLCommonP.h, src/scxml/ScXMLDocument.cpp,
	  src/scxml/ScXMLEvent.cpp, src/scxml/ScXMLFallbackInvoke.cpp,
	  src/scxml/ScXMLFallbackInvoke.h, src/scxml/ScXMLFinal.cpp,
	  src/scxml/ScXMLHistory.cpp, src/scxml/ScXMLInitial.cpp,
	  src/scxml/ScXMLInvoke.cpp, src/scxml/ScXMLObject.cpp,
	  src/scxml/ScXMLOnEntry.cpp, src/scxml/ScXMLOnExit.cpp,
	  src/scxml/ScXMLP.h, src/scxml/ScXMLState.cpp,
	  src/scxml/ScXMLStateBase.cpp, src/scxml/ScXMLStateMachine.cpp,
	  src/scxml/ScXMLTransition.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.cpp,
	  src/scxml/SoScXMLDebugInfoInvoke.h, src/scxml/SoScXMLEvent.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.cpp,
	  src/scxml/SoScXMLScheduleRedrawInvoke.h,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.cpp,
	  src/scxml/SoScXMLScheduleTimerEventInvoke.h,
	  src/scxml/SoScXMLStateMachine.cpp, src/scxml/all-scxml-cpp.cpp: A
	  SCXML framework

2008-03-25 10:55  oyshole

	* [r11832] src/xml/element.cpp: Fixed iteration bug in clone
	  function.

2008-03-24 17:26  larsa

	* [r11830] include/Inventor/events/SoButtonEvent.h,
	  include/Inventor/events/SoKeyboardEvent.h,
	  include/Inventor/events/SoLocation2Event.h,
	  include/Inventor/events/SoMotion3Event.h,
	  include/Inventor/events/SoMouseButtonEvent.h,
	  include/Inventor/events/SoSpaceballButtonEvent.h,
	  src/events/SoButtonEvent.cpp, src/events/SoKeyboardEvent.cpp,
	  src/events/SoMouseButtonEvent.cpp,
	  src/events/SoSpaceballButtonEvent.cpp: utility functions for
	  making string representations of enum values

2008-03-22 00:31  autosvn

	* [r11828] build/Xcode/data/draggerDefaults/centerballDragger.h,
	  build/Xcode/data/draggerDefaults/directionalLightDragger.h,
	  build/Xcode/data/draggerDefaults/dragPointDragger.h,
	  build/Xcode/data/draggerDefaults/handleBoxDragger.h,
	  build/Xcode/data/draggerDefaults/iv2h.sh,
	  build/Xcode/data/draggerDefaults/jackDragger.h,
	  build/Xcode/data/draggerDefaults/pointLightDragger.h,
	  build/Xcode/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/Xcode/data/draggerDefaults/rotateDiscDragger.h,
	  build/Xcode/data/draggerDefaults/rotateSphericalDragger.h,
	  build/Xcode/data/draggerDefaults/scale1Dragger.h,
	  build/Xcode/data/draggerDefaults/scale2Dragger.h,
	  build/Xcode/data/draggerDefaults/scale2UniformDragger.h,
	  build/Xcode/data/draggerDefaults/scaleUniformDragger.h,
	  build/Xcode/data/draggerDefaults/spotLightDragger.h,
	  build/Xcode/data/draggerDefaults/tabBoxDragger.h,
	  build/Xcode/data/draggerDefaults/tabPlaneDragger.h,
	  build/Xcode/data/draggerDefaults/trackballDragger.h,
	  build/Xcode/data/draggerDefaults/transformBoxDragger.h,
	  build/Xcode/data/draggerDefaults/transformerDragger.h,
	  build/Xcode/data/draggerDefaults/translate1Dragger.h,
	  build/Xcode/data/draggerDefaults/translate2Dragger.h,
	  build/Xcode/data/shaders/lights/DirSpotLight.h,
	  build/Xcode/data/shaders/lights/DirectionalLight.h,
	  build/Xcode/data/shaders/lights/PointLight.h,
	  build/Xcode/data/shaders/lights/SpotLight.h,
	  build/Xcode/data/shaders/lights/glsl2h.sh,
	  build/Xcode/data/shaders/vsm/VsmLookup.h,
	  build/Xcode/data/shaders/vsm/glsl2h.sh,
	  build/Xcode/include/Inventor/C/basic.h,
	  build/Xcode/include/Inventor/system/gl-headers.h,
	  build/Xcode/include/Inventor/system/inttypes.h,
	  build/Xcode/src/config.h, build/Xcode/src/setup.h: Automatic
	  Property adjustment

2008-03-21 18:00  kintel

	* [r11827] build/README, build/Xcode, build/Xcode/Coin.xcodeproj,
	  build/Xcode/Coin.xcodeproj/project.pbxproj,
	  build/Xcode/English.lproj,
	  build/Xcode/English.lproj/InfoPlist.strings,
	  build/Xcode/Info.plist, build/Xcode/Inventor_Prefix.pch,
	  build/Xcode/data, build/Xcode/data/draggerDefaults,
	  build/Xcode/data/draggerDefaults/centerballDragger.h,
	  build/Xcode/data/draggerDefaults/directionalLightDragger.h,
	  build/Xcode/data/draggerDefaults/dragPointDragger.h,
	  build/Xcode/data/draggerDefaults/handleBoxDragger.h,
	  build/Xcode/data/draggerDefaults/iv2h.sh,
	  build/Xcode/data/draggerDefaults/jackDragger.h,
	  build/Xcode/data/draggerDefaults/pointLightDragger.h,
	  build/Xcode/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/Xcode/data/draggerDefaults/rotateDiscDragger.h,
	  build/Xcode/data/draggerDefaults/rotateSphericalDragger.h,
	  build/Xcode/data/draggerDefaults/scale1Dragger.h,
	  build/Xcode/data/draggerDefaults/scale2Dragger.h,
	  build/Xcode/data/draggerDefaults/scale2UniformDragger.h,
	  build/Xcode/data/draggerDefaults/scaleUniformDragger.h,
	  build/Xcode/data/draggerDefaults/spotLightDragger.h,
	  build/Xcode/data/draggerDefaults/tabBoxDragger.h,
	  build/Xcode/data/draggerDefaults/tabPlaneDragger.h,
	  build/Xcode/data/draggerDefaults/trackballDragger.h,
	  build/Xcode/data/draggerDefaults/transformBoxDragger.h,
	  build/Xcode/data/draggerDefaults/transformerDragger.h,
	  build/Xcode/data/draggerDefaults/translate1Dragger.h,
	  build/Xcode/data/draggerDefaults/translate2Dragger.h,
	  build/Xcode/data/shaders, build/Xcode/data/shaders/lights,
	  build/Xcode/data/shaders/lights/DirSpotLight.h,
	  build/Xcode/data/shaders/lights/DirectionalLight.h,
	  build/Xcode/data/shaders/lights/PointLight.h,
	  build/Xcode/data/shaders/lights/SpotLight.h,
	  build/Xcode/data/shaders/lights/glsl2h.sh,
	  build/Xcode/data/shaders/vsm,
	  build/Xcode/data/shaders/vsm/VsmLookup.h,
	  build/Xcode/data/shaders/vsm/glsl2h.sh, build/Xcode/include,
	  build/Xcode/include/Inventor, build/Xcode/include/Inventor/C,
	  build/Xcode/include/Inventor/C/basic.h,
	  build/Xcode/include/Inventor/system,
	  build/Xcode/include/Inventor/system/gl-headers.h,
	  build/Xcode/include/Inventor/system/inttypes.h, build/Xcode/src,
	  build/Xcode/src/config.h, build/Xcode/src/setup.h: Experimental
	  Xcode build system for Coin

2008-03-20 19:24  frodo

	* [r11825] include/Inventor/misc/SoGLDriverDatabase.h: added
	  ARB_vertex_shader test to driver database

2008-03-20 19:23  frodo

	* [r11824] src/misc/SoGLDriverDatabase.cpp: added ARB_vertex_shader
	  test to driver database

2008-03-20 16:59  frodo

	* [r11823] include/Inventor/C/glue/gl.h: added function to query if
	  the GL_ARB_vertex_shader extension is available

2008-03-20 16:58  frodo

	* [r11822] src/glue/gl.cpp, src/glue/glp.h: bind some new functions
	  from the GL_ARB_vertex_shader extension

2008-03-19 00:31  autosvn

	* [r11820] include/Inventor/nodes/SoVertexAttribute.h,
	  src/nodes/SoVertexAttribute.cpp: Automatic Property adjustment

2008-03-18 14:57  larsa

	* [r11819] include/Inventor/nodes/SoVertexAttribute.h,
	  src/nodes/SoVertexAttribute.cpp: The small beginnings of vertex
	  attribute support in Coin

2008-03-18 14:48  oyshole

	* [r11818] src/misc/SoGLDriverDatabase.cpp: Typo fix

2008-03-18 12:49  oyshole

	* [r11817] src/misc/SoGLDriverDatabase.cpp: Implemented loading
	  from file and buffer, store driver objects per context, misc.
	  cleanup.

2008-03-18 11:28  oyshole

	* [r11816] src/misc/SoGLDriverDatabase.cpp: Fixed isSupported
	  return value, debug output cleanup, made platform check use
	  built-in coin functions at runtime

2008-03-18 10:36  oyshole

	* [r11815] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat,
	  include/Inventor/misc/Makefile.am,
	  include/Inventor/misc/Makefile.in,
	  include/Inventor/misc/SoGLDriverDatabase.h,
	  src/actions/SoGLRenderAction.cpp,
	  src/caches/SoPrimitiveVertexCache.cpp,
	  src/elements/GL/SoGLCacheContextElement.cpp,
	  src/elements/GL/SoGLDisplayList.cpp,
	  src/elements/GL/SoGLPolygonOffsetElement.cpp,
	  src/elements/GL/SoGLTexture3EnabledElement.cpp,
	  src/elements/GL/SoGLVBOElement.cpp, src/misc/Makefile.am,
	  src/misc/Makefile.in, src/misc/SoDB.cpp,
	  src/misc/SoGLDriverDatabase.cpp, src/misc/SoGLDriverDatabase.h,
	  src/misc/SoGLImage.cpp, src/misc/SoVBO.cpp,
	  src/misc/SoVertexArrayIndexer.cpp, src/nodes/SoBumpMap.cpp,
	  src/nodes/SoExtSelection.cpp, src/nodes/SoSceneTexture2.cpp,
	  src/nodes/SoTexture3.cpp, src/nodes/SoTextureCombine.cpp,
	  src/shaders/SoFragmentShader.cpp,
	  src/shaders/SoGeometryShader.cpp, src/shaders/SoShaderObject.cpp,
	  src/shaders/SoVertexShader.cpp, src/shadows/SoShadowGroup.cpp,
	  src/shapenodes/SoIndexedFaceSet.cpp,
	  src/shapenodes/SoIndexedLineSet.cpp,
	  src/shapenodes/SoPointSet.cpp, src/shapenodes/SoShape.cpp,
	  src/shapenodes/soshape_bumprender.cpp, src/vrml97/Extrusion.cpp,
	  src/vrml97/IndexedFaceSet.cpp, src/vrml97/IndexedLineSet.cpp,
	  src/vrml97/PointSet.cpp: Changed SoGLDriverDatabase API to
	  public, added method stubs and some base functionality for driver
	  database

2008-03-17 15:49  larsa

	* [r11813] src/xml/document.cpp: return ok-status, not always TRUE

2008-03-17 11:10  pederb

	* [r11812] src/nodes/SoSceneTexture2.cpp: Remove code committed by
	  mistake.

2008-03-17 10:58  pederb

	* [r11811] THANKS: Added Christopher Dyken.

2008-03-17 10:57  pederb

	* [r11810] src/nodes/SoSceneTexture2.cpp: Restore context to
	  previous frame buffer when exiting the node. Bugfix by
	  Christopher Dyken.

2008-03-14 15:53  larsa

	* [r11808] src/actions/SoLineHighlightRenderAction.cpp:
	  initialization order warning fix

2008-03-14 10:14  larsa

	* [r11807] include/Inventor/actions/SoGLRenderAction.h,
	  src/actions/SoGLRenderAction.cpp: minor API cleanup, cosmetics

2008-03-14 09:48  larsa

	* [r11806] src/actions/SoGLRenderAction.cpp: fix minor memory leak
	  in sorted-layers-blend trasparency mode code. use scoped_ptr to
	  hold private bboxaction to clean out destructor.

2008-03-14 00:31  autosvn

	* [r11804] include/Inventor/elements/SoDepthBufferElement.h,
	  include/Inventor/elements/SoGLDepthBufferElement.h,
	  include/Inventor/nodes/SoDepthBuffer.h,
	  src/elements/GL/SoGLDepthBufferElement.cpp,
	  src/elements/SoDepthBufferElement.cpp,
	  src/nodes/SoDepthBuffer.cpp: Automatic Property adjustment

2008-03-13 16:51  larsa

	* [r11803] include/Inventor/elements/Makefile.am,
	  include/Inventor/elements/Makefile.in,
	  include/Inventor/elements/SoDepthBufferElement.h,
	  include/Inventor/elements/SoElements.h,
	  include/Inventor/elements/SoGLDepthBufferElement.h,
	  include/Inventor/nodes/Makefile.am,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/nodes/SoDepthBuffer.h,
	  include/Inventor/nodes/SoNodes.h, src/elements/GL/Makefile.am,
	  src/elements/GL/Makefile.in,
	  src/elements/GL/SoGLDepthBufferElement.cpp,
	  src/elements/GL/all-glelements-cpp.cpp, src/elements/Makefile.am,
	  src/elements/Makefile.in, src/elements/SoDepthBufferElement.cpp,
	  src/elements/SoElement.cpp, src/elements/all-elements-cpp.cpp,
	  src/nodes/Makefile.am, src/nodes/Makefile.in,
	  src/nodes/SoDepthBuffer.cpp, src/nodes/all-nodes-cpp.cpp: new
	  node SoDepthBuffer and corresponding element SoDepthBufferElement

2008-03-13 11:54  larsa

	* [r11802] include/Inventor/actions/SoGLRenderAction.h,
	  src/actions/SoGLRenderAction.cpp: added getter for the
	  abort-callback setting

2008-03-12 14:52  larsa

	* [r11800] src/glue/dl.cpp: use section instead of nonexisting
	  subpage doxygen keyword

2008-03-12 14:26  larsa

	* [r11799] docs/coin.doxygen.in, src/glue/dl.cpp: a description of
	  3rd party library usage in Coin for the Coin documentation

2008-03-12 09:53  larsa

	* [r11798] src/nodes/SoPickStyle.cpp: another minor doc update

2008-03-12 09:45  larsa

	* [r11797] src/nodes/SoPickStyle.cpp: minor doc updates

2008-03-12 09:10  larsa

	* [r11796] src/actions/SoRayPickAction.cpp: limit backface culling
	  to only the situations where OpenGL does backface culling

2008-03-11 22:23  larsa

	* [r11794] models/coin_features/PickStyle_SHAPE_FRONTFACES.iv,
	  models/coin_features/PickStyle_SHAPE_ON_TOP.iv,
	  src/shapenodes/SoShape.cpp: New SoPickStyle feature
	  implementations. Ray-pick backface culling,
	  and always-on-top classification. Added two sample models with
	  comments that demonstrate the new features. Still missing to
	  update the code in src/misc/SoPick.cpp so builtin shapes like
	  Cube, Cone, etc, will work with the backface culling feature.

2008-03-11 17:08  larsa

	* [r11793] src/actions/SoRayPickAction.cpp: add the
	  SoRayPickAction-part of the new pick style functionality

2008-03-11 16:40  larsa

	* [r11792] include/Inventor/actions/SoRayPickAction.h,
	  include/Inventor/elements/SoPickStyleElement.h,
	  include/Inventor/nodes/SoPickStyle.h,
	  src/actions/SoRayPickAction.cpp,
	  src/elements/SoPickStyleElement.cpp, src/nodes/SoPickStyle.cpp:
	  remove SHAPE_BACKFACES PickStyle setting since it will be
	  controlled with vertex ordering, as for rendering. extend the
	  addIntersection() signature in SoRayPickAction to take an
	  additional pick ray direction argument.

2008-03-11 16:07  larsa

	* [r11791] include/Inventor/elements/SoPickStyleElement.h,
	  include/Inventor/nodes/SoPickStyle.h,
	  src/elements/SoPickStyleElement.cpp, src/nodes/SoPickStyle.cpp:
	  add settings for additional picking styles (on popular demand)

2008-03-11 14:33  larsa

	* [r11790] src/engines/SoConvertAll.cpp: be proper since assert is
	  a macro.

2008-03-10 11:40  pederb

	* [r11788] src/glue/gl.cpp, src/glue/glp.h: Avoid using proxy
	  textures if Intel is detected.

2008-03-10 09:01  larsa

	* [r11787] cfg/doxy4win.pl: path-independent perl invocation

2008-03-07 13:53  larsa

	* [r11785] src/profiler/SoNodeProfiling.h: filesystem filename
	  casing bugfix

2008-03-07 13:45  larsa

	* [r11784] src/profiler/SoProfilerStats.cpp: by-def-name profiling
	  compile fixes

2008-03-07 11:41  larsa

	* [r11783] src/profiler/SoNodeProfiling.h: build fix

2008-03-07 10:46  frodein

	* [r11782] src/profiler/SoProfilerOverlayKit.cpp: provide empty
	  implementation to avoid linker errors. temporary fix until use of
	  HAVE_SCENE_PROFILING is removed

2008-03-07 10:22  pederb

	* [r11781] include/Inventor/fields/SoMField.h,
	  src/fields/SoFieldContainer.cpp, src/fields/SoMField.cpp,
	  src/profiler/SoProfiler.cpp: Some compiler fixes.

2008-03-07 09:52  larsa

	* [r11780] include/Inventor/nodes/SoMaterial.h: Codestyle update.

2008-03-07 09:51  larsa

	* [r11779] src/nodes/SoMaterial.cpp: Register SoColorPacker memory
	  usage for the profiler. Codestyle fixes.

2008-03-07 09:40  larsa

	* [r11778] src/nodes/SoLOD.cpp, src/shaders/SoShaderObject.cpp,
	  src/shaders/SoShaderProgram.cpp, src/vrml97/Appearance.cpp,
	  src/vrml97/Billboard.cpp, src/vrml97/Collision.cpp,
	  src/vrml97/Group.cpp, src/vrml97/LOD.cpp, src/vrml97/Shape.cpp:
	  profiling-instrumentation of the rest of the traversing nodes

2008-03-07 00:31  autosvn

	* [r11776] include/Inventor/annex/Profiler/SbProfilingData.h,
	  include/Inventor/annex/Profiler/elements/SoProfilerElement.h,
	  src/profiler/SoProfilerP.h: Automatic Property adjustment

2008-03-06 15:24  larsa

	* [r11775] include/Inventor/annex/Profiler/nodes/SoProfilerStats.h,
	  src/profiler/SoProfilerStats.cpp: add accessor for profiling data
	  container

2008-03-06 14:20  larsa

	* [r11774] src/nodes/SoNode.cpp: remove unnecessary code

2008-03-06 14:04  larsa

	* [r11773] src/profiler/SoScrollingGraphKit.cpp: scrolling graph
	  code changes

2008-03-06 14:04  larsa

	* [r11772] src/profiler/SoNodeVisualize.cpp: disable some code
	  temporarily due to API changes

2008-03-06 14:02  larsa

	* [r11771] src/profiler/all-profiler-cpp.cpp: update

2008-03-06 14:01  larsa

	* [r11770] src/profiler/SoProfiler.cpp: SoProfilerOneGraphKit is
	  coming later

2008-03-06 13:58  larsa

	* [r11769] src/profiler/Makefile.am, src/profiler/Makefile.in:
	  updated build files

2008-03-06 13:53  larsa

	* [r11768] src/actions/SoAction.cpp,
	  src/actions/SoGLRenderAction.cpp, src/nodes/SoGroup.cpp,
	  src/nodes/SoNode.cpp, src/nodes/SoSeparator.cpp,
	  src/profiler/SoNodeProfiling.h: Implement profiling autoredraw
	  feature.
	  Remove redundant/obsoleted envvar parsing code.
	  Update to reflect SoProfiler/SoNodeProfiling subsystem changes.
	  Disable profiling where appropriate.
	  Bugfixes for the profiling instrumentation code in the traversal
	  code
	  (parent nodes now instrument only around traversing their
	  children and no
	  other places, and the action instruments around traversing the
	  root).

2008-03-06 13:40  larsa

	* [r11767] include/Inventor/annex/Profiler/Makefile.am,
	  include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/elements/Makefile.am,
	  include/Inventor/annex/Profiler/elements/Makefile.in: updated
	  build files

2008-03-06 13:38  larsa

	* [r11766] include/Inventor/annex/Profiler/nodes/SoProfilerStats.h,
	  src/profiler/SoProfilerStats.cpp: Remove old API. Update
	  internals to reflect SbProfilingData changes.

2008-03-06 13:34  larsa

	* [r11765] include/Inventor/annex/Profiler/SoProfiler.h,
	  src/misc/SoDB.cpp, src/misc/SoDBP.h, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerP.h: Centralize profiler-related envvar
	  parsing in SoProfiler.cpp.
	  Add settings control based on envvar contents (old usage also
	  supported).
	  Obsolete COIN_PROFILER_SYNCGL envvar for "syncgl" setting in
	  COIN_PROFILER.
	  Rename SoProfiler::overlayActive() to isOverlayActive() for
	  consistency.

2008-03-06 13:23  larsa

	* [r11764]
	  include/Inventor/annex/Profiler/elements/SoProfilerElement.h,
	  src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h: clean up the SoProfilerElement
	  class, and make it public

2008-03-06 13:21  larsa

	* [r11763] include/Inventor/annex/Profiler/SbProfilingData.h,
	  src/profiler/SbProfilingData.cpp, src/profiler/SbProfilingData.h:
	  rewrite of the SbProfilingData type, and make it public

2008-03-06 13:16  larsa

	* [r11762] include/Inventor/fields/SoFieldContainer.h,
	  src/fields/SoFieldContainer.cpp: New function
	  getFieldsMemorySize() for finding size of the extra field-data
	  memory the field-container has allocated

2008-03-06 13:02  larsa

	* [r11761] src/nodes/SoLOD.cpp: nit

2008-03-06 09:27  pederb

	* [r11760] src/elements/GL/SoGLTextureImageElement.cpp: Prefer
	  explicit 8 bits per component texture format enums to the more
	  generic old-style enums to avoid problems with certain nVidia
	  cards. Problem reported by Christoffer Tingdahl.

2008-03-06 09:27  pederb

	* [r11759] src/glue/gl.cpp, src/glue/glp.h, src/misc/SoGLImage.cpp:
	  Prefer explicit 8 bits per component texture format enums to the
	  more generic old-style enums to avoid problems with certain
	  nVidia cards. Problem reported by Christoffer Tingdahl.

2008-03-05 09:19  larsa

	* [r11757] include/Inventor/SbTypeInfo.h: minor tweaks

2008-02-28 12:31  pederb

	* [r11755] src/caches/SoPrimitiveVertexCache.cpp,
	  src/shapenodes/soshape_bumprender.cpp, src/vrml97/Extrusion.cpp:
	  More workarounds for ATI driver bugs.

2008-02-28 11:48  pederb

	* [r11754] src/shapenodes/SoShape.cpp: Use SoGLDriverDatabase to
	  test if VBO in displaylists are ok.

2008-02-28 11:47  pederb

	* [r11753] src/misc/SoGLDriverDatabase.cpp,
	  src/misc/SoGLDriverDatabase.h: Support for VBO_in_displaylist
	  test.

2008-02-27 14:23  pederb

	* [r11751] src/lists/SoPathList.cpp: Fix typo.

2008-02-27 14:10  pederb

	* [r11750] src/lists/SoPathList.cpp: Bugfix in
	  SoPathList::uniquify(). Remove _all_ paths that goes through the
	  path of another, not just one. Reported by Jan Thomassen.

2008-02-26 11:59  pederb

	* [r11748] src/xml/document.cpp, src/xml/element.cpp: Some element
	  searching bugfixes.

2008-02-26 11:43  larsa

	* [r11747] src/xml/element.cpp: codestyle fixes

2008-02-26 11:15  larsa

	* [r11746] src/xml/document.cpp: bugfix for bogus handling of
	  XML_Status values

2008-02-22 15:06  pederb

	* [r11744] src/elements/GL/SoGLMultiTextureCoordinateElement.cpp:
	  Avoid accessing GL in init().

2008-02-20 14:53  pederb

	* [r11742] src/vrml97/Appearance.cpp: Bugfix for VRML nodes with
	  textures which should take the material from the state. Reported
	  by frodein.

2008-02-20 11:25  kintel

	* [r11741] src/nodes/SoGroup.cpp: doc fix

2008-02-20 11:14  kintel

	* [r11740] src/nodes/SoGroup.cpp: doc fix

2008-02-18 13:02  larsa

	* [r11738] src/misc/Makefile.in: bootstrap

2008-02-18 12:57  larsa

	* [r11737] src/misc/Makefile.am, src/misc/SoGLLineSetTemplate.icc,
	  src/misc/SoGLnonindexedFaceSetTemplate.icc,
	  src/misc/SoGLnonindexedTristripSetTemplate.icc,
	  src/misc/SoGLqmeshTemplate.icc,
	  src/misc/SoGLqmeshpreciselightingTemplate.icc,
	  src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoLineSet.cpp,
	  src/shapenodes/SoQuadMesh.cpp,
	  src/shapenodes/SoTriangleStripSet.cpp: reorganize all
	  #define-templates

2008-02-18 10:15  pederb

	* [r11736] src/engines/SoComposeRotation.cpp: Bugfix. Default axis
	  should be (0.0f, 0.0f, 1.0f). Reported by Volker Enderlein.

2008-02-15 11:39  larsa

	* [r11734] src/misc/Makefile.in: bootstrap

2008-02-15 11:20  larsa

	* [r11733] src/misc/Makefile.am: obsoleted files

2008-02-15 10:09  thammer

	* [r11732] src/glue/simage_wrapper.cpp: Compile fix:
	  simage_wrapper.h must be included after
	  SIMAGEWRAPPER_ASSUME_SIMAGE has been defined, or compiling with a
	  static simage library will fail

2008-02-15 10:05  thammer

	* [r11731] src/glue/simage_wrapper.h: Typo fix: the source file has
	  a cpp file ending

2008-02-15 10:04  pederb

	* [r11730]
	  include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	  include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	  src/elements/GL/SoGLDrawStyleElement.cpp,
	  src/elements/GL/SoGLEnvironmentElement.cpp,
	  src/elements/GL/SoGLLinePatternElement.cpp,
	  src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	  src/elements/GL/SoGLMultiTextureImageElement.cpp,
	  src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	  src/elements/GL/SoGLShapeHintsElement.cpp,
	  src/elements/GL/SoGLTexture3EnabledElement.cpp,
	  src/elements/GL/SoGLTextureEnabledElement.cpp,
	  src/elements/GL/SoGLViewingMatrixElement.cpp: Avoid OpenGL calls
	  in element init() methods. This will fix problems if the user for
	  some reason tries to initialize the state in SoGLRenderAction
	  without making the context current.

2008-02-15 09:58  pederb

	* [r11729] src/misc/SoGLImage.cpp: Improve how registerImage() is
	  used internally.

2008-02-14 11:21  larsa

	* [r11727] src/misc/SoGL.cpp, src/misc/SoGLTristripTemplate.icc,
	  src/misc/SoGLindexedLineSetTemplate.icc: Clean up the rest of the
	  #include-templated code. Still more such
	  "code" in the shapenodes/ directory though.

2008-02-13 14:45  pederb

	* [r11725] src/actions/SoRayPickAction.cpp: Floating point
	  precision fix. Reported by Idar Storvik.

2008-02-13 12:46  larsa

	* [r11724] src/misc/SoGL.cpp: get object file size under control
	  (typetraits symbols explosion)

2008-02-12 20:31  larsa

	* [r11722] src/misc/SoGL.cpp: template argument order bugfix

2008-02-12 19:19  larsa

	* [r11721] src/misc/Makefile.am, src/misc/SoGL.cpp,
	  src/misc/SoGLFaceSetTemplate.icc: clean out the
	  #define/#include/#if mess for faceset rendering (just faceset
	  rendering at this time) and replace it with something of a bit
	  more organized and readable nature

2008-02-08 20:38  larsa

	* [r11719] docs/coin.doxygen.in: doxygen was excluding the vrml97
	  classes

2008-02-06 14:14  pederb

	* [r11717] include/Inventor/elements/SoGLShaderProgramElement.h,
	  src/shaders/SoGLShaderProgramElement.cpp,
	  src/shaders/SoShaderProgram.cpp, src/shadows/SoShadowStyle.cpp:
	  Track enabled/disabled state in SoGLShaderProgramElement. Fix a
	  ShadowStyle group bug.

2008-02-06 08:59  pederb

	* [r11716] src/shadows/SoShadowGroup.cpp: Fix missing SpotLight
	  function in shader when there was a SpotLight in front of the
	  node, but none inside. Reported by Henning Sjurseth.

2008-02-04 16:41  pederb

	* [r11714] src/glue/gl.cpp: Only disable FBO under windows, not
	  other platforms.

2008-02-01 10:52  pederb

	* [r11712] src/base/SbViewVolume.cpp: Improve SoRayPickAction
	  picking precision. Problem reported by Idar Storvik.

2008-02-01 09:26  pederb

	* [r11711] include/Inventor/SbViewVolume.h,
	  src/actions/SoRayPickAction.cpp: Improve SoRayPickAction picking
	  precision. Problem reported by Idar Storvik.

2008-01-31 21:15  larsa

	* [r11709] src/Makefile.am, src/Makefile.in: dependency needed for
	  parallell builds on the install rule (yikes)

2008-01-31 16:06  pederb

	* [r11708] src/profiler/SbProfilingData.h: Compiler warning fix.

2008-01-31 15:48  pederb

	* [r11707] src/elements/GL/SoGLMultiTextureImageElement.cpp: Bugfix
	  for multi texture state popping.

2008-01-31 14:46  pederb

	* [r11706] src/shadows/SoShadowGroup.cpp: Workaround for a
	  (possible) bug in the nVidia Quadro drivers.

2008-01-25 14:21  larsa

	* [r11704] src/fonts/builtin2dfonts.icc, src/fonts/font13.icc,
	  src/fonts/font17.icc, src/fonts/font25.icc, src/fonts/font33.icc:
	  font fixes from Coin-2 (amongst others the _ character)

2008-01-23 11:45  larsa

	* [r11702] src/sensors/SoDelayQueueSensor.cpp: documentation
	  updates

2008-01-23 11:45  larsa

	* [r11701] src/sensors/SoDataSensor.cpp,
	  src/sensors/SoFieldSensor.cpp, src/sensors/SoNodeSensor.cpp,
	  src/sensors/SoPathSensor.cpp: documentation updates

2008-01-22 18:17  kintel

	* [r11699] src/glue/dl.cpp: comment typo

2008-01-22 18:15  kintel

	* [r11698] src/glue/dl.cpp: Mac OS X 10.5 port

2008-01-22 16:29  kintel

	* [r11697] aclocal.m4, configure: bootstrap

2008-01-22 13:32  larsa

	* [r11696] THANKS: adding Mathis Csisinko

2008-01-22 13:30  larsa

	* [r11695] build/misc/create-directories.bat: Bugfix from Mathis
	  Csisinko

2008-01-17 14:45  larsa

	* [r11693] aclocal.m4, configure, include/Inventor/C/Makefile.in,
	  include/Inventor/system/Makefile.in, src/Makefile.in: bootstrap

2008-01-17 14:09  larsa

	* [r11692] src/profiler/SbProfilingData.cpp,
	  src/profiler/SbProfilingData.h,
	  src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h,
	  src/profiler/SoProfilerStats.cpp: move all stats into
	  SbProfilingData

2008-01-17 14:03  larsa

	* [r11691] src/profiler/SoProfilerTopEngine.cpp: use
	  SbName::empty()

2008-01-17 14:03  larsa

	* [r11690] src/profiler/SoScrollingGraphKit.cpp: fix for the
	  mysterious noname graph bug

2008-01-16 14:13  larsa

	* [r11688] src/actions/SoAction.cpp: the correct compile fix

2008-01-16 12:49  kintel

	* [r11687] src/misc/SbHash.h: Quickfix: Support Key and Type types
	  without a default constructor

2008-01-16 12:47  kintel

	* [r11686] src/misc/SbHash.h: coding style

2008-01-16 10:44  frodein

	* [r11685] src/actions/SoAction.cpp: compile fix

2008-01-15 17:50  larsa

	* [r11683] build/misc/install-headers.bat,
	  build/misc/uninstall-headers.bat, build/msvc6/coin3.dsp,
	  build/msvc6/data/draggerDefaults/centerballDragger.h,
	  build/msvc6/data/draggerDefaults/directionalLightDragger.h,
	  build/msvc6/data/draggerDefaults/dragPointDragger.h,
	  build/msvc6/data/draggerDefaults/handleBoxDragger.h,
	  build/msvc6/data/draggerDefaults/jackDragger.h,
	  build/msvc6/data/draggerDefaults/pointLightDragger.h,
	  build/msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/msvc6/data/draggerDefaults/rotateDiscDragger.h,
	  build/msvc6/data/draggerDefaults/rotateSphericalDragger.h,
	  build/msvc6/data/draggerDefaults/scale1Dragger.h,
	  build/msvc6/data/draggerDefaults/scale2Dragger.h,
	  build/msvc6/data/draggerDefaults/scale2UniformDragger.h,
	  build/msvc6/data/draggerDefaults/scaleUniformDragger.h,
	  build/msvc6/data/draggerDefaults/spotLightDragger.h,
	  build/msvc6/data/draggerDefaults/tabBoxDragger.h,
	  build/msvc6/data/draggerDefaults/tabPlaneDragger.h,
	  build/msvc6/data/draggerDefaults/trackballDragger.h,
	  build/msvc6/data/draggerDefaults/transformBoxDragger.h,
	  build/msvc6/data/draggerDefaults/transformerDragger.h,
	  build/msvc6/data/draggerDefaults/translate1Dragger.h,
	  build/msvc6/data/draggerDefaults/translate2Dragger.h,
	  build/msvc6/data/shaders/lights/DirSpotLight.h,
	  build/msvc6/data/shaders/lights/DirectionalLight.h,
	  build/msvc6/data/shaders/lights/PointLight.h,
	  build/msvc6/data/shaders/lights/SpotLight.h,
	  build/msvc6/data/shaders/vsm/VsmLookup.h,
	  build/msvc6/docs/coin3.doxygen, build/msvc6/src,
	  build/msvc6/src/setup.h, build/msvc7/coin3.sln,
	  build/msvc7/coin3.vcproj,
	  build/msvc7/data/draggerDefaults/centerballDragger.h,
	  build/msvc7/data/draggerDefaults/directionalLightDragger.h,
	  build/msvc7/data/draggerDefaults/dragPointDragger.h,
	  build/msvc7/data/draggerDefaults/handleBoxDragger.h,
	  build/msvc7/data/draggerDefaults/jackDragger.h,
	  build/msvc7/data/draggerDefaults/pointLightDragger.h,
	  build/msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/msvc7/data/draggerDefaults/rotateDiscDragger.h,
	  build/msvc7/data/draggerDefaults/rotateSphericalDragger.h,
	  build/msvc7/data/draggerDefaults/scale1Dragger.h,
	  build/msvc7/data/draggerDefaults/scale2Dragger.h,
	  build/msvc7/data/draggerDefaults/scale2UniformDragger.h,
	  build/msvc7/data/draggerDefaults/scaleUniformDragger.h,
	  build/msvc7/data/draggerDefaults/spotLightDragger.h,
	  build/msvc7/data/draggerDefaults/tabBoxDragger.h,
	  build/msvc7/data/draggerDefaults/tabPlaneDragger.h,
	  build/msvc7/data/draggerDefaults/trackballDragger.h,
	  build/msvc7/data/draggerDefaults/transformBoxDragger.h,
	  build/msvc7/data/draggerDefaults/transformerDragger.h,
	  build/msvc7/data/draggerDefaults/translate1Dragger.h,
	  build/msvc7/data/draggerDefaults/translate2Dragger.h,
	  build/msvc7/data/shaders/lights/DirSpotLight.h,
	  build/msvc7/data/shaders/lights/DirectionalLight.h,
	  build/msvc7/data/shaders/lights/PointLight.h,
	  build/msvc7/data/shaders/lights/SpotLight.h,
	  build/msvc7/data/shaders/vsm/VsmLookup.h,
	  build/msvc7/docs/coin3.doxygen, build/msvc7/src,
	  build/msvc7/src/setup.h, build/msvc8/coin3.sln,
	  build/msvc8/coin3.vcproj, build/msvc8/coin3_docs.vcproj,
	  build/msvc8/coin3_install.vcproj,
	  build/msvc8/coin3_uninstall.vcproj,
	  build/msvc8/data/draggerDefaults/centerballDragger.h,
	  build/msvc8/data/draggerDefaults/directionalLightDragger.h,
	  build/msvc8/data/draggerDefaults/dragPointDragger.h,
	  build/msvc8/data/draggerDefaults/handleBoxDragger.h,
	  build/msvc8/data/draggerDefaults/jackDragger.h,
	  build/msvc8/data/draggerDefaults/pointLightDragger.h,
	  build/msvc8/data/draggerDefaults/rotateCylindricalDragger.h,
	  build/msvc8/data/draggerDefaults/rotateDiscDragger.h,
	  build/msvc8/data/draggerDefaults/rotateSphericalDragger.h,
	  build/msvc8/data/draggerDefaults/scale1Dragger.h,
	  build/msvc8/data/draggerDefaults/scale2Dragger.h,
	  build/msvc8/data/draggerDefaults/scale2UniformDragger.h,
	  build/msvc8/data/draggerDefaults/scaleUniformDragger.h,
	  build/msvc8/data/draggerDefaults/spotLightDragger.h,
	  build/msvc8/data/draggerDefaults/tabBoxDragger.h,
	  build/msvc8/data/draggerDefaults/tabPlaneDragger.h,
	  build/msvc8/data/draggerDefaults/trackballDragger.h,
	  build/msvc8/data/draggerDefaults/transformBoxDragger.h,
	  build/msvc8/data/draggerDefaults/transformerDragger.h,
	  build/msvc8/data/draggerDefaults/translate1Dragger.h,
	  build/msvc8/data/draggerDefaults/translate2Dragger.h,
	  build/msvc8/data/shaders/lights/DirSpotLight.h,
	  build/msvc8/data/shaders/lights/DirectionalLight.h,
	  build/msvc8/data/shaders/lights/PointLight.h,
	  build/msvc8/data/shaders/lights/SpotLight.h,
	  build/msvc8/data/shaders/vsm/VsmLookup.h,
	  build/msvc8/docs/coin3.doxygen, build/msvc8/src,
	  build/msvc8/src/setup.h: updated build files

2008-01-15 16:54  larsa

	* [r11682] include/Inventor/C/Makefile.am,
	  include/Inventor/system/Makefile.am, src/Make-Common.tpl,
	  src/Makefile.am: makefile updates

2008-01-15 10:56  larsa

	* [r11681] src/actions/SoSearchAction.cpp,
	  src/actions/SoToVRML2Action.cpp, src/actions/SoToVRMLAction.cpp,
	  src/elements/GL/SoGLLazyElement.cpp, src/fields/SoField.cpp,
	  src/fields/SoFieldData.cpp, src/fields/SoGlobalField.cpp,
	  src/misc/SoDebug.cpp, src/misc/SoGlyph.cpp, src/misc/SoProto.cpp,
	  src/misc/SoProtoInstance.cpp,
	  src/navigation/SoNavigationSystem.cpp: Remove use of SbName("").

2008-01-15 00:31  autosvn

	* [r11679] src/profiler/SoNodeProfiling.h: Automatic Property
	  adjustment

2008-01-14 16:06  larsa

	* [r11678] include/Inventor/SbName.h, src/base/SbName.cpp: Minor
	  optimization in empty()-signature.

2008-01-14 16:02  larsa

	* [r11677] include/Inventor/SbName.h, src/base/SbName.cpp: New
	  static function SbName::empty()

2008-01-14 14:47  larsa

	* [r11676] src/profiler/SoNodeProfiling.h: simplify, don't
	  glFinish() for other than SoGLRenderAction traversals

2008-01-14 12:32  larsa

	* [r11675] src/actions/SoAction.cpp, src/misc/SoDB.cpp,
	  src/profiler/Makefile.am, src/profiler/Makefile.in,
	  src/profiler/SoProfilerStatsElement.cpp,
	  src/profiler/SoProfilerStatsElement.h,
	  src/profiler/all-profiler-cpp.cpp: remove unused element

2008-01-14 12:03  larsa

	* [r11674] src/actions/SoAction.cpp, src/nodes/SoGroup.cpp,
	  src/nodes/SoNode.cpp, src/nodes/SoSeparator.cpp,
	  src/profiler/SoNodeProfiling.h,
	  src/profiler/SoProfilerElement.cpp: profiling code refactoring

2008-01-11 15:57  larsa

	* [r11672] src/profiler/todo.txt: added idea. scrapped all names
	  since that window has closed.

2008-01-11 15:17  larsa

	* [r11671] src/profiler/SoProfilerStats.cpp: remove debug message

2008-01-11 15:13  larsa

	* [r11670] src/profiler/SoProfilerElement.cpp,
	  src/profiler/todo.txt: note about unwanted names, and todo-list
	  update

2008-01-11 14:48  larsa

	* [r11669] src/actions/SoAction.cpp, src/nodes/SoGroup.cpp,
	  src/nodes/SoNode.cpp, src/nodes/SoSeparator.cpp,
	  src/profiler/SoProfiler.cpp, src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h,
	  src/profiler/SoProfilerStats.cpp: implement profiling stats by
	  named nodes in addition to by node types

2008-01-11 14:07  bfg

	* [r11668]
	  include/Inventor/annex/Profiler/nodekits/SoProfilerTopKit.h:
	  Bugfix.

2008-01-11 13:56  larsa

	* [r11667] src/Makefile.am, src/Makefile.in: unix build fix

2008-01-10 00:31  autosvn

	* [r11665] src/actions/SoActionP.h: Automatic Property adjustment

2008-01-09 14:47  larsa

	* [r11664] src/base/SbViewportRegion.cpp,
	  src/nodekits/SoBaseKit.cpp: updated copyright lines

2008-01-09 14:27  larsa

	* [r11663] src/actions/SoActionP.h: compile fix

2008-01-09 14:20  larsa

	* [r11662] Makefile.in, aclocal.m4, bin/Makefile.in, configure,
	  data/Makefile.in, data/draggerDefaults/Makefile.in,
	  data/shaders/Makefile.in, data/shaders/lights/Makefile.in,
	  data/shaders/vsm/Makefile.in, html/Makefile.in,
	  include/Inventor/C/Makefile.in,
	  include/Inventor/C/XML/Makefile.in,
	  include/Inventor/C/base/Makefile.in,
	  include/Inventor/C/errors/Makefile.in,
	  include/Inventor/C/glue/Makefile.in,
	  include/Inventor/C/threads/Makefile.in,
	  include/Inventor/MPEG/Makefile.in, include/Inventor/Makefile.in,
	  include/Inventor/VRMLnodes/Makefile.in,
	  include/Inventor/XML/Makefile.in,
	  include/Inventor/actions/Makefile.in,
	  include/Inventor/annex/FXViz/Makefile.in,
	  include/Inventor/annex/FXViz/elements/Makefile.in,
	  include/Inventor/annex/FXViz/nodes/Makefile.in,
	  include/Inventor/annex/ForeignFiles/Makefile.in,
	  include/Inventor/annex/HardCopy/Makefile.in,
	  include/Inventor/annex/Makefile.in,
	  include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/elements/Makefile.in,
	  include/Inventor/annex/Profiler/engines/Makefile.in,
	  include/Inventor/annex/Profiler/nodekits/Makefile.in,
	  include/Inventor/annex/Profiler/nodes/Makefile.in,
	  include/Inventor/bundles/Makefile.in,
	  include/Inventor/caches/Makefile.in,
	  include/Inventor/collision/Makefile.in,
	  include/Inventor/details/Makefile.in,
	  include/Inventor/draggers/Makefile.in,
	  include/Inventor/elements/Makefile.in,
	  include/Inventor/engines/Makefile.in,
	  include/Inventor/errors/Makefile.in,
	  include/Inventor/events/Makefile.in,
	  include/Inventor/fields/Makefile.in,
	  include/Inventor/lists/Makefile.in,
	  include/Inventor/lock/Makefile.in,
	  include/Inventor/manips/Makefile.in,
	  include/Inventor/misc/Makefile.in,
	  include/Inventor/navigation/Makefile.in,
	  include/Inventor/nodekits/Makefile.in,
	  include/Inventor/nodes/Makefile.in,
	  include/Inventor/projectors/Makefile.in,
	  include/Inventor/sensors/Makefile.in,
	  include/Inventor/system/Makefile.in,
	  include/Inventor/threads/Makefile.in,
	  include/Inventor/tools/Makefile.in, include/Makefile.in,
	  man/Makefile.in, man/man1/Makefile.in, man/man3/Makefile.in,
	  src/3ds/Makefile.in, src/Makefile.in, src/actions/Makefile.in,
	  src/base/Makefile.in, src/bundles/Makefile.in,
	  src/caches/Makefile.in, src/collision/Makefile.in,
	  src/details/Makefile.in, src/draggers/Makefile.in,
	  src/elements/GL/Makefile.in, src/elements/Makefile.in,
	  src/engines/Makefile.in, src/errors/Makefile.in,
	  src/events/Makefile.in, src/extensions/Makefile.in,
	  src/fields/Makefile.in, src/fonts/Makefile.in,
	  src/foreignfiles/Makefile.in, src/geo/Makefile.in,
	  src/glue/Makefile.in, src/hardcopy/Makefile.in,
	  src/io/Makefile.in, src/lists/Makefile.in,
	  src/manips/Makefile.in, src/misc/Makefile.in,
	  src/mpeg/Makefile.in, src/navigation/Makefile.in,
	  src/nodekits/Makefile.in, src/nodes/Makefile.in,
	  src/profiler/Makefile.in, src/projectors/Makefile.in,
	  src/sensors/Makefile.in, src/shaders/Makefile.in,
	  src/shadows/Makefile.in, src/shapenodes/Makefile.in,
	  src/threads/Makefile.in, src/upgraders/Makefile.in,
	  src/vrml97/Makefile.in, src/xml/Makefile.in,
	  src/xml/expat/Makefile.in: bootstrap

2008-01-09 14:19  larsa

	* [r11661] src/actions/Makefile.am: additional private header

2008-01-09 14:19  larsa

	* [r11660] src/misc/SoDBP.h: integration code for the scene
	  profiler

2008-01-09 14:18  larsa

	* [r11659] include/Inventor/nodes/SoSeparator.h,
	  src/actions/SoAction.cpp, src/actions/SoActionP.h,
	  src/actions/SoGLRenderAction.cpp, src/misc/SoDB.cpp,
	  src/nodes/SoGroup.cpp, src/nodes/SoNode.cpp,
	  src/nodes/SoSeparator.cpp: integration code for the scene
	  profiler

2008-01-09 12:50  larsa

	* [r11658] src/io/SoInput.cpp: remove FIXME on API design decision
	  not up for discussion

2008-01-09 00:31  autosvn

	* [r11656] include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/SoProfiler.h,
	  include/Inventor/annex/Profiler/elements/Makefile.in,
	  include/Inventor/annex/Profiler/engines/Makefile.in,
	  include/Inventor/annex/Profiler/engines/SoProfilerTopEngine.h,
	  include/Inventor/annex/Profiler/nodekits/Makefile.in,
	  include/Inventor/annex/Profiler/nodekits/SoNodeVisualize.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerOverlayKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerTopKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerVisualizeKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoScrollingGraphKit.h,
	  include/Inventor/annex/Profiler/nodes/Makefile.in,
	  include/Inventor/annex/Profiler/nodes/SoProfilerStats.h,
	  src/profiler/Makefile.in, src/profiler/SbProfilingData.cpp,
	  src/profiler/SbProfilingData.h, src/profiler/SoNodeVisualize.cpp,
	  src/profiler/SoProfiler.cpp, src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h,
	  src/profiler/SoProfilerOverlayKit.cpp,
	  src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilerStatsElement.cpp,
	  src/profiler/SoProfilerStatsElement.h,
	  src/profiler/SoProfilerTopEngine.cpp,
	  src/profiler/SoProfilerTopKit.cpp,
	  src/profiler/SoProfilerVisualizeKit.cpp,
	  src/profiler/SoScrollingGraphKit.cpp,
	  src/profiler/all-profiler-cpp.cpp, src/profiler/todo.txt,
	  src/profiler/tools/inline_texture.cpp,
	  src/profiler/tools/inventify_texturenames.sh: Automatic Property
	  adjustment

2008-01-08 17:43  larsa

	* [r11655] src/vrml97/JS_VRMLClasses.cpp: compile fix

2008-01-08 16:43  larsa

	* [r11654] src/nodes/SoSubNodeP.h: macro for using new COIN_3_0
	  enum

2008-01-08 16:12  larsa

	* [r11653] include/Inventor/annex/Makefile.am: include Profiler
	  subdir

2008-01-08 16:12  larsa

	* [r11652] src/Makefile.am: remove some AM_CONDITIONAL use, include
	  profiling-subdir, cosmetics

2008-01-08 16:10  larsa

	* [r11651] src/vrml97/JS_VRMLClasses.cpp,
	  src/vrml97/all-vrml97-cpp.cpp: additional conditionals for
	  HAVE_VRML97

2008-01-08 16:08  larsa

	* [r11650] src/profiler/Makefile.am,
	  src/profiler/SbProfilingData.cpp, src/profiler/SbProfilingData.h,
	  src/profiler/SoNodeVisualize.cpp, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h,
	  src/profiler/SoProfilerOverlayKit.cpp,
	  src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilerStatsElement.cpp,
	  src/profiler/SoProfilerStatsElement.h,
	  src/profiler/SoProfilerTopEngine.cpp,
	  src/profiler/SoProfilerTopKit.cpp,
	  src/profiler/SoProfilerVisualizeKit.cpp,
	  src/profiler/SoScrollingGraphKit.cpp,
	  src/profiler/all-profiler-cpp.cpp, src/profiler/inventormaps.cpp,
	  src/profiler/inventormaps.icc: conditional build on
	  HAVE_SCENE_PROFILING

2008-01-08 15:57  larsa

	* [r11649] src/discard.h.in, src/setup.h.in: new setup-define
	  HAVE_SCENE_PROFILING

2008-01-08 15:56  larsa

	* [r11648] configure.ac: option for disabling scene-profiling,
	  --enable-hacking-fix for xml, remove unneeded AM_CONDITIONAL
	  related to VRLM97 support

2008-01-08 14:55  larsa

	* [r11647] include/Inventor/annex/Profiler,
	  include/Inventor/annex/Profiler/Makefile.am,
	  include/Inventor/annex/Profiler/Makefile.in,
	  include/Inventor/annex/Profiler/SoProfiler.h,
	  include/Inventor/annex/Profiler/elements,
	  include/Inventor/annex/Profiler/elements/Makefile.am,
	  include/Inventor/annex/Profiler/elements/Makefile.in,
	  include/Inventor/annex/Profiler/engines,
	  include/Inventor/annex/Profiler/engines/Makefile.am,
	  include/Inventor/annex/Profiler/engines/Makefile.in,
	  include/Inventor/annex/Profiler/engines/SoProfilerTopEngine.h,
	  include/Inventor/annex/Profiler/nodekits,
	  include/Inventor/annex/Profiler/nodekits/Makefile.am,
	  include/Inventor/annex/Profiler/nodekits/Makefile.in,
	  include/Inventor/annex/Profiler/nodekits/SoNodeVisualize.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerOverlayKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerTopKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoProfilerVisualizeKit.h,
	  include/Inventor/annex/Profiler/nodekits/SoScrollingGraphKit.h,
	  include/Inventor/annex/Profiler/nodes,
	  include/Inventor/annex/Profiler/nodes/Makefile.am,
	  include/Inventor/annex/Profiler/nodes/Makefile.in,
	  include/Inventor/annex/Profiler/nodes/SoProfilerStats.h,
	  src/profiler, src/profiler/Makefile.am, src/profiler/Makefile.in,
	  src/profiler/SbProfilingData.cpp, src/profiler/SbProfilingData.h,
	  src/profiler/SoNodeVisualize.cpp, src/profiler/SoProfiler.cpp,
	  src/profiler/SoProfilerElement.cpp,
	  src/profiler/SoProfilerElement.h,
	  src/profiler/SoProfilerOverlayKit.cpp,
	  src/profiler/SoProfilerStats.cpp,
	  src/profiler/SoProfilerStatsElement.cpp,
	  src/profiler/SoProfilerStatsElement.h,
	  src/profiler/SoProfilerTopEngine.cpp,
	  src/profiler/SoProfilerTopKit.cpp,
	  src/profiler/SoProfilerVisualizeKit.cpp,
	  src/profiler/SoScrollingGraphKit.cpp,
	  src/profiler/all-profiler-cpp.cpp, src/profiler/inventormaps.cpp,
	  src/profiler/test-data,
	  src/profiler/test-data/structure-types.iv, src/profiler/todo.txt,
	  src/profiler/tools, src/profiler/tools/inline_texture.cpp,
	  src/profiler/tools/inventify_texturenames.sh: port of the
	  exclusive code to the scene-profiler branch

2008-01-08 14:27  larsa

	* [r11646] include/Inventor/elements/SoAccumulatedElement.h: be
	  explicit about virtual status

2008-01-08 14:26  larsa

	* [r11645] include/Inventor/nodes/SoNode.h: enum-value for Coin 3.0
	  tag

2008-01-08 13:58  bfg

	* [r11644] include/Inventor/draggers/SoDragger.h: Documenting
	  SoDraggerCB.

2008-01-03 12:49  frodo

	* [r11630] src/collision/SoIntersectionDetectionAction.cpp: make
	  sure center of scale is specified when adding slack to bounding
	  box. Patch by Jan Peciva

2008-01-02 12:59  larsa

	* [r11628] build/msvc6/include/Inventor/C/basic.h,
	  build/msvc6/include/Inventor/system/gl-headers.h,
	  build/msvc6/include/Inventor/system/inttypes.h,
	  build/msvc7/include/Inventor/C/basic.h,
	  build/msvc7/include/Inventor/system/gl-headers.h,
	  build/msvc7/include/Inventor/system/inttypes.h,
	  build/msvc8/include/Inventor/C/basic.h,
	  build/msvc8/include/Inventor/system/gl-headers.h,
	  build/msvc8/include/Inventor/system/inttypes.h,
	  data/draggerDefaults/iv2h.sh.in, data/shaders/glsl2h.sh.in,
	  examples/bindings/CoinQtWidget.cpp,
	  examples/bindings/CoinQtWidget.h, examples/bindings/glutiv.cpp,
	  examples/bindings/glxiv.cpp, examples/misc/ivcp.cpp,
	  include/Inventor/C/XML/attribute.h,
	  include/Inventor/C/XML/document.h,
	  include/Inventor/C/XML/element.h,
	  include/Inventor/C/XML/entity.h, include/Inventor/C/XML/parser.h,
	  include/Inventor/C/XML/path.h, include/Inventor/C/XML/types.h,
	  include/Inventor/C/XML/world.h, include/Inventor/C/base/hash.h,
	  include/Inventor/C/base/heap.h, include/Inventor/C/base/list.h,
	  include/Inventor/C/base/math-undefs.h,
	  include/Inventor/C/base/memalloc.h,
	  include/Inventor/C/base/rbptree.h,
	  include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	  include/Inventor/C/basic.h.in,
	  include/Inventor/C/errors/debugerror.h,
	  include/Inventor/C/errors/error.h, include/Inventor/C/glue/dl.h,
	  include/Inventor/C/glue/gl.h,
	  include/Inventor/C/glue/spidermonkey.h,
	  include/Inventor/C/threads/barrier.h,
	  include/Inventor/C/threads/common.h,
	  include/Inventor/C/threads/condvar.h,
	  include/Inventor/C/threads/fifo.h,
	  include/Inventor/C/threads/mutex.h,
	  include/Inventor/C/threads/recmutex.h,
	  include/Inventor/C/threads/rwmutex.h,
	  include/Inventor/C/threads/sched.h,
	  include/Inventor/C/threads/storage.h,
	  include/Inventor/C/threads/sync.h,
	  include/Inventor/C/threads/thread.h,
	  include/Inventor/C/threads/worker.h,
	  include/Inventor/C/threads/wpool.h, include/Inventor/C/tidbits.h,
	  include/Inventor/MPEG/SoMPEGFrameRenderer.h,
	  include/Inventor/MPEG/SoMPEGRenderer.h, include/Inventor/Sb.h,
	  include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h,
	  include/Inventor/SbBox.h, include/Inventor/SbBox2d.h,
	  include/Inventor/SbBox2f.h, include/Inventor/SbBox2i32.h,
	  include/Inventor/SbBox2s.h, include/Inventor/SbBox3d.h,
	  include/Inventor/SbBox3f.h, include/Inventor/SbBox3i32.h,
	  include/Inventor/SbBox3s.h, include/Inventor/SbClip.h,
	  include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	  include/Inventor/SbCylinder.h, include/Inventor/SbDPLine.h,
	  include/Inventor/SbDPLinear.h, include/Inventor/SbDPMatrix.h,
	  include/Inventor/SbDPPlane.h, include/Inventor/SbDPRotation.h,
	  include/Inventor/SbDPViewVolume.h, include/Inventor/SbDict.h,
	  include/Inventor/SbHeap.h, include/Inventor/SbImage.h,
	  include/Inventor/SbLine.h, include/Inventor/SbLinear.h,
	  include/Inventor/SbMatrix.h, include/Inventor/SbName.h,
	  include/Inventor/SbOctTree.h, include/Inventor/SbPList.h,
	  include/Inventor/SbPlane.h, include/Inventor/SbRotation.h,
	  include/Inventor/SbSphere.h, include/Inventor/SbString.h,
	  include/Inventor/SbTesselator.h, include/Inventor/SbTime.h,
	  include/Inventor/SbTypeInfo.h, include/Inventor/SbVec.h,
	  include/Inventor/SbVec2b.h, include/Inventor/SbVec2d.h,
	  include/Inventor/SbVec2f.h, include/Inventor/SbVec2i32.h,
	  include/Inventor/SbVec2s.h, include/Inventor/SbVec2ub.h,
	  include/Inventor/SbVec2ui32.h, include/Inventor/SbVec2us.h,
	  include/Inventor/SbVec3b.h, include/Inventor/SbVec3d.h,
	  include/Inventor/SbVec3f.h, include/Inventor/SbVec3i32.h,
	  include/Inventor/SbVec3s.h, include/Inventor/SbVec3ub.h,
	  include/Inventor/SbVec3ui32.h, include/Inventor/SbVec3us.h,
	  include/Inventor/SbVec4b.h, include/Inventor/SbVec4d.h,
	  include/Inventor/SbVec4f.h, include/Inventor/SbVec4i32.h,
	  include/Inventor/SbVec4s.h, include/Inventor/SbVec4ub.h,
	  include/Inventor/SbVec4ui32.h, include/Inventor/SbVec4us.h,
	  include/Inventor/SbViewVolume.h,
	  include/Inventor/SbViewportRegion.h,
	  include/Inventor/SbXfBox3d.h, include/Inventor/SbXfBox3f.h,
	  include/Inventor/So.h, include/Inventor/SoDB.h,
	  include/Inventor/SoEventManager.h, include/Inventor/SoFullPath.h,
	  include/Inventor/SoInput.h, include/Inventor/SoInteraction.h,
	  include/Inventor/SoLists.h, include/Inventor/SoNodeKitPath.h,
	  include/Inventor/SoOffscreenRenderer.h,
	  include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	  include/Inventor/SoPickedPoint.h,
	  include/Inventor/SoPrimitiveVertex.h,
	  include/Inventor/SoRenderManager.h,
	  include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	  include/Inventor/VRMLnodes/SoVRML.h,
	  include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	  include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	  include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	  include/Inventor/VRMLnodes/SoVRMLBackground.h,
	  include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	  include/Inventor/VRMLnodes/SoVRMLBox.h,
	  include/Inventor/VRMLnodes/SoVRMLCollision.h,
	  include/Inventor/VRMLnodes/SoVRMLColor.h,
	  include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLCone.h,
	  include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	  include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	  include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	  include/Inventor/VRMLnodes/SoVRMLDragSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	  include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	  include/Inventor/VRMLnodes/SoVRMLFog.h,
	  include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	  include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	  include/Inventor/VRMLnodes/SoVRMLGroup.h,
	  include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	  include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	  include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	  include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	  include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	  include/Inventor/VRMLnodes/SoVRMLInline.h,
	  include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLLOD.h,
	  include/Inventor/VRMLnodes/SoVRMLLight.h,
	  include/Inventor/VRMLnodes/SoVRMLMacros.h,
	  include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	  include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	  include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	  include/Inventor/VRMLnodes/SoVRMLNodes.h,
	  include/Inventor/VRMLnodes/SoVRMLNormal.h,
	  include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLParent.h,
	  include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	  include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	  include/Inventor/VRMLnodes/SoVRMLPointSet.h,
	  include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	  include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLScript.h,
	  include/Inventor/VRMLnodes/SoVRMLSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLShape.h,
	  include/Inventor/VRMLnodes/SoVRMLSound.h,
	  include/Inventor/VRMLnodes/SoVRMLSphere.h,
	  include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	  include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	  include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	  include/Inventor/VRMLnodes/SoVRMLText.h,
	  include/Inventor/VRMLnodes/SoVRMLTexture.h,
	  include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	  include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	  include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	  include/Inventor/VRMLnodes/SoVRMLTransform.h,
	  include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	  include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	  include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	  include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	  include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	  include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	  include/Inventor/actions/SoAction.h,
	  include/Inventor/actions/SoActions.h,
	  include/Inventor/actions/SoAudioRenderAction.h,
	  include/Inventor/actions/SoBoxHighlightRenderAction.h,
	  include/Inventor/actions/SoCallbackAction.h,
	  include/Inventor/actions/SoGLRenderAction.h,
	  include/Inventor/actions/SoGetBoundingBoxAction.h,
	  include/Inventor/actions/SoGetMatrixAction.h,
	  include/Inventor/actions/SoGetPrimitiveCountAction.h,
	  include/Inventor/actions/SoGlobalSimplifyAction.h,
	  include/Inventor/actions/SoHandleEventAction.h,
	  include/Inventor/actions/SoLineHighlightRenderAction.h,
	  include/Inventor/actions/SoPickAction.h,
	  include/Inventor/actions/SoRayPickAction.h,
	  include/Inventor/actions/SoReorganizeAction.h,
	  include/Inventor/actions/SoSearchAction.h,
	  include/Inventor/actions/SoShapeSimplifyAction.h,
	  include/Inventor/actions/SoSimplifyAction.h,
	  include/Inventor/actions/SoSubAction.h,
	  include/Inventor/actions/SoToVRML2Action.h,
	  include/Inventor/actions/SoToVRMLAction.h,
	  include/Inventor/actions/SoWriteAction.h,
	  include/Inventor/annex/FXViz/elements/SoGLShadowCullingElement.h,
	  include/Inventor/annex/FXViz/elements/SoShadowStyleElement.h,
	  include/Inventor/annex/FXViz/nodes/SoShadowCulling.h,
	  include/Inventor/annex/FXViz/nodes/SoShadowGroup.h,
	  include/Inventor/annex/FXViz/nodes/SoShadowStyle.h,
	  include/Inventor/annex/ForeignFiles/SoForeignFileKit.h,
	  include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	  include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoHardCopy.h,
	  include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoVectorOutput.h,
	  include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	  include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	  include/Inventor/bundles/SoBundle.h,
	  include/Inventor/bundles/SoMaterialBundle.h,
	  include/Inventor/bundles/SoNormalBundle.h,
	  include/Inventor/bundles/SoTextureCoordinateBundle.h,
	  include/Inventor/caches/SoBoundingBoxCache.h,
	  include/Inventor/caches/SoCache.h,
	  include/Inventor/caches/SoConvexDataCache.h,
	  include/Inventor/caches/SoGLCacheList.h,
	  include/Inventor/caches/SoGLRenderCache.h,
	  include/Inventor/caches/SoNormalCache.h,
	  include/Inventor/caches/SoTextureCoordinateCache.h,
	  include/Inventor/collision/SoIntersectionDetectionAction.h,
	  include/Inventor/details/SoConeDetail.h,
	  include/Inventor/details/SoCubeDetail.h,
	  include/Inventor/details/SoCylinderDetail.h,
	  include/Inventor/details/SoDetail.h,
	  include/Inventor/details/SoDetails.h,
	  include/Inventor/details/SoFaceDetail.h,
	  include/Inventor/details/SoLineDetail.h,
	  include/Inventor/details/SoNodeKitDetail.h,
	  include/Inventor/details/SoPointDetail.h,
	  include/Inventor/details/SoSubDetail.h,
	  include/Inventor/details/SoTextDetail.h,
	  include/Inventor/draggers/SoCenterballDragger.h,
	  include/Inventor/draggers/SoDirectionalLightDragger.h,
	  include/Inventor/draggers/SoDragPointDragger.h,
	  include/Inventor/draggers/SoDragger.h,
	  include/Inventor/draggers/SoHandleBoxDragger.h,
	  include/Inventor/draggers/SoJackDragger.h,
	  include/Inventor/draggers/SoPointLightDragger.h,
	  include/Inventor/draggers/SoRotateCylindricalDragger.h,
	  include/Inventor/draggers/SoRotateDiscDragger.h,
	  include/Inventor/draggers/SoRotateSphericalDragger.h,
	  include/Inventor/draggers/SoScale1Dragger.h,
	  include/Inventor/draggers/SoScale2Dragger.h,
	  include/Inventor/draggers/SoScale2UniformDragger.h,
	  include/Inventor/draggers/SoScaleUniformDragger.h,
	  include/Inventor/draggers/SoSpotLightDragger.h,
	  include/Inventor/draggers/SoTabBoxDragger.h,
	  include/Inventor/draggers/SoTabPlaneDragger.h,
	  include/Inventor/draggers/SoTrackballDragger.h,
	  include/Inventor/draggers/SoTransformBoxDragger.h,
	  include/Inventor/draggers/SoTransformerDragger.h,
	  include/Inventor/draggers/SoTranslate1Dragger.h,
	  include/Inventor/draggers/SoTranslate2Dragger.h,
	  include/Inventor/elements/SoAccumulatedElement.h,
	  include/Inventor/elements/SoAmbientColorElement.h,
	  include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	  include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	  include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	  include/Inventor/elements/SoBBoxModelMatrixElement.h,
	  include/Inventor/elements/SoBumpMapCoordinateElement.h,
	  include/Inventor/elements/SoBumpMapElement.h,
	  include/Inventor/elements/SoBumpMapMatrixElement.h,
	  include/Inventor/elements/SoCacheElement.h,
	  include/Inventor/elements/SoCacheHintElement.h,
	  include/Inventor/elements/SoClipPlaneElement.h,
	  include/Inventor/elements/SoComplexityElement.h,
	  include/Inventor/elements/SoComplexityTypeElement.h,
	  include/Inventor/elements/SoCoordinateElement.h,
	  include/Inventor/elements/SoCreaseAngleElement.h,
	  include/Inventor/elements/SoCullElement.h,
	  include/Inventor/elements/SoDecimationPercentageElement.h,
	  include/Inventor/elements/SoDecimationTypeElement.h,
	  include/Inventor/elements/SoDiffuseColorElement.h,
	  include/Inventor/elements/SoDrawStyleElement.h,
	  include/Inventor/elements/SoElement.h,
	  include/Inventor/elements/SoElements.h,
	  include/Inventor/elements/SoEmissiveColorElement.h,
	  include/Inventor/elements/SoEnvironmentElement.h,
	  include/Inventor/elements/SoFloatElement.h,
	  include/Inventor/elements/SoFocalDistanceElement.h,
	  include/Inventor/elements/SoFontNameElement.h,
	  include/Inventor/elements/SoFontSizeElement.h,
	  include/Inventor/elements/SoGLCacheContextElement.h,
	  include/Inventor/elements/SoGLClipPlaneElement.h,
	  include/Inventor/elements/SoGLColorIndexElement.h,
	  include/Inventor/elements/SoGLCoordinateElement.h,
	  include/Inventor/elements/SoGLDisplayList.h,
	  include/Inventor/elements/SoGLDrawStyleElement.h,
	  include/Inventor/elements/SoGLEnvironmentElement.h,
	  include/Inventor/elements/SoGLLazyElement.h,
	  include/Inventor/elements/SoGLLightIdElement.h,
	  include/Inventor/elements/SoGLLinePatternElement.h,
	  include/Inventor/elements/SoGLLineWidthElement.h,
	  include/Inventor/elements/SoGLModelMatrixElement.h,
	  include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	  include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	  include/Inventor/elements/SoGLMultiTextureImageElement.h,
	  include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	  include/Inventor/elements/SoGLNormalElement.h,
	  include/Inventor/elements/SoGLNormalizeElement.h,
	  include/Inventor/elements/SoGLPointSizeElement.h,
	  include/Inventor/elements/SoGLPolygonOffsetElement.h,
	  include/Inventor/elements/SoGLProjectionMatrixElement.h,
	  include/Inventor/elements/SoGLRenderPassElement.h,
	  include/Inventor/elements/SoGLShadeModelElement.h,
	  include/Inventor/elements/SoGLShaderProgramElement.h,
	  include/Inventor/elements/SoGLShapeHintsElement.h,
	  include/Inventor/elements/SoGLTexture3EnabledElement.h,
	  include/Inventor/elements/SoGLTextureCoordinateElement.h,
	  include/Inventor/elements/SoGLTextureEnabledElement.h,
	  include/Inventor/elements/SoGLTextureImageElement.h,
	  include/Inventor/elements/SoGLTextureMatrixElement.h,
	  include/Inventor/elements/SoGLUpdateAreaElement.h,
	  include/Inventor/elements/SoGLVBOElement.h,
	  include/Inventor/elements/SoGLViewingMatrixElement.h,
	  include/Inventor/elements/SoGLViewportRegionElement.h,
	  include/Inventor/elements/SoGeoElement.h,
	  include/Inventor/elements/SoInt32Element.h,
	  include/Inventor/elements/SoLazyElement.h,
	  include/Inventor/elements/SoLightAttenuationElement.h,
	  include/Inventor/elements/SoLightElement.h,
	  include/Inventor/elements/SoLightModelElement.h,
	  include/Inventor/elements/SoLinePatternElement.h,
	  include/Inventor/elements/SoLineWidthElement.h,
	  include/Inventor/elements/SoListenerDopplerElement.h,
	  include/Inventor/elements/SoListenerGainElement.h,
	  include/Inventor/elements/SoListenerOrientationElement.h,
	  include/Inventor/elements/SoListenerPositionElement.h,
	  include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	  include/Inventor/elements/SoLongElement.h,
	  include/Inventor/elements/SoMaterialBindingElement.h,
	  include/Inventor/elements/SoModelMatrixElement.h,
	  include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	  include/Inventor/elements/SoMultiTextureEnabledElement.h,
	  include/Inventor/elements/SoMultiTextureImageElement.h,
	  include/Inventor/elements/SoMultiTextureMatrixElement.h,
	  include/Inventor/elements/SoNormalBindingElement.h,
	  include/Inventor/elements/SoNormalElement.h,
	  include/Inventor/elements/SoOverrideElement.h,
	  include/Inventor/elements/SoPickRayElement.h,
	  include/Inventor/elements/SoPickStyleElement.h,
	  include/Inventor/elements/SoPointSizeElement.h,
	  include/Inventor/elements/SoPolygonOffsetElement.h,
	  include/Inventor/elements/SoProfileCoordinateElement.h,
	  include/Inventor/elements/SoProfileElement.h,
	  include/Inventor/elements/SoProjectionMatrixElement.h,
	  include/Inventor/elements/SoReplacedElement.h,
	  include/Inventor/elements/SoShapeHintsElement.h,
	  include/Inventor/elements/SoShapeStyleElement.h,
	  include/Inventor/elements/SoShininessElement.h,
	  include/Inventor/elements/SoSoundElement.h,
	  include/Inventor/elements/SoSpecularColorElement.h,
	  include/Inventor/elements/SoSubElement.h,
	  include/Inventor/elements/SoSwitchElement.h,
	  include/Inventor/elements/SoTextOutlineEnabledElement.h,
	  include/Inventor/elements/SoTexture3EnabledElement.h,
	  include/Inventor/elements/SoTextureCombineElement.h,
	  include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	  include/Inventor/elements/SoTextureCoordinateElement.h,
	  include/Inventor/elements/SoTextureEnabledElement.h,
	  include/Inventor/elements/SoTextureImageElement.h,
	  include/Inventor/elements/SoTextureMatrixElement.h,
	  include/Inventor/elements/SoTextureOverrideElement.h,
	  include/Inventor/elements/SoTextureQualityElement.h,
	  include/Inventor/elements/SoTextureUnitElement.h,
	  include/Inventor/elements/SoTransparencyElement.h,
	  include/Inventor/elements/SoUnitsElement.h,
	  include/Inventor/elements/SoViewVolumeElement.h,
	  include/Inventor/elements/SoViewingMatrixElement.h,
	  include/Inventor/elements/SoViewportRegionElement.h,
	  include/Inventor/elements/SoWindowElement.h,
	  include/Inventor/engines/SoBoolOperation.h,
	  include/Inventor/engines/SoCalculator.h,
	  include/Inventor/engines/SoCompose.h,
	  include/Inventor/engines/SoComposeMatrix.h,
	  include/Inventor/engines/SoComposeRotation.h,
	  include/Inventor/engines/SoComposeRotationFromTo.h,
	  include/Inventor/engines/SoComposeVec2f.h,
	  include/Inventor/engines/SoComposeVec3f.h,
	  include/Inventor/engines/SoComposeVec4f.h,
	  include/Inventor/engines/SoComputeBoundingBox.h,
	  include/Inventor/engines/SoConcatenate.h,
	  include/Inventor/engines/SoCounter.h,
	  include/Inventor/engines/SoDecomposeMatrix.h,
	  include/Inventor/engines/SoDecomposeRotation.h,
	  include/Inventor/engines/SoDecomposeVec2f.h,
	  include/Inventor/engines/SoDecomposeVec3f.h,
	  include/Inventor/engines/SoDecomposeVec4f.h,
	  include/Inventor/engines/SoElapsedTime.h,
	  include/Inventor/engines/SoEngine.h,
	  include/Inventor/engines/SoEngineOutput.h,
	  include/Inventor/engines/SoEngines.h,
	  include/Inventor/engines/SoFieldConverter.h,
	  include/Inventor/engines/SoGate.h,
	  include/Inventor/engines/SoInterpolate.h,
	  include/Inventor/engines/SoInterpolateFloat.h,
	  include/Inventor/engines/SoInterpolateRotation.h,
	  include/Inventor/engines/SoInterpolateVec2f.h,
	  include/Inventor/engines/SoInterpolateVec3f.h,
	  include/Inventor/engines/SoInterpolateVec4f.h,
	  include/Inventor/engines/SoNodeEngine.h,
	  include/Inventor/engines/SoOnOff.h,
	  include/Inventor/engines/SoOneShot.h,
	  include/Inventor/engines/SoOutputData.h,
	  include/Inventor/engines/SoSelectOne.h,
	  include/Inventor/engines/SoSubEngine.h,
	  include/Inventor/engines/SoSubNodeEngine.h,
	  include/Inventor/engines/SoTimeCounter.h,
	  include/Inventor/engines/SoTransformVec3f.h,
	  include/Inventor/engines/SoTriggerAny.h,
	  include/Inventor/errors/SoDebugError.h,
	  include/Inventor/errors/SoError.h,
	  include/Inventor/errors/SoErrors.h,
	  include/Inventor/errors/SoMemoryError.h,
	  include/Inventor/errors/SoReadError.h,
	  include/Inventor/events/SoButtonEvent.h,
	  include/Inventor/events/SoEvent.h,
	  include/Inventor/events/SoEvents.h,
	  include/Inventor/events/SoKeyboardEvent.h,
	  include/Inventor/events/SoLocation2Event.h,
	  include/Inventor/events/SoMotion3Event.h,
	  include/Inventor/events/SoMouseButtonEvent.h,
	  include/Inventor/events/SoSpaceballButtonEvent.h,
	  include/Inventor/events/SoSubEvent.h,
	  include/Inventor/fields/SFNodeAndEngine.tpl,
	  include/Inventor/fields/SoField.h,
	  include/Inventor/fields/SoFieldContainer.h,
	  include/Inventor/fields/SoFieldData.h,
	  include/Inventor/fields/SoFields.h,
	  include/Inventor/fields/SoMFBitMask.h,
	  include/Inventor/fields/SoMFBool.h,
	  include/Inventor/fields/SoMFColor.h,
	  include/Inventor/fields/SoMFColorRGBA.h,
	  include/Inventor/fields/SoMFDouble.h,
	  include/Inventor/fields/SoMFEngine.h,
	  include/Inventor/fields/SoMFEnum.h,
	  include/Inventor/fields/SoMFFloat.h,
	  include/Inventor/fields/SoMFInt32.h,
	  include/Inventor/fields/SoMFLong.h,
	  include/Inventor/fields/SoMFMatrix.h,
	  include/Inventor/fields/SoMFName.h,
	  include/Inventor/fields/SoMFNode.h,
	  include/Inventor/fields/SoMFPath.h,
	  include/Inventor/fields/SoMFPlane.h,
	  include/Inventor/fields/SoMFRotation.h,
	  include/Inventor/fields/SoMFShort.h,
	  include/Inventor/fields/SoMFString.h,
	  include/Inventor/fields/SoMFTime.h,
	  include/Inventor/fields/SoMFUInt32.h,
	  include/Inventor/fields/SoMFULong.h,
	  include/Inventor/fields/SoMFUShort.h,
	  include/Inventor/fields/SoMFVec2b.h,
	  include/Inventor/fields/SoMFVec2d.h,
	  include/Inventor/fields/SoMFVec2f.h,
	  include/Inventor/fields/SoMFVec2i32.h,
	  include/Inventor/fields/SoMFVec2s.h,
	  include/Inventor/fields/SoMFVec3b.h,
	  include/Inventor/fields/SoMFVec3d.h,
	  include/Inventor/fields/SoMFVec3f.h,
	  include/Inventor/fields/SoMFVec3i32.h,
	  include/Inventor/fields/SoMFVec3s.h,
	  include/Inventor/fields/SoMFVec4b.h,
	  include/Inventor/fields/SoMFVec4d.h,
	  include/Inventor/fields/SoMFVec4f.h,
	  include/Inventor/fields/SoMFVec4i32.h,
	  include/Inventor/fields/SoMFVec4s.h,
	  include/Inventor/fields/SoMFVec4ub.h,
	  include/Inventor/fields/SoMFVec4ui32.h,
	  include/Inventor/fields/SoMFVec4us.h,
	  include/Inventor/fields/SoMField.h,
	  include/Inventor/fields/SoSFBitMask.h,
	  include/Inventor/fields/SoSFBool.h,
	  include/Inventor/fields/SoSFBox2d.h,
	  include/Inventor/fields/SoSFBox2f.h,
	  include/Inventor/fields/SoSFBox2i32.h,
	  include/Inventor/fields/SoSFBox2s.h,
	  include/Inventor/fields/SoSFBox3d.h,
	  include/Inventor/fields/SoSFBox3f.h,
	  include/Inventor/fields/SoSFBox3i32.h,
	  include/Inventor/fields/SoSFBox3s.h,
	  include/Inventor/fields/SoSFColor.h,
	  include/Inventor/fields/SoSFColorRGBA.h,
	  include/Inventor/fields/SoSFDouble.h,
	  include/Inventor/fields/SoSFEngine.h,
	  include/Inventor/fields/SoSFEnum.h,
	  include/Inventor/fields/SoSFFloat.h,
	  include/Inventor/fields/SoSFImage.h,
	  include/Inventor/fields/SoSFImage3.h,
	  include/Inventor/fields/SoSFInt32.h,
	  include/Inventor/fields/SoSFLong.h,
	  include/Inventor/fields/SoSFMatrix.h,
	  include/Inventor/fields/SoSFName.h,
	  include/Inventor/fields/SoSFNode.h,
	  include/Inventor/fields/SoSFPath.h,
	  include/Inventor/fields/SoSFPlane.h,
	  include/Inventor/fields/SoSFRotation.h,
	  include/Inventor/fields/SoSFShort.h,
	  include/Inventor/fields/SoSFString.h,
	  include/Inventor/fields/SoSFTime.h,
	  include/Inventor/fields/SoSFTrigger.h,
	  include/Inventor/fields/SoSFUInt32.h,
	  include/Inventor/fields/SoSFULong.h,
	  include/Inventor/fields/SoSFUShort.h,
	  include/Inventor/fields/SoSFVec2b.h,
	  include/Inventor/fields/SoSFVec2d.h,
	  include/Inventor/fields/SoSFVec2f.h,
	  include/Inventor/fields/SoSFVec2i32.h,
	  include/Inventor/fields/SoSFVec2s.h,
	  include/Inventor/fields/SoSFVec3b.h,
	  include/Inventor/fields/SoSFVec3d.h,
	  include/Inventor/fields/SoSFVec3f.h,
	  include/Inventor/fields/SoSFVec3i32.h,
	  include/Inventor/fields/SoSFVec3s.h,
	  include/Inventor/fields/SoSFVec4b.h,
	  include/Inventor/fields/SoSFVec4d.h,
	  include/Inventor/fields/SoSFVec4f.h,
	  include/Inventor/fields/SoSFVec4i32.h,
	  include/Inventor/fields/SoSFVec4s.h,
	  include/Inventor/fields/SoSFVec4ub.h,
	  include/Inventor/fields/SoSFVec4ui32.h,
	  include/Inventor/fields/SoSFVec4us.h,
	  include/Inventor/fields/SoSField.h,
	  include/Inventor/fields/SoSubField.h,
	  include/Inventor/lists/SbIntList.h,
	  include/Inventor/lists/SbList.h,
	  include/Inventor/lists/SbPList.h,
	  include/Inventor/lists/SbStringList.h,
	  include/Inventor/lists/SbVec3fList.h,
	  include/Inventor/lists/SoActionMethodList.h,
	  include/Inventor/lists/SoAuditorList.h,
	  include/Inventor/lists/SoBaseList.h,
	  include/Inventor/lists/SoCallbackList.h,
	  include/Inventor/lists/SoDetailList.h,
	  include/Inventor/lists/SoEnabledElementsList.h,
	  include/Inventor/lists/SoEngineList.h,
	  include/Inventor/lists/SoEngineOutputList.h,
	  include/Inventor/lists/SoFieldList.h,
	  include/Inventor/lists/SoNodeList.h,
	  include/Inventor/lists/SoPathList.h,
	  include/Inventor/lists/SoPickedPointList.h,
	  include/Inventor/lists/SoTypeList.h,
	  include/Inventor/lock/SoLockMgr.h,
	  include/Inventor/manips/SoCenterballManip.h,
	  include/Inventor/manips/SoClipPlaneManip.h,
	  include/Inventor/manips/SoDirectionalLightManip.h,
	  include/Inventor/manips/SoHandleBoxManip.h,
	  include/Inventor/manips/SoJackManip.h,
	  include/Inventor/manips/SoPointLightManip.h,
	  include/Inventor/manips/SoSpotLightManip.h,
	  include/Inventor/manips/SoTabBoxManip.h,
	  include/Inventor/manips/SoTrackballManip.h,
	  include/Inventor/manips/SoTransformBoxManip.h,
	  include/Inventor/manips/SoTransformManip.h,
	  include/Inventor/manips/SoTransformerManip.h,
	  include/Inventor/misc/SoAudioDevice.h,
	  include/Inventor/misc/SoAuditorList.h,
	  include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	  include/Inventor/misc/SoByteStream.h,
	  include/Inventor/misc/SoCallbackList.h,
	  include/Inventor/misc/SoChildList.h,
	  include/Inventor/misc/SoContextHandler.h,
	  include/Inventor/misc/SoGLBigImage.h,
	  include/Inventor/misc/SoGLCubeMapImage.h,
	  include/Inventor/misc/SoGLImage.h,
	  include/Inventor/misc/SoGlyph.h,
	  include/Inventor/misc/SoJavaScriptEngine.h,
	  include/Inventor/misc/SoLightPath.h,
	  include/Inventor/misc/SoNormalGenerator.h,
	  include/Inventor/misc/SoNotRec.h,
	  include/Inventor/misc/SoNotification.h,
	  include/Inventor/misc/SoProto.h,
	  include/Inventor/misc/SoProtoInstance.h,
	  include/Inventor/misc/SoScriptEngine.h,
	  include/Inventor/misc/SoState.h,
	  include/Inventor/misc/SoTempPath.h,
	  include/Inventor/misc/SoTranReceiver.h,
	  include/Inventor/misc/SoTranSender.h,
	  include/Inventor/misc/SoTranscribe.h,
	  include/Inventor/navigation/SoCenterMode.h,
	  include/Inventor/navigation/SoIdleMode.h,
	  include/Inventor/navigation/SoNavigation.h,
	  include/Inventor/navigation/SoNavigationControl.h,
	  include/Inventor/navigation/SoNavigationMode.h,
	  include/Inventor/navigation/SoNavigationState.h,
	  include/Inventor/navigation/SoNavigationSystem.h,
	  include/Inventor/navigation/SoNavigationVehicle.h,
	  include/Inventor/navigation/SoOrthoCenterMode.h,
	  include/Inventor/navigation/SoPanMode.h,
	  include/Inventor/navigation/SoPickMode.h,
	  include/Inventor/navigation/SoPitchMode.h,
	  include/Inventor/navigation/SoRollMode.h,
	  include/Inventor/navigation/SoRotateMode.h,
	  include/Inventor/navigation/SoSubMode.h,
	  include/Inventor/navigation/SoYawMode.h,
	  include/Inventor/navigation/SoZoomMode.h,
	  include/Inventor/nodekits/SoAppearanceKit.h,
	  include/Inventor/nodekits/SoBaseKit.h,
	  include/Inventor/nodekits/SoCameraKit.h,
	  include/Inventor/nodekits/SoInteractionKit.h,
	  include/Inventor/nodekits/SoLightKit.h,
	  include/Inventor/nodekits/SoNodeKit.h,
	  include/Inventor/nodekits/SoNodeKitListPart.h,
	  include/Inventor/nodekits/SoNodekitCatalog.h,
	  include/Inventor/nodekits/SoSceneKit.h,
	  include/Inventor/nodekits/SoSeparatorKit.h,
	  include/Inventor/nodekits/SoShapeKit.h,
	  include/Inventor/nodekits/SoSubKit.h,
	  include/Inventor/nodekits/SoWrapperKit.h,
	  include/Inventor/nodes/SoAnnoText3.h,
	  include/Inventor/nodes/SoAnnoText3Property.h,
	  include/Inventor/nodes/SoAnnotation.h,
	  include/Inventor/nodes/SoAntiSquish.h,
	  include/Inventor/nodes/SoArray.h,
	  include/Inventor/nodes/SoAsciiText.h,
	  include/Inventor/nodes/SoBaseColor.h,
	  include/Inventor/nodes/SoBlinker.h,
	  include/Inventor/nodes/SoBumpMap.h,
	  include/Inventor/nodes/SoBumpMapCoordinate.h,
	  include/Inventor/nodes/SoBumpMapTransform.h,
	  include/Inventor/nodes/SoCacheHint.h,
	  include/Inventor/nodes/SoCallback.h,
	  include/Inventor/nodes/SoCamera.h,
	  include/Inventor/nodes/SoClipPlane.h,
	  include/Inventor/nodes/SoColorIndex.h,
	  include/Inventor/nodes/SoComplexity.h,
	  include/Inventor/nodes/SoCone.h,
	  include/Inventor/nodes/SoCoordinate3.h,
	  include/Inventor/nodes/SoCoordinate4.h,
	  include/Inventor/nodes/SoCube.h,
	  include/Inventor/nodes/SoCylinder.h,
	  include/Inventor/nodes/SoDirectionalLight.h,
	  include/Inventor/nodes/SoDrawStyle.h,
	  include/Inventor/nodes/SoEnvironment.h,
	  include/Inventor/nodes/SoEventCallback.h,
	  include/Inventor/nodes/SoExtSelection.h,
	  include/Inventor/nodes/SoFaceSet.h,
	  include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	  include/Inventor/nodes/SoFontStyle.h,
	  include/Inventor/nodes/SoFragmentShader.h,
	  include/Inventor/nodes/SoFrustumCamera.h,
	  include/Inventor/nodes/SoGeoCoordinate.h,
	  include/Inventor/nodes/SoGeoLocation.h,
	  include/Inventor/nodes/SoGeoOrigin.h,
	  include/Inventor/nodes/SoGeoSeparator.h,
	  include/Inventor/nodes/SoGeometryShader.h,
	  include/Inventor/nodes/SoGroup.h,
	  include/Inventor/nodes/SoImage.h,
	  include/Inventor/nodes/SoIndexedFaceSet.h,
	  include/Inventor/nodes/SoIndexedLineSet.h,
	  include/Inventor/nodes/SoIndexedNurbsCurve.h,
	  include/Inventor/nodes/SoIndexedNurbsSurface.h,
	  include/Inventor/nodes/SoIndexedShape.h,
	  include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	  include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	  include/Inventor/nodes/SoLabel.h,
	  include/Inventor/nodes/SoLevelOfDetail.h,
	  include/Inventor/nodes/SoLight.h,
	  include/Inventor/nodes/SoLightModel.h,
	  include/Inventor/nodes/SoLineSet.h,
	  include/Inventor/nodes/SoLinearProfile.h,
	  include/Inventor/nodes/SoListener.h,
	  include/Inventor/nodes/SoLocateHighlight.h,
	  include/Inventor/nodes/SoMarkerSet.h,
	  include/Inventor/nodes/SoMaterial.h,
	  include/Inventor/nodes/SoMaterialBinding.h,
	  include/Inventor/nodes/SoMatrixTransform.h,
	  include/Inventor/nodes/SoMultipleCopy.h,
	  include/Inventor/nodes/SoNode.h,
	  include/Inventor/nodes/SoNodes.h,
	  include/Inventor/nodes/SoNonIndexedShape.h,
	  include/Inventor/nodes/SoNormal.h,
	  include/Inventor/nodes/SoNormalBinding.h,
	  include/Inventor/nodes/SoNurbsCurve.h,
	  include/Inventor/nodes/SoNurbsProfile.h,
	  include/Inventor/nodes/SoNurbsSurface.h,
	  include/Inventor/nodes/SoOrthographicCamera.h,
	  include/Inventor/nodes/SoPackedColor.h,
	  include/Inventor/nodes/SoPathSwitch.h,
	  include/Inventor/nodes/SoPattern.h,
	  include/Inventor/nodes/SoPendulum.h,
	  include/Inventor/nodes/SoPerspectiveCamera.h,
	  include/Inventor/nodes/SoPickStyle.h,
	  include/Inventor/nodes/SoPointLight.h,
	  include/Inventor/nodes/SoPointSet.h,
	  include/Inventor/nodes/SoPolygonOffset.h,
	  include/Inventor/nodes/SoProfile.h,
	  include/Inventor/nodes/SoProfileCoordinate2.h,
	  include/Inventor/nodes/SoProfileCoordinate3.h,
	  include/Inventor/nodes/SoQuadMesh.h,
	  include/Inventor/nodes/SoResetTransform.h,
	  include/Inventor/nodes/SoRotation.h,
	  include/Inventor/nodes/SoRotationXYZ.h,
	  include/Inventor/nodes/SoRotor.h,
	  include/Inventor/nodes/SoScale.h,
	  include/Inventor/nodes/SoSceneTexture2.h,
	  include/Inventor/nodes/SoSceneTextureCubeMap.h,
	  include/Inventor/nodes/SoSelection.h,
	  include/Inventor/nodes/SoSeparator.h,
	  include/Inventor/nodes/SoShaderObject.h,
	  include/Inventor/nodes/SoShaderParameter.h,
	  include/Inventor/nodes/SoShaderProgram.h,
	  include/Inventor/nodes/SoShape.h,
	  include/Inventor/nodes/SoShapeHints.h,
	  include/Inventor/nodes/SoShuttle.h,
	  include/Inventor/nodes/SoSphere.h,
	  include/Inventor/nodes/SoSpotLight.h,
	  include/Inventor/nodes/SoSubNode.h,
	  include/Inventor/nodes/SoSurroundScale.h,
	  include/Inventor/nodes/SoSwitch.h,
	  include/Inventor/nodes/SoText2.h,
	  include/Inventor/nodes/SoText3.h,
	  include/Inventor/nodes/SoTexture.h,
	  include/Inventor/nodes/SoTexture2.h,
	  include/Inventor/nodes/SoTexture2Transform.h,
	  include/Inventor/nodes/SoTexture3.h,
	  include/Inventor/nodes/SoTexture3Transform.h,
	  include/Inventor/nodes/SoTextureCombine.h,
	  include/Inventor/nodes/SoTextureCoordinate2.h,
	  include/Inventor/nodes/SoTextureCoordinate3.h,
	  include/Inventor/nodes/SoTextureCoordinateBinding.h,
	  include/Inventor/nodes/SoTextureCoordinateCube.h,
	  include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	  include/Inventor/nodes/SoTextureCoordinateDefault.h,
	  include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	  include/Inventor/nodes/SoTextureCoordinateFunction.h,
	  include/Inventor/nodes/SoTextureCoordinateNormalMap.h,
	  include/Inventor/nodes/SoTextureCoordinateObject.h,
	  include/Inventor/nodes/SoTextureCoordinatePlane.h,
	  include/Inventor/nodes/SoTextureCoordinateReflectionMap.h,
	  include/Inventor/nodes/SoTextureCoordinateSphere.h,
	  include/Inventor/nodes/SoTextureCubeMap.h,
	  include/Inventor/nodes/SoTextureMatrixTransform.h,
	  include/Inventor/nodes/SoTextureScalePolicy.h,
	  include/Inventor/nodes/SoTextureUnit.h,
	  include/Inventor/nodes/SoTransform.h,
	  include/Inventor/nodes/SoTransformSeparator.h,
	  include/Inventor/nodes/SoTransformation.h,
	  include/Inventor/nodes/SoTranslation.h,
	  include/Inventor/nodes/SoTransparencyType.h,
	  include/Inventor/nodes/SoTriangleStripSet.h,
	  include/Inventor/nodes/SoUnits.h,
	  include/Inventor/nodes/SoVertexProperty.h,
	  include/Inventor/nodes/SoVertexShader.h,
	  include/Inventor/nodes/SoVertexShape.h,
	  include/Inventor/nodes/SoViewerNavigationMode.h,
	  include/Inventor/nodes/SoWWWAnchor.h,
	  include/Inventor/nodes/SoWWWInline.h,
	  include/Inventor/projectors/SbCylinderPlaneProjector.h,
	  include/Inventor/projectors/SbCylinderProjector.h,
	  include/Inventor/projectors/SbCylinderSectionProjector.h,
	  include/Inventor/projectors/SbCylinderSheetProjector.h,
	  include/Inventor/projectors/SbLineProjector.h,
	  include/Inventor/projectors/SbPlaneProjector.h,
	  include/Inventor/projectors/SbProjector.h,
	  include/Inventor/projectors/SbProjectors.h,
	  include/Inventor/projectors/SbSpherePlaneProjector.h,
	  include/Inventor/projectors/SbSphereProjector.h,
	  include/Inventor/projectors/SbSphereSectionProjector.h,
	  include/Inventor/projectors/SbSphereSheetProjector.h,
	  include/Inventor/sensors/SoAlarmSensor.h,
	  include/Inventor/sensors/SoDataSensor.h,
	  include/Inventor/sensors/SoDelayQueueSensor.h,
	  include/Inventor/sensors/SoFieldSensor.h,
	  include/Inventor/sensors/SoIdleSensor.h,
	  include/Inventor/sensors/SoNodeSensor.h,
	  include/Inventor/sensors/SoOneShotSensor.h,
	  include/Inventor/sensors/SoPathSensor.h,
	  include/Inventor/sensors/SoSensor.h,
	  include/Inventor/sensors/SoSensorManager.h,
	  include/Inventor/sensors/SoSensors.h,
	  include/Inventor/sensors/SoTimerQueueSensor.h,
	  include/Inventor/sensors/SoTimerSensor.h,
	  include/Inventor/system/gl-headers.h.in,
	  include/Inventor/system/gl.h,
	  include/Inventor/system/inttypes.h.in,
	  include/Inventor/threads/SbBarrier.h,
	  include/Inventor/threads/SbCondVar.h,
	  include/Inventor/threads/SbFifo.h,
	  include/Inventor/threads/SbMutex.h,
	  include/Inventor/threads/SbRWMutex.h,
	  include/Inventor/threads/SbStorage.h,
	  include/Inventor/threads/SbThread.h,
	  include/Inventor/threads/SbThreadAutoLock.h,
	  include/Inventor/threads/SbThreadMutex.h,
	  include/Inventor/threads/SbTypedStorage.h,
	  include/Inventor/tools/SbLazyPimplPtr.h,
	  include/Inventor/tools/SbLazyPimplPtr.hpp,
	  include/Inventor/tools/SbPimplPtr.h,
	  include/Inventor/tools/SbPimplPtr.hpp, include/SoDebug.h,
	  include/SoWinEnterScope.h, include/SoWinLeaveScope.h,
	  src/3ds/3dsLoader.cpp, src/3ds/3dsLoader.h, src/3ds/SoStream.cpp,
	  src/3ds/SoStream.h, src/actions/SoAction.cpp,
	  src/actions/SoAudioRenderAction.cpp,
	  src/actions/SoBoxHighlightRenderAction.cpp,
	  src/actions/SoCallbackAction.cpp,
	  src/actions/SoGLRenderAction.cpp,
	  src/actions/SoGetBoundingBoxAction.cpp,
	  src/actions/SoGetMatrixAction.cpp,
	  src/actions/SoGetPrimitiveCountAction.cpp,
	  src/actions/SoGlobalSimplifyAction.cpp,
	  src/actions/SoHandleEventAction.cpp,
	  src/actions/SoLineHighlightRenderAction.cpp,
	  src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	  src/actions/SoReorganizeAction.cpp,
	  src/actions/SoSearchAction.cpp,
	  src/actions/SoShapeSimplifyAction.cpp,
	  src/actions/SoSimplifyAction.cpp, src/actions/SoSubActionP.h,
	  src/actions/SoToVRML2Action.cpp, src/actions/SoToVRMLAction.cpp,
	  src/actions/SoWriteAction.cpp, src/actions/all-actions-cpp.cpp,
	  src/base/SbBSPTree.cpp, src/base/SbBox2d.cpp,
	  src/base/SbBox2f.cpp, src/base/SbBox2i32.cpp,
	  src/base/SbBox2s.cpp, src/base/SbBox3d.cpp, src/base/SbBox3f.cpp,
	  src/base/SbBox3i32.cpp, src/base/SbBox3s.cpp,
	  src/base/SbClip.cpp, src/base/SbColor.cpp,
	  src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	  src/base/SbDPLine.cpp, src/base/SbDPMatrix.cpp,
	  src/base/SbDPPlane.cpp, src/base/SbDPRotation.cpp,
	  src/base/SbDPViewVolume.cpp, src/base/SbDict.cpp,
	  src/base/SbGLUTessellator.cpp, src/base/SbGLUTessellator.h,
	  src/base/SbHeap.cpp, src/base/SbImage.cpp, src/base/SbLine.cpp,
	  src/base/SbMatrix.cpp, src/base/SbName.cpp,
	  src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	  src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	  src/base/SbString.cpp, src/base/SbTesselator.cpp,
	  src/base/SbVec2b.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	  src/base/SbVec2i32.cpp, src/base/SbVec2s.cpp,
	  src/base/SbVec2ub.cpp, src/base/SbVec2ui32.cpp,
	  src/base/SbVec2us.cpp, src/base/SbVec3b.cpp,
	  src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	  src/base/SbVec3i32.cpp, src/base/SbVec3s.cpp,
	  src/base/SbVec3ub.cpp, src/base/SbVec3ui32.cpp,
	  src/base/SbVec3us.cpp, src/base/SbVec4b.cpp,
	  src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	  src/base/SbVec4i32.cpp, src/base/SbVec4s.cpp,
	  src/base/SbVec4ub.cpp, src/base/SbVec4ui32.cpp,
	  src/base/SbVec4us.cpp, src/base/SbViewVolume.cpp,
	  src/base/SbViewportRegion.cpp, src/base/SbXfBox3d.cpp,
	  src/base/SbXfBox3f.cpp, src/base/all-base-cpp.cpp,
	  src/base/dict.cpp, src/base/dict.h, src/base/dictp.h,
	  src/base/dynarray.cpp, src/base/dynarray.h, src/base/hash.cpp,
	  src/base/hashp.h, src/base/heap.cpp, src/base/heapp.h,
	  src/base/list.cpp, src/base/memalloc.cpp, src/base/namemap.cpp,
	  src/base/namemap.h, src/base/rbptree.cpp, src/base/string.cpp,
	  src/base/time.cpp, src/bundles/SoBundle.cpp,
	  src/bundles/SoMaterialBundle.cpp, src/bundles/SoNormalBundle.cpp,
	  src/bundles/SoTextureCoordinateBundle.cpp,
	  src/bundles/all-bundles-cpp.cpp,
	  src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	  src/caches/SoConvexDataCache.cpp, src/caches/SoGLCacheList.cpp,
	  src/caches/SoGLRenderCache.cpp, src/caches/SoGlyphCache.cpp,
	  src/caches/SoGlyphCache.h, src/caches/SoNormalCache.cpp,
	  src/caches/SoPrimitiveVertexCache.cpp,
	  src/caches/SoPrimitiveVertexCache.h,
	  src/caches/SoShaderProgramCache.cpp,
	  src/caches/SoShaderProgramCache.h,
	  src/caches/SoTextureCoordinateCache.cpp,
	  src/caches/SoVBOCache.cpp, src/caches/SoVBOCache.h,
	  src/caches/all-caches-cpp.cpp, src/coindefs.h,
	  src/collision/SbTri3f.cpp, src/collision/SbTri3f.h,
	  src/collision/SoIntersectionDetectionAction.cpp,
	  src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	  src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	  src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	  src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	  src/details/SoTextDetail.cpp, src/details/all-details-cpp.cpp,
	  src/draggers/SoCenterballDragger.cpp,
	  src/draggers/SoDirectionalLightDragger.cpp,
	  src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	  src/draggers/SoHandleBoxDragger.cpp,
	  src/draggers/SoJackDragger.cpp,
	  src/draggers/SoPointLightDragger.cpp,
	  src/draggers/SoRotateCylindricalDragger.cpp,
	  src/draggers/SoRotateDiscDragger.cpp,
	  src/draggers/SoRotateSphericalDragger.cpp,
	  src/draggers/SoScale1Dragger.cpp,
	  src/draggers/SoScale2Dragger.cpp,
	  src/draggers/SoScale2UniformDragger.cpp,
	  src/draggers/SoScaleUniformDragger.cpp,
	  src/draggers/SoSpotLightDragger.cpp,
	  src/draggers/SoTabBoxDragger.cpp,
	  src/draggers/SoTabPlaneDragger.cpp,
	  src/draggers/SoTrackballDragger.cpp,
	  src/draggers/SoTransformBoxDragger.cpp,
	  src/draggers/SoTransformerDragger.cpp,
	  src/draggers/SoTranslate1Dragger.cpp,
	  src/draggers/SoTranslate2Dragger.cpp,
	  src/draggers/all-draggers-cpp.cpp,
	  src/elements/GL/SoGLCacheContextElement.cpp,
	  src/elements/GL/SoGLClipPlaneElement.cpp,
	  src/elements/GL/SoGLColorIndexElement.cpp,
	  src/elements/GL/SoGLCoordinateElement.cpp,
	  src/elements/GL/SoGLDisplayList.cpp,
	  src/elements/GL/SoGLDrawStyleElement.cpp,
	  src/elements/GL/SoGLEmissiveColorElement.cpp,
	  src/elements/GL/SoGLEnvironmentElement.cpp,
	  src/elements/GL/SoGLLazyElement.cpp,
	  src/elements/GL/SoGLLightIdElement.cpp,
	  src/elements/GL/SoGLLinePatternElement.cpp,
	  src/elements/GL/SoGLLineWidthElement.cpp,
	  src/elements/GL/SoGLModelMatrixElement.cpp,
	  src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	  src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	  src/elements/GL/SoGLMultiTextureImageElement.cpp,
	  src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	  src/elements/GL/SoGLNormalElement.cpp,
	  src/elements/GL/SoGLPointSizeElement.cpp,
	  src/elements/GL/SoGLPolygonOffsetElement.cpp,
	  src/elements/GL/SoGLProjectionMatrixElement.cpp,
	  src/elements/GL/SoGLRenderPassElement.cpp,
	  src/elements/GL/SoGLShapeHintsElement.cpp,
	  src/elements/GL/SoGLTexture3EnabledElement.cpp,
	  src/elements/GL/SoGLTextureCoordinateElement.cpp,
	  src/elements/GL/SoGLTextureEnabledElement.cpp,
	  src/elements/GL/SoGLTextureImageElement.cpp,
	  src/elements/GL/SoGLTextureMatrixElement.cpp,
	  src/elements/GL/SoGLUpdateAreaElement.cpp,
	  src/elements/GL/SoGLVBOElement.cpp,
	  src/elements/GL/SoGLViewingMatrixElement.cpp,
	  src/elements/GL/SoGLViewportRegionElement.cpp,
	  src/elements/GL/SoResetMatrixElement.cpp,
	  src/elements/GL/SoResetMatrixElement.h,
	  src/elements/GL/all-glelements-cpp.cpp,
	  src/elements/SoAccumulatedElement.cpp,
	  src/elements/SoAmbientColorElement.cpp,
	  src/elements/SoAnnoText3CharOrientElement.cpp,
	  src/elements/SoAnnoText3FontSizeHintElement.cpp,
	  src/elements/SoAnnoText3RenderPrintElement.cpp,
	  src/elements/SoBBoxModelMatrixElement.cpp,
	  src/elements/SoBumpMapCoordinateElement.cpp,
	  src/elements/SoBumpMapElement.cpp,
	  src/elements/SoBumpMapMatrixElement.cpp,
	  src/elements/SoCacheElement.cpp,
	  src/elements/SoCacheHintElement.cpp,
	  src/elements/SoClipPlaneElement.cpp,
	  src/elements/SoComplexityElement.cpp,
	  src/elements/SoComplexityTypeElement.cpp,
	  src/elements/SoCoordinateElement.cpp,
	  src/elements/SoCreaseAngleElement.cpp,
	  src/elements/SoCullElement.cpp,
	  src/elements/SoDecimationPercentageElement.cpp,
	  src/elements/SoDecimationTypeElement.cpp,
	  src/elements/SoDiffuseColorElement.cpp,
	  src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	  src/elements/SoEmissiveColorElement.cpp,
	  src/elements/SoEnvironmentElement.cpp,
	  src/elements/SoFloatElement.cpp,
	  src/elements/SoFocalDistanceElement.cpp,
	  src/elements/SoFontNameElement.cpp,
	  src/elements/SoFontSizeElement.cpp,
	  src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	  src/elements/SoLightAttenuationElement.cpp,
	  src/elements/SoLightElement.cpp,
	  src/elements/SoLightModelElement.cpp,
	  src/elements/SoLinePatternElement.cpp,
	  src/elements/SoLineWidthElement.cpp,
	  src/elements/SoListenerDopplerElement.cpp,
	  src/elements/SoListenerGainElement.cpp,
	  src/elements/SoListenerOrientationElement.cpp,
	  src/elements/SoListenerPositionElement.cpp,
	  src/elements/SoLocalBBoxMatrixElement.cpp,
	  src/elements/SoMaterialBindingElement.cpp,
	  src/elements/SoModelMatrixElement.cpp,
	  src/elements/SoMultiTextureCoordinateElement.cpp,
	  src/elements/SoMultiTextureEnabledElement.cpp,
	  src/elements/SoMultiTextureImageElement.cpp,
	  src/elements/SoMultiTextureMatrixElement.cpp,
	  src/elements/SoNormalBindingElement.cpp,
	  src/elements/SoNormalElement.cpp,
	  src/elements/SoOverrideElement.cpp,
	  src/elements/SoPickRayElement.cpp,
	  src/elements/SoPickStyleElement.cpp,
	  src/elements/SoPointSizeElement.cpp,
	  src/elements/SoPolygonOffsetElement.cpp,
	  src/elements/SoProfileCoordinateElement.cpp,
	  src/elements/SoProfileElement.cpp,
	  src/elements/SoProjectionMatrixElement.cpp,
	  src/elements/SoReplacedElement.cpp,
	  src/elements/SoShapeHintsElement.cpp,
	  src/elements/SoShapeStyleElement.cpp,
	  src/elements/SoShininessElement.cpp,
	  src/elements/SoSoundElement.cpp,
	  src/elements/SoSpecularColorElement.cpp,
	  src/elements/SoSwitchElement.cpp,
	  src/elements/SoTextOutlineEnabledElement.cpp,
	  src/elements/SoTexture3EnabledElement.cpp,
	  src/elements/SoTextureCombineElement.cpp,
	  src/elements/SoTextureCoordinateBindingElement.cpp,
	  src/elements/SoTextureCoordinateElement.cpp,
	  src/elements/SoTextureEnabledElement.cpp,
	  src/elements/SoTextureImageElement.cpp,
	  src/elements/SoTextureMatrixElement.cpp,
	  src/elements/SoTextureOverrideElement.cpp,
	  src/elements/SoTextureQualityElement.cpp,
	  src/elements/SoTextureScalePolicyElement.cpp,
	  src/elements/SoTextureScalePolicyElement.h,
	  src/elements/SoTextureScaleQualityElement.cpp,
	  src/elements/SoTextureScaleQualityElement.h,
	  src/elements/SoTextureUnitElement.cpp,
	  src/elements/SoTransparencyElement.cpp,
	  src/elements/SoUnitsElement.cpp,
	  src/elements/SoViewVolumeElement.cpp,
	  src/elements/SoViewingMatrixElement.cpp,
	  src/elements/SoViewportRegionElement.cpp,
	  src/elements/SoWindowElement.cpp,
	  src/elements/all-elements-cpp.cpp,
	  src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	  src/engines/SoComposeMatrix.cpp,
	  src/engines/SoComposeRotation.cpp,
	  src/engines/SoComposeRotationFromTo.cpp,
	  src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	  src/engines/SoComposeVec4f.cpp,
	  src/engines/SoComputeBoundingBox.cpp,
	  src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	  src/engines/SoConvertAll.h, src/engines/SoCounter.cpp,
	  src/engines/SoDecomposeMatrix.cpp,
	  src/engines/SoDecomposeRotation.cpp,
	  src/engines/SoDecomposeVec2f.cpp,
	  src/engines/SoDecomposeVec3f.cpp,
	  src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	  src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	  src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	  src/engines/SoInterpolate.cpp,
	  src/engines/SoInterpolateFloat.cpp,
	  src/engines/SoInterpolateRotation.cpp,
	  src/engines/SoInterpolateVec2f.cpp,
	  src/engines/SoInterpolateVec3f.cpp,
	  src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	  src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	  src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	  src/engines/SoSubEngineP.h, src/engines/SoSubNodeEngineP.h,
	  src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	  src/engines/SoTriggerAny.cpp, src/engines/all-engines-c.c,
	  src/engines/all-engines-cpp.cpp, src/engines/evaluator.c,
	  src/engines/evaluator.h, src/engines/evaluator.l,
	  src/engines/evaluator.y, src/engines/evaluator_tab.c,
	  src/engines/so_eval.ic, src/errors/SoDebugError.cpp,
	  src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	  src/errors/SoReadError.cpp, src/errors/all-errors-cpp.cpp,
	  src/errors/debugerror.cpp, src/errors/error.cpp,
	  src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	  src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	  src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	  src/events/SoSpaceballButtonEvent.cpp,
	  src/events/all-events-cpp.cpp, src/fields/SoField.cpp,
	  src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	  src/fields/SoGlobalField.cpp, src/fields/SoGlobalField.h,
	  src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	  src/fields/SoMFColor.cpp, src/fields/SoMFColorRGBA.cpp,
	  src/fields/SoMFDouble.cpp, src/fields/SoMFEngine.cpp,
	  src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	  src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	  src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	  src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	  src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	  src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	  src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	  src/fields/SoMFVec2b.cpp, src/fields/SoMFVec2d.cpp,
	  src/fields/SoMFVec2f.cpp, src/fields/SoMFVec2i32.cpp,
	  src/fields/SoMFVec2s.cpp, src/fields/SoMFVec3b.cpp,
	  src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	  src/fields/SoMFVec3i32.cpp, src/fields/SoMFVec3s.cpp,
	  src/fields/SoMFVec4b.cpp, src/fields/SoMFVec4d.cpp,
	  src/fields/SoMFVec4f.cpp, src/fields/SoMFVec4i32.cpp,
	  src/fields/SoMFVec4s.cpp, src/fields/SoMFVec4ub.cpp,
	  src/fields/SoMFVec4ui32.cpp, src/fields/SoMFVec4us.cpp,
	  src/fields/SoMField.cpp, src/fields/SoSFBitMask.cpp,
	  src/fields/SoSFBool.cpp, src/fields/SoSFBox2d.cpp,
	  src/fields/SoSFBox2f.cpp, src/fields/SoSFBox2i32.cpp,
	  src/fields/SoSFBox2s.cpp, src/fields/SoSFBox3d.cpp,
	  src/fields/SoSFBox3f.cpp, src/fields/SoSFBox3i32.cpp,
	  src/fields/SoSFBox3s.cpp, src/fields/SoSFColor.cpp,
	  src/fields/SoSFColorRGBA.cpp, src/fields/SoSFDouble.cpp,
	  src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	  src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	  src/fields/SoSFImage3.cpp, src/fields/SoSFInt32.cpp,
	  src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	  src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	  src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	  src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	  src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	  src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	  src/fields/SoSFVec2b.cpp, src/fields/SoSFVec2d.cpp,
	  src/fields/SoSFVec2f.cpp, src/fields/SoSFVec2i32.cpp,
	  src/fields/SoSFVec2s.cpp, src/fields/SoSFVec3b.cpp,
	  src/fields/SoSFVec3d.cpp, src/fields/SoSFVec3f.cpp,
	  src/fields/SoSFVec3i32.cpp, src/fields/SoSFVec3s.cpp,
	  src/fields/SoSFVec4b.cpp, src/fields/SoSFVec4d.cpp,
	  src/fields/SoSFVec4f.cpp, src/fields/SoSFVec4i32.cpp,
	  src/fields/SoSFVec4s.cpp, src/fields/SoSFVec4ub.cpp,
	  src/fields/SoSFVec4ui32.cpp, src/fields/SoSFVec4us.cpp,
	  src/fields/SoSField.cpp, src/fields/SoSubFieldP.h,
	  src/fields/all-fields-cpp.cpp, src/fields/shared.cpp,
	  src/fields/shared.h, src/fonts/all-fonts-cpp.cpp,
	  src/fonts/common.cpp, src/fonts/common.h,
	  src/fonts/default2dfont.cpp, src/fonts/default3dfont.cpp,
	  src/fonts/defaultfonts.h, src/fonts/fontlib_wrapper.cpp,
	  src/fonts/fontlib_wrapper.h, src/fonts/fontspec.cpp,
	  src/fonts/fontspec.h, src/fonts/freetype.cpp,
	  src/fonts/freetype.h, src/fonts/glyph.cpp, src/fonts/glyph.h,
	  src/fonts/glyph2d.cpp, src/fonts/glyph2d.h,
	  src/fonts/glyph3d.cpp, src/fonts/glyph3d.h, src/fonts/win32.cpp,
	  src/fonts/win32.h, src/foreignfiles/SoForeignFileKit.cpp,
	  src/foreignfiles/SoSTLFileKit.cpp, src/foreignfiles/steel.c,
	  src/foreignfiles/steel.h, src/foreignfiles/steel.l,
	  src/geo/SbGeoAngle.cpp, src/geo/SbGeoAngle.h,
	  src/geo/SbGeoEllipsoid.cpp, src/geo/SbGeoEllipsoid.h,
	  src/geo/SbGeoProjection.cpp, src/geo/SbGeoProjection.h,
	  src/geo/SbPolarStereographic.cpp, src/geo/SbPolarStereographic.h,
	  src/geo/SbUTMProjection.cpp, src/geo/SbUTMProjection.h,
	  src/geo/SoGeo.cpp, src/geo/SoGeo.h, src/geo/SoGeoCoordinate.cpp,
	  src/geo/SoGeoElement.cpp, src/geo/SoGeoLocation.cpp,
	  src/geo/SoGeoOrigin.cpp, src/geo/SoGeoSeparator.cpp,
	  src/glue/GLUWrapper.cpp, src/glue/GLUWrapper.h,
	  src/glue/all-glue-cpp.cpp, src/glue/bzip2.cpp, src/glue/bzip2.h,
	  src/glue/cg.cpp, src/glue/cg.h, src/glue/dl.cpp, src/glue/dlp.h,
	  src/glue/freetype.cpp, src/glue/freetype.h, src/glue/gl.cpp,
	  src/glue/gl_agl.cpp, src/glue/gl_agl.h, src/glue/gl_glx.cpp,
	  src/glue/gl_glx.h, src/glue/gl_wgl.cpp, src/glue/gl_wgl.h,
	  src/glue/glp.h, src/glue/normalization_cubemap.cpp,
	  src/glue/openal_wrapper.cpp, src/glue/openal_wrapper.h,
	  src/glue/simage_wrapper.cpp, src/glue/simage_wrapper.h,
	  src/glue/spidermonkey.cpp, src/glue/win32api.cpp,
	  src/glue/win32api.h, src/glue/zlib.cpp, src/glue/zlib.h,
	  src/hardcopy/CGMVectorOutput.cpp,
	  src/hardcopy/GDIVectorOutput.cpp,
	  src/hardcopy/HPGLVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	  src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorOutput.cpp,
	  src/hardcopy/VectorizeAction.cpp,
	  src/hardcopy/VectorizeActionP.cpp,
	  src/hardcopy/VectorizeActionP.h,
	  src/hardcopy/VectorizeCGMAction.cpp,
	  src/hardcopy/VectorizeGDIAction.cpp,
	  src/hardcopy/VectorizeHPGLAction.cpp,
	  src/hardcopy/VectorizeItems.h,
	  src/hardcopy/VectorizePSAction.cpp,
	  src/hardcopy/all-hardcopy-cpp.cpp, src/io/SoByteStream.cpp,
	  src/io/SoInput.cpp, src/io/SoInputP.h,
	  src/io/SoInput_FileInfo.cpp, src/io/SoInput_FileInfo.h,
	  src/io/SoInput_Reader.cpp, src/io/SoInput_Reader.h,
	  src/io/SoOutput.cpp, src/io/SoOutput_Writer.cpp,
	  src/io/SoOutput_Writer.h, src/io/SoTranReceiver.cpp,
	  src/io/SoTranSender.cpp, src/io/SoWriterefCounter.cpp,
	  src/io/SoWriterefCounter.h, src/io/all-io-cpp.cpp,
	  src/io/gzmemio.h, src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	  src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	  src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	  src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	  src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	  src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	  src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	  src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	  src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	  src/lists/all-lists-cpp.cpp, src/manips/SoCenterballManip.cpp,
	  src/manips/SoClipPlaneManip.cpp,
	  src/manips/SoDirectionalLightManip.cpp,
	  src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	  src/manips/SoPointLightManip.cpp,
	  src/manips/SoSpotLightManip.cpp, src/manips/SoTabBoxManip.cpp,
	  src/manips/SoTrackballManip.cpp,
	  src/manips/SoTransformBoxManip.cpp,
	  src/manips/SoTransformManip.cpp,
	  src/manips/SoTransformerManip.cpp, src/manips/all-manips-cpp.cpp,
	  src/manips/commoncode.cpp, src/misc/AudioTools.cpp,
	  src/misc/AudioTools.h, src/misc/CoinOffscreenGLCanvas.cpp,
	  src/misc/CoinOffscreenGLCanvas.h,
	  src/misc/CoinStaticObjectInDLL.cpp,
	  src/misc/CoinStaticObjectInDLL.h, src/misc/SbHash.h,
	  src/misc/SoAudioDevice.cpp, src/misc/SoBase.cpp,
	  src/misc/SoBaseP.cpp, src/misc/SoBaseP.h,
	  src/misc/SoChildList.cpp, src/misc/SoCompactPathList.cpp,
	  src/misc/SoCompactPathList.h, src/misc/SoContextHandler.cpp,
	  src/misc/SoDB.cpp, src/misc/SoDBP.h, src/misc/SoDebug.cpp,
	  src/misc/SoEventManager.cpp, src/misc/SoFullPath.cpp,
	  src/misc/SoGL.cpp, src/misc/SoGL.h, src/misc/SoGLBigImage.cpp,
	  src/misc/SoGLCubeMapImage.cpp, src/misc/SoGLDriverDatabase.cpp,
	  src/misc/SoGLDriverDatabase.h, src/misc/SoGLFaceSetTemplate.icc,
	  src/misc/SoGLImage.cpp, src/misc/SoGLLineSetTemplate.icc,
	  src/misc/SoGLTristripTemplate.icc,
	  src/misc/SoGLindexedLineSetTemplate.icc,
	  src/misc/SoGLnonindexedFaceSetTemplate.icc,
	  src/misc/SoGLnonindexedTristripSetTemplate.icc,
	  src/misc/SoGLqmeshTemplate.icc,
	  src/misc/SoGLqmeshpreciselightingTemplate.icc,
	  src/misc/SoGenerate.cpp, src/misc/SoGenerate.h,
	  src/misc/SoGlyph.cpp, src/misc/SoInteraction.cpp,
	  src/misc/SoJavaScriptEngine.cpp, src/misc/SoLightPath.cpp,
	  src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	  src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	  src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	  src/misc/SoOffscreenGLXData.cpp, src/misc/SoOffscreenGLXData.h,
	  src/misc/SoOffscreenRenderer.cpp,
	  src/misc/SoOffscreenWGLData.cpp, src/misc/SoOffscreenWGLData.h,
	  src/misc/SoPath.cpp, src/misc/SoPick.cpp, src/misc/SoPick.h,
	  src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	  src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	  src/misc/SoRenderManager.cpp, src/misc/SoRenderManagerP.cpp,
	  src/misc/SoRenderManagerP.h, src/misc/SoSceneManager.cpp,
	  src/misc/SoSceneManagerP.cpp, src/misc/SoSceneManagerP.h,
	  src/misc/SoShaderGenerator.cpp, src/misc/SoShaderGenerator.h,
	  src/misc/SoState.cpp, src/misc/SoTempPath.cpp,
	  src/misc/SoType.cpp, src/misc/SoVBO.cpp, src/misc/SoVBO.h,
	  src/misc/SoVertexArrayIndexer.cpp,
	  src/misc/SoVertexArrayIndexer.h, src/misc/all-misc-cpp.cpp,
	  src/misc/cppmangle.icc, src/mpeg/SoMPEGFrameRenderer.cpp,
	  src/mpeg/SoMPEGRenderer.cpp, src/mpeg/all-mpeg-cpp.cpp,
	  src/navigation/SoCenterMode.cpp, src/navigation/SoEvent.cpp,
	  src/navigation/SoEvent.h, src/navigation/SoIdleMode.cpp,
	  src/navigation/SoNavigation.cpp,
	  src/navigation/SoNavigationControl.cpp,
	  src/navigation/SoNavigationMode.cpp,
	  src/navigation/SoNavigationState.cpp,
	  src/navigation/SoNavigationSystem.cpp,
	  src/navigation/SoNavigationVehicle.cpp,
	  src/navigation/SoOrthoCenterMode.cpp,
	  src/navigation/SoPanMode.cpp, src/navigation/SoPickMode.cpp,
	  src/navigation/SoPitchMode.cpp, src/navigation/SoRollMode.cpp,
	  src/navigation/SoRotateMode.cpp, src/navigation/SoYawMode.cpp,
	  src/navigation/SoZoomMode.cpp,
	  src/navigation/all-navigation-cpp.cpp,
	  src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	  src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	  src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	  src/nodekits/SoNodeKitListPart.cpp,
	  src/nodekits/SoNodeKitPath.cpp,
	  src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	  src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	  src/nodekits/SoSubKitP.h, src/nodekits/SoWrapperKit.cpp,
	  src/nodekits/all-nodekits-cpp.cpp, src/nodes/SoAnnoText3.cpp,
	  src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	  src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	  src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	  src/nodes/SoBumpMap.cpp, src/nodes/SoBumpMapCoordinate.cpp,
	  src/nodes/SoBumpMapTransform.cpp, src/nodes/SoCacheHint.cpp,
	  src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	  src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	  src/nodes/SoComplexity.cpp, src/nodes/SoCoordinate3.cpp,
	  src/nodes/SoCoordinate4.cpp, src/nodes/SoDirectionalLight.cpp,
	  src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	  src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	  src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	  src/nodes/SoFontStyle.cpp, src/nodes/SoFrustumCamera.cpp,
	  src/nodes/SoGroup.cpp, src/nodes/SoInfo.cpp, src/nodes/SoLOD.cpp,
	  src/nodes/SoLabel.cpp, src/nodes/SoLevelOfDetail.cpp,
	  src/nodes/SoLight.cpp, src/nodes/SoLightModel.cpp,
	  src/nodes/SoLinearProfile.cpp, src/nodes/SoListener.cpp,
	  src/nodes/SoLocateHighlight.cpp, src/nodes/SoMaterial.cpp,
	  src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	  src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	  src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	  src/nodes/SoNurbsProfile.cpp, src/nodes/SoOrthographicCamera.cpp,
	  src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	  src/nodes/SoPattern.cpp, src/nodes/SoPendulum.cpp,
	  src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	  src/nodes/SoPointLight.cpp, src/nodes/SoPolygonOffset.cpp,
	  src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	  src/nodes/SoProfileCoordinate3.cpp,
	  src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	  src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	  src/nodes/SoScale.cpp, src/nodes/SoSceneTexture2.cpp,
	  src/nodes/SoSceneTextureCubeMap.cpp, src/nodes/SoSelection.cpp,
	  src/nodes/SoSeparator.cpp, src/nodes/SoShapeHints.cpp,
	  src/nodes/SoShuttle.cpp, src/nodes/SoSoundElementHelper.h,
	  src/nodes/SoSpotLight.cpp, src/nodes/SoSubNodeP.h,
	  src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	  src/nodes/SoTexture.cpp, src/nodes/SoTexture2.cpp,
	  src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3.cpp,
	  src/nodes/SoTexture3Transform.cpp,
	  src/nodes/SoTextureCombine.cpp,
	  src/nodes/SoTextureCoordinate2.cpp,
	  src/nodes/SoTextureCoordinate3.cpp,
	  src/nodes/SoTextureCoordinateBinding.cpp,
	  src/nodes/SoTextureCoordinateCube.cpp,
	  src/nodes/SoTextureCoordinateCylinder.cpp,
	  src/nodes/SoTextureCoordinateDefault.cpp,
	  src/nodes/SoTextureCoordinateEnvironment.cpp,
	  src/nodes/SoTextureCoordinateFunction.cpp,
	  src/nodes/SoTextureCoordinateNormalMap.cpp,
	  src/nodes/SoTextureCoordinateObject.cpp,
	  src/nodes/SoTextureCoordinatePlane.cpp,
	  src/nodes/SoTextureCoordinateReflectionMap.cpp,
	  src/nodes/SoTextureCoordinateSphere.cpp,
	  src/nodes/SoTextureCubeMap.cpp,
	  src/nodes/SoTextureMatrixTransform.cpp,
	  src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTextureUnit.cpp,
	  src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	  src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	  src/nodes/SoTransparencyType.cpp, src/nodes/SoUnits.cpp,
	  src/nodes/SoUnknownNode.cpp, src/nodes/SoUnknownNode.h,
	  src/nodes/SoVertexProperty.cpp,
	  src/nodes/SoViewerNavigationMode.cpp, src/nodes/SoWWWAnchor.cpp,
	  src/nodes/SoWWWInline.cpp, src/nodes/all-nodes-cpp.cpp,
	  src/projectors/SbCylinderPlaneProjector.cpp,
	  src/projectors/SbCylinderProjector.cpp,
	  src/projectors/SbCylinderSectionProjector.cpp,
	  src/projectors/SbCylinderSheetProjector.cpp,
	  src/projectors/SbLineProjector.cpp,
	  src/projectors/SbPlaneProjector.cpp,
	  src/projectors/SbProjector.cpp,
	  src/projectors/SbSpherePlaneProjector.cpp,
	  src/projectors/SbSphereProjector.cpp,
	  src/projectors/SbSphereSectionProjector.cpp,
	  src/projectors/SbSphereSheetProjector.cpp,
	  src/projectors/all-projectors-cpp.cpp,
	  src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	  src/sensors/SoDelayQueueSensor.cpp,
	  src/sensors/SoFieldSensor.cpp, src/sensors/SoIdleSensor.cpp,
	  src/sensors/SoNodeSensor.cpp, src/sensors/SoOneShotSensor.cpp,
	  src/sensors/SoPathSensor.cpp, src/sensors/SoSensor.cpp,
	  src/sensors/SoSensorManager.cpp,
	  src/sensors/SoTimerQueueSensor.cpp,
	  src/sensors/SoTimerSensor.cpp, src/sensors/all-sensors-cpp.cpp,
	  src/shaders/SoFragmentShader.cpp,
	  src/shaders/SoGLARBShaderObject.cpp,
	  src/shaders/SoGLARBShaderObject.h,
	  src/shaders/SoGLARBShaderParameter.cpp,
	  src/shaders/SoGLARBShaderParameter.h,
	  src/shaders/SoGLARBShaderProgram.cpp,
	  src/shaders/SoGLARBShaderProgram.h,
	  src/shaders/SoGLCgShaderObject.cpp,
	  src/shaders/SoGLCgShaderObject.h,
	  src/shaders/SoGLCgShaderParameter.cpp,
	  src/shaders/SoGLCgShaderParameter.h,
	  src/shaders/SoGLCgShaderProgram.cpp,
	  src/shaders/SoGLCgShaderProgram.h,
	  src/shaders/SoGLSLShaderObject.cpp,
	  src/shaders/SoGLSLShaderObject.h,
	  src/shaders/SoGLSLShaderParameter.cpp,
	  src/shaders/SoGLSLShaderParameter.h,
	  src/shaders/SoGLSLShaderProgram.cpp,
	  src/shaders/SoGLSLShaderProgram.h,
	  src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderObject.h,
	  src/shaders/SoGLShaderParameter.cpp,
	  src/shaders/SoGLShaderParameter.h,
	  src/shaders/SoGLShaderProgram.cpp,
	  src/shaders/SoGLShaderProgram.h,
	  src/shaders/SoGLShaderProgramElement.cpp,
	  src/shaders/SoGeometryShader.cpp, src/shaders/SoShader.cpp,
	  src/shaders/SoShader.h, src/shaders/SoShaderObject.cpp,
	  src/shaders/SoShaderParameter.cpp,
	  src/shaders/SoShaderProgram.cpp, src/shaders/SoVertexShader.cpp,
	  src/shaders/all-shaders-cpp.cpp,
	  src/shadows/SoGLShadowCullingElement.cpp,
	  src/shadows/SoShadowCulling.cpp, src/shadows/SoShadowGroup.cpp,
	  src/shadows/SoShadowStyle.cpp,
	  src/shadows/SoShadowStyleElement.cpp,
	  src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoCone.cpp,
	  src/shapenodes/SoCube.cpp, src/shapenodes/SoCylinder.cpp,
	  src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoImage.cpp,
	  src/shapenodes/SoIndexedFaceSet.cpp,
	  src/shapenodes/SoIndexedLineSet.cpp,
	  src/shapenodes/SoIndexedNurbsCurve.cpp,
	  src/shapenodes/SoIndexedNurbsSurface.cpp,
	  src/shapenodes/SoIndexedShape.cpp,
	  src/shapenodes/SoIndexedTriangleStripSet.cpp,
	  src/shapenodes/SoLineSet.cpp, src/shapenodes/SoMarkerSet.cpp,
	  src/shapenodes/SoNonIndexedShape.cpp,
	  src/shapenodes/SoNurbsCurve.cpp,
	  src/shapenodes/SoNurbsSurface.cpp, src/shapenodes/SoPointSet.cpp,
	  src/shapenodes/SoQuadMesh.cpp, src/shapenodes/SoShape.cpp,
	  src/shapenodes/SoSphere.cpp, src/shapenodes/SoText2.cpp,
	  src/shapenodes/SoText3.cpp,
	  src/shapenodes/SoTriangleStripSet.cpp,
	  src/shapenodes/SoVertexShape.cpp,
	  src/shapenodes/all-shapenodes-cpp.cpp,
	  src/shapenodes/soshape_bigtexture.cpp,
	  src/shapenodes/soshape_bigtexture.h,
	  src/shapenodes/soshape_bumprender.cpp,
	  src/shapenodes/soshape_bumprender.h,
	  src/shapenodes/soshape_primdata.cpp,
	  src/shapenodes/soshape_primdata.h,
	  src/shapenodes/soshape_trianglesort.cpp,
	  src/shapenodes/soshape_trianglesort.h,
	  src/share/gl/CoinGLPerformance.cpp,
	  src/share/gl/CoinGLPerformance.h,
	  src/threads/all-threads-cpp.cpp, src/threads/barrier.cpp,
	  src/threads/barrierp.h, src/threads/common.cpp,
	  src/threads/condvar.cpp, src/threads/condvar_pthread.icc,
	  src/threads/condvar_win32.icc, src/threads/condvarp.h,
	  src/threads/fifo.cpp, src/threads/fifop.h, src/threads/mutex.cpp,
	  src/threads/mutex_pthread.icc, src/threads/mutex_win32cs.icc,
	  src/threads/mutex_win32mutex.icc, src/threads/mutexp.h,
	  src/threads/recmutex.cpp, src/threads/recmutexp.h,
	  src/threads/rwmutex.cpp, src/threads/rwmutexp.h,
	  src/threads/sched.cpp, src/threads/schedp.h,
	  src/threads/storage.cpp, src/threads/storagep.h,
	  src/threads/sync.cpp, src/threads/syncp.h,
	  src/threads/thread.cpp, src/threads/thread_pthread.icc,
	  src/threads/thread_win32.icc, src/threads/threadp.h,
	  src/threads/threadsutilp.h, src/threads/worker.cpp,
	  src/threads/workerp.h, src/threads/wpool.cpp,
	  src/threads/wpoolp.h, src/threads/wrappers.cpp, src/tidbits.cpp,
	  src/tidbitsp.h, src/upgraders/SoPackedColorV20.cpp,
	  src/upgraders/SoPackedColorV20.h,
	  src/upgraders/SoShapeHintsV10.cpp,
	  src/upgraders/SoShapeHintsV10.h, src/upgraders/SoUpgrader.cpp,
	  src/upgraders/SoUpgrader.h, src/upgraders/all-upgraders-cpp.cpp,
	  src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	  src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	  src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	  src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	  src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	  src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	  src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	  src/vrml97/DirectionalLight.cpp, src/vrml97/DragSensor.cpp,
	  src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	  src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp,
	  src/vrml97/Geometry.cpp, src/vrml97/Group.cpp,
	  src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	  src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	  src/vrml97/IndexedShape.cpp, src/vrml97/Init.cpp,
	  src/vrml97/Inline.cpp, src/vrml97/Interpolator.cpp,
	  src/vrml97/JS_VRMLClasses.cpp, src/vrml97/JS_VRMLClasses.h,
	  src/vrml97/LOD.cpp, src/vrml97/Light.cpp,
	  src/vrml97/Material.cpp, src/vrml97/MovieTexture.cpp,
	  src/vrml97/NavigationInfo.cpp, src/vrml97/Normal.cpp,
	  src/vrml97/NormalInterpolator.cpp,
	  src/vrml97/OrientationInterpolator.cpp, src/vrml97/Parent.cpp,
	  src/vrml97/PixelTexture.cpp, src/vrml97/PlaneSensor.cpp,
	  src/vrml97/PointLight.cpp, src/vrml97/PointSet.cpp,
	  src/vrml97/PositionInterpolator.cpp,
	  src/vrml97/ProximitySensor.cpp,
	  src/vrml97/ScalarInterpolator.cpp, src/vrml97/Script.cpp,
	  src/vrml97/Sensor.cpp, src/vrml97/Shape.cpp,
	  src/vrml97/SoVRMLSubInterpolatorP.h, src/vrml97/Sound.cpp,
	  src/vrml97/Sphere.cpp, src/vrml97/SphereSensor.cpp,
	  src/vrml97/SpotLight.cpp, src/vrml97/Switch.cpp,
	  src/vrml97/Text.cpp, src/vrml97/Texture.cpp,
	  src/vrml97/TextureCoordinate.cpp,
	  src/vrml97/TextureTransform.cpp, src/vrml97/TimeSensor.cpp,
	  src/vrml97/TouchSensor.cpp, src/vrml97/Transform.cpp,
	  src/vrml97/VertexLine.cpp, src/vrml97/VertexPoint.cpp,
	  src/vrml97/VertexShape.cpp, src/vrml97/Viewpoint.cpp,
	  src/vrml97/VisibilitySensor.cpp, src/vrml97/WorldInfo.cpp,
	  src/vrml97/all-vrml97-cpp.cpp, src/xml/all-xml-cpp.cpp,
	  src/xml/attribute.cpp, src/xml/attributep.h,
	  src/xml/document.cpp, src/xml/documentp.h, src/xml/element.cpp,
	  src/xml/elementp.h, src/xml/entity.cpp, src/xml/path.cpp,
	  src/xml/types.cpp, src/xml/utils.cpp, src/xml/utils.h,
	  templates/Copyright.tpl, testsuite/TestSuiteInit.cpp,
	  testsuite/TestSuiteUtils.cpp, testsuite/TestSuiteUtils.h:
	  Copyright header update

2008-01-02 06:51  bfg

	* [r11627] src/lists/SbPList.cpp,
	  src/nodekits/SoNodeKitListPart.cpp, src/xml/document.cpp: More
	  precise documentation.
	  Whitespace fixes.

2008-01-02 06:35  bfg

	* [r11626] src/xml/document.cpp: Fix compile warning.

